(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    369777,       8344]
NotebookOptionsPosition[    306904,       6970]
NotebookOutlinePosition[    363946,       8147]
CellTagsIndexPosition[    363821,       8141]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->"SlideShowHeader"],

Cell["Progress in Pure Mathematics", "Title",
 CellChangeTimes->{{3.448190122176695*^9, 3.44819012385317*^9}, {
   3.485609127497636*^9, 3.485609133015955*^9}, {3.514308355088097*^9, 
   3.514308374696691*^9}, 3.5146594348020153`*^9, 3.5146601881617107`*^9, {
   3.6858969889225683`*^9, 3.6858970732724*^9}}],

Cell["\<\
Ian Ford (Wolfram)
James Mulnix (Wolfram)\
\>", "Subtitle",
 CellChangeTimes->{{3.485609136120798*^9, 3.4856091511532907`*^9}, {
   3.4856091945334663`*^9, 3.485609199379443*^9}, {3.4951031489375*^9, 
   3.49510314984375*^9}, {3.495106455296875*^9, 3.495106455453125*^9}, {
   3.5143083846926413`*^9, 3.514308395249558*^9}, 3.5443793532699003`*^9, 
   3.621626517580729*^9, {3.621626691998458*^9, 3.6216267186543407`*^9}, {
   3.621695156698331*^9, 3.621695160632772*^9}, {3.622213306499199*^9, 
   3.622213328771823*^9}, {3.6858970043112993`*^9, 3.6858970374388323`*^9}, {
   3.685897075727171*^9, 3.685897087998786*^9}}],

Cell[TextData[{
 Cell[BoxData[
  GraphicsBox[{InsetBox[
     GraphicsBox[{},
      ContentSelectable->True,
      ImageSize->{480, 360},
      PlotRange->{{0, 480/360}, {0, 1}}], Scaled[{0, 0}], Center, 
     Scaled[{0.5, 0.5}]], InsetBox[
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztW7uO20YUXSQpUuoTmD9QmZIG0qQTHKSfNWIbaRzBDhCkY+HCQGBrbe9m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        "], {{0, 68}, {65, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{65, 68},
      PlotRange->{{0, 65}, {0, 68}}], 
     Scaled[{0.49333580155497714, 0.5717682253254397}], 
     Center, {1.1979558513699555, 0.9210339753942228}, {{1., 0.}, {0., 1.}}]},
   
   AspectRatio->1.0295620437956206`,
   ContentSelectable->True,
   ImageMargins->0.,
   ImagePadding->{{0., 0.}, {0., 0.}},
   ImageSize->{74., 77.5},
   PlotRange->{{0., 1.3333333333333335`}, {0., 1.}},
   PlotRangePadding->Automatic]]],
 StyleBox[" ",
  FontColor->RGBColor[
   0.5019607843137255, 0.5019607843137255, 0.5019607843137255]],
 StyleBox["Join the Conversation ",
  FontColor->RGBColor[
   0.9019607843137255, 0.9019607843137255, 0.9019607843137255]],
 "#WolframTechConf"
}], "Text",
 CellFrame->{{0, 0}, {0, 1}},
 ShowCellBracket->Automatic,
 CellMargins->{{80, 80}, {100, 165}},
 CellFrameMargins->{{0, 0}, {0, 50}},
 CellFrameColor->RGBColor[0.886275, 0.364706, 0.427451],
 CellChangeTimes->{{3.6216253798451433`*^9, 3.621625396205482*^9}, 
   3.6216255185076437`*^9, {3.621625573653562*^9, 3.6216256020928392`*^9}, {
   3.621625635821653*^9, 3.621625645324601*^9}, {3.621625678952072*^9, 
   3.62162572395792*^9}, {3.621625867660451*^9, 3.62162588677988*^9}, {
   3.621625982321312*^9, 3.621625984476396*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontColor->GrayLevel[1]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Representing Theorems in the Wolfram Language", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.685897109752718*^9, 3.6858971139428377`*^9}, {3.6858973809924793`*^9, 
   3.685897405398884*^9}}],

Cell["\<\
Goal: represent definitions of mathematical concepts and theorems in the \
Wolfram Language\
\>", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}}],

Cell["Sources:", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
  3.685897789960476*^9, 3.6858977910487833`*^9}}],

Cell[CellGroupData[{

Cell["Human-curated collections (e.g. crowd sourced)", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.685897601623294*^9, 
   3.6858976395276318`*^9}, {3.685897720783372*^9, 3.6858977252167807`*^9}, {
   3.685900000225635*^9, 3.6859000007122498`*^9}}],

Cell["\<\
Definitions and theorems extracted from theorem-prover libraries (e.g. L\
\[Exists]\[ForAll]N, Coq, HOL Light)\
\>", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.6858977468960257`*^9}, {
   3.685900002784203*^9, 3.685900018640773*^9}, {3.685900080472253*^9, 
   3.685900094576193*^9}}],

Cell[TextData[{
 "Definitions and theorems extracted from published mathematics (e.g. ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"T", 
     AdjustmentBox["E",
      BoxBaselineShift->0.5,
      BoxMargins->{{-0.3, 0}, {0, 0}}], "X"}],
    SingleLetterItalics->False], TraditionalForm]]],
 " sources)"
}], "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685900026448166*^9, 3.685900027256508*^9}}]
}, Open  ]],

Cell["Applications:", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
  3.685897789960476*^9, 3.68589779868816*^9}}],

Cell[CellGroupData[{

Cell["Theorem browsers", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897808583961*^9}}],

Cell["Analysis", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897808583961*^9}, {3.685900115681823*^9, 
   3.685900117048418*^9}}],

Cell["Automated deduction", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897816728099*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["General Topology", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.51430857274755*^9, 3.514308578875259*^9}, {
   3.685897417598915*^9, 3.685897420006868*^9}}],

Cell["Collection of ", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
  3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
  3.685897969055669*^9}}],

Cell[CellGroupData[{

Cell["204 definitions", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897808583961*^9}, {3.685898014776134*^9, 
   3.685898021535231*^9}}],

Cell["224 theorems", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897816728099*^9}, {3.68589802522334*^9, 
   3.685898027367565*^9}}]
}, Open  ]],

Cell["Based primarily on ", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
  3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
  3.685897969055669*^9}, {3.6858980397549667`*^9, 3.685898042423519*^9}}],

Cell[TextData[{
 "James Munkres. ",
 StyleBox["General Topology.",
  FontSlant->"Italic"],
 " 2000."
}], "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897808583961*^9}, {3.685898014776134*^9, 
   3.685898021535231*^9}, {3.685898124904634*^9, 3.685898132175709*^9}, 
   3.685917970420383*^9}],

Cell["Curators", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
  3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
  3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
  3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
  3.685897969055669*^9}, {3.6858980397549667`*^9, 3.685898042423519*^9}, {
  3.685898151329405*^9, 3.6858981523278227`*^9}}],

Cell[CellGroupData[{

Cell["Ian Ford", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897808583961*^9}, {3.685898014776134*^9, 
   3.685898021535231*^9}, {3.68589815592197*^9, 3.685898157207716*^9}}],

Cell["Elliot Kaplan", "Item",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.6858976233839006`*^9, 
   3.68589764797822*^9}, {3.6858976787868023`*^9, 3.685897706477455*^9}, {
   3.685897804553918*^9, 3.685897816728099*^9}, {3.68589802522334*^9, 
   3.685898027367565*^9}, {3.685898158927664*^9, 3.685898160823051*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["EntityStore", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308863196991*^9, 3.5143088633311243`*^9}, {
   3.685897425278854*^9, 3.6858974285107327`*^9}}],

Cell["\<\
The collection is available as an EntityStore which can be downloaded from \
the Wolfram Cloud.\
\>", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
   3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
   3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
   3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
   3.685897969055669*^9}, {3.68589823055261*^9, 3.685898281743701*^9}, 
   3.6858983223478622`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"myStore", "=", 
  RowBox[{"Get", "@", 
   RowBox[{
   "CloudExpression", "[", "\"\<5c21019e-d22a-4ffb-afd4-7ecf5270f2b2\>\"", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.685877198438192*^9, 3.685877198438801*^9}, 
   3.685877585607895*^9, 3.685893209103959*^9, {3.685898533078586*^9, 
   3.685898533781884*^9}, 3.685908107650816*^9, 3.6859116745499587`*^9, 
   3.685911804126959*^9}],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      StyleBox[
       TagBox["EntityStore", "SummaryHead"], "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{Typeset`open$$ = False}, 
       PanelBox[
        PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Types: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["\"GeneralTopologyConcept\"", "SummaryItem"], 
                 TagBox["\"GeneralTopologyTheorem\"", "SummaryItem"]}, {
                 RowBox[{
                   TagBox["\"Entity count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["204", "SummaryItem"], 
                 TagBox["224", "SummaryItem"]}, {
                 RowBox[{
                   TagBox["\"Property count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["11", "SummaryItem"], 
                 TagBox["10", "SummaryItem"]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Types: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["\"GeneralTopologyConcept\"", "SummaryItem"], 
                 TagBox["\"GeneralTopologyTheorem\"", "SummaryItem"]}, {
                 RowBox[{
                   TagBox["\"Entity count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["204", "SummaryItem"], 
                 TagBox["224", "SummaryItem"]}, {
                 RowBox[{
                   TagBox["\"Property count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["11", "SummaryItem"], 
                 TagBox["10", "SummaryItem"]}, {
                 RowBox[{
                   TagBox[
                   "\"Entity class count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["0", "SummaryItem"], 
                 TagBox["0", "SummaryItem"]}, {
                 RowBox[{
                   TagBox[
                   "\"Property class count: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}], 
                 TagBox["0", "SummaryItem"], 
                 TagBox["0", "SummaryItem"]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
        Baseline], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("EntityStore[<>]"& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.6859117202289586`*^9, 3.6859118085949583`*^9, 
  3.6859122477317243`*^9, 3.6859125312503605`*^9, 3.685913209593454*^9, 
  3.685915263968328*^9, 3.6859176905449963`*^9, 3.685958634338825*^9, 
  3.685958730773847*^9, 3.685962697324209*^9}]
}, Open  ]],

Cell["\<\
Adding the EntityStore to $EntityStores makes the new entity types \
\[OpenCurlyDoubleQuote]GeneralTopologyConcept\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]GeneralTopologyTheorem\[CloseCurlyDoubleQuote] \
available through EntityValue.\
\>", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
   3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
   3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
   3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
   3.685897969055669*^9}, {3.68589823055261*^9, 3.685898281743701*^9}, 
   3.6858983223478622`*^9, {3.685898489946796*^9, 3.68589850577713*^9}, {
   3.6858985581467257`*^9, 3.685898603481069*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"$EntityStores", "=", 
   RowBox[{"{", "myStore", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.685877198438192*^9, 3.685877198438801*^9}, 
   3.685877585607895*^9, 3.685893209103959*^9, {3.685898533078586*^9, 
   3.685898533781884*^9}}],

Cell["\<\
Some special domain-level properties allow you to load usage messages, \
formatting rules, etc:\
\>", "Text",
 CellChangeTimes->{{3.514915953520713*^9, 3.514915970873322*^9}, {
   3.5149160102168922`*^9, 3.5149160648448963`*^9}, {3.514916098665063*^9, 
   3.514916123807077*^9}, {3.685897548480423*^9, 3.685897592437265*^9}, {
   3.6858978656051683`*^9, 3.685897895392503*^9}, {3.6858979610475807`*^9, 
   3.685897969055669*^9}, {3.68589823055261*^9, 3.685898281743701*^9}, 
   3.6858983223478622`*^9, {3.6858983759115334`*^9, 3.685898407841086*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Activate", "/@", 
   RowBox[{"EntityValue", "[", 
    RowBox[{"\"\<GeneralTopologyTheorem\>\"", ",", "\"\<Activate\>\""}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.685877198438192*^9, 3.685877198438801*^9}, 
   3.685877585607895*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Activate", "/@", 
   RowBox[{"EntityValue", "[", 
    RowBox[{
    "\"\<GeneralTopologyTheorem\>\"", ",", 
     "\"\<TraditionalFormMakeBoxAssignments\>\""}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6858775384365053`*^9, 3.68587755549236*^9}, {
  3.685878143639783*^9, 3.6858781495095997`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Entities", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308863196991*^9, 3.5143088633311243`*^9}, {
   3.6858986878750753`*^9, 3.685898689225134*^9}}],

Cell[CellGroupData[{

Cell["GeneralTopologyConcept", "Subsection",
 CellChangeTimes->{{3.514308661619236*^9, 3.514308664754455*^9}, {
   3.685898707707027*^9, 3.685898713216393*^9}, 3.685898766124371*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EntityValue", "[", 
  RowBox[{"\"\<GeneralTopologyConcept\>\"", ",", "\"\<Entities\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6858986538994303`*^9, 3.685898669617983*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"\"is reflexive relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsReflexiveRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsReflexiveRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is symmetric relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSymmetricRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSymmetricRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is equivalence relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsEquivalenceRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsEquivalenceRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is equivalence relation\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsEquivalenceRelation\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsEquivalenceRelation\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"equivalence classes\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"EquivalenceClasses\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"EquivalenceClasses\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is partition of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsPartitionOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsPartitionOf\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is metric on\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsMetricOn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsMetricOn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric spaces\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricSpaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"MetricSpaces\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"open ball\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"OpenBall\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"OpenBall\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"closed ball\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ClosedBall\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"ClosedBall\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric sphere\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricSphere\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"MetricSphere\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is open subset of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenSubsetOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsOpenSubsetOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"discrete topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"DiscreteTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"DiscreteTopology\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is discrete\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsDiscrete\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsDiscrete\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"indiscrete topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IndiscreteTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IndiscreteTopology\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is finer than\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsFinerThan\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsFinerThan\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is coarser than\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCoarserThan\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCoarserThan\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological basis on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTopologicalBasisOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTopologicalBasisOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topology generated by\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"TopologyGeneratedBy\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyGeneratedBy\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topology generated by basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"TopologyGeneratedByBasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyGeneratedByBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"set of unions of basis elements\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"SetOfUnionsOfBasisElements\""}],
        "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"SetOfUnionsOfBasisElements\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is basis for topology of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsBasisForTopologyOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsBasisForTopologyOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological subbasis on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTopologicalSubbasisOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTopologicalSubbasisOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"basis from subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"BasisFromSubbasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"BasisFromSubbasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topology generated by subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"TopologyGeneratedBySubbasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyGeneratedBySubbasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is subbasis for topology of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSubbasisForTopologyOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSubbasisForTopologyOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"order topology basis\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"OrderTopologyBasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"OrderTopologyBasis\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"order topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"OrderTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"OrderTopology\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topological space from order\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"TopologicalSpaceFromOrder\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologicalSpaceFromOrder\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"product topology basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"ProductTopologyBasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ProductTopologyBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"product topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ProductTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ProductTopology\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"product space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ProductSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"ProductSpace\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"product topology subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"ProductTopologySubbasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ProductTopologySubbasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"subspace topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SubspaceTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"SubspaceTopology\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"as topological subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"AsTopologicalSubspaceOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"AsTopologicalSubspaceOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTopologicalSubspaceOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTopologicalSubspaceOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"basis for subspace topology from basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"BasisForSubspaceTopologyFromBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"BasisForSubspaceTopologyFromBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"is convex subset of totally ordered set\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"IsConvexSubsetOfTotallyOrderedSet\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsConvexSubsetOfTotallyOrderedSet\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is closed subset of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsClosedSubsetOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsClosedSubsetOf\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"closed subsets of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ClosedSubsetsOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ClosedSubsetsOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"interior\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Interior\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"Interior\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"closure\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Closure\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"Closure\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"points of closure\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"PointsOfClosure\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"PointsOfClosure\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is limit point of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLimitPointOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLimitPointOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"limit points of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"LimitPointsOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"LimitPointsOf\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"sequence converges to\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SequenceConvergesTo\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"SequenceConvergesTo\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"sequence converges\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SequenceConverges\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"SequenceConverges\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is Hausdorff\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsHausdorff\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is T1\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsT1\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsT1\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"continuous at point\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ContinuousAtPoint\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ContinuousAtPoint\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological embedding\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTopologicalEmbedding\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTopologicalEmbedding\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"box topology basis\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"BoxTopologyBasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"BoxTopologyBasis\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"indexed product topology subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"IndexedProductTopologySubbasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IndexedProductTopologySubbasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"box topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"BoxTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"BoxTopology\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"box space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"BoxSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"BoxSpace\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"indexed product topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IndexedProductTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IndexedProductTopology\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"indexed product space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IndexedProductSpace\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IndexedProductSpace\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"power of topological space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"PowerOfTopologicalSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"PowerOfTopologicalSpace\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"Euclidean space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"EuclideanSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"EuclideanSpace\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"basis for box topology from basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"BasisForBoxTopologyFromBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"BasisForBoxTopologyFromBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"basis for indexed product topology from basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"BasisForIndexedProductTopologyFromBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"BasisForIndexedProductTopologyFromBasis\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric topology basis\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricTopologyBasis\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"MetricTopologyBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"MetricTopology\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topological space from metric\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"TopologicalSpaceFromMetric\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologicalSpaceFromMetric\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is metric for topology of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsMetricForTopologyOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsMetricForTopologyOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is metrizable\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsMetrizable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsMetrizable\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"bounded subset of metric space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"BoundedSubsetOfMetricSpace\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"BoundedSubsetOfMetricSpace\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"diameter\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Diameter\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"Diameter\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"standard bounded metric\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"StandardBoundedMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"StandardBoundedMetric\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"Euclidean metric\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"EuclideanMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"EuclideanMetric\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"square metric\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SquareMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"SquareMetric\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"uniform metric reals\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"UniformMetricReals\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"UniformMetricReals\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"uniform topology reals\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"UniformTopologyReals\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"UniformTopologyReals\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"infinite dimensional Euclidean space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"InfiniteDimensionalEuclideanSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"InfiniteDimensionalEuclideanSpace\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is metric continuous\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsMetricContinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsMetricContinuous\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"sequential closure\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SequentialClosure\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"SequentialClosure\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is countable basis at point\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsCountableBasisAtPoint\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCountableBasisAtPoint\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"has countable basis at point\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"HasCountableBasisAtPoint\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"HasCountableBasisAtPoint\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is first countable\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsFirstCountable\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsFirstCountable\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is sequentially continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSequentiallyContinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSequentiallyContinuous\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"converges uniformly to\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"ConvergesUniformlyTo\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ConvergesUniformlyTo\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological quotient map\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTopologicalQuotientMap\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTopologicalQuotientMap\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is saturated with respect to\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSaturatedWithRespectTo\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSaturatedWithRespectTo\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is open map\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenMap\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsOpenMap\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is closed map\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsClosedMap\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsClosedMap\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"quotient topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"QuotientTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"QuotientTopology\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"quotient space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"QuotientSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"QuotientSpace\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is separation of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSeparationOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSeparationOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is disconnected\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsDisconnected\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsDisconnected\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is connected\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsConnected\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is connected subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsConnectedSubspaceOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsConnectedSubspaceOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is upper bound of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsUpperBoundOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsUpperBoundOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is bounded above subset of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsBoundedAboveSubsetOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsBoundedAboveSubsetOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is least upper bound of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLeastUpperBoundOf\""}],
        "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLeastUpperBoundOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"has least upper bound in\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"HasLeastUpperBoundIn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"HasLeastUpperBoundIn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"has least upper bound property\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"HasLeastUpperBoundProperty\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"HasLeastUpperBoundProperty\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is linear continuum\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLinearContinuum\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLinearContinuum\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is path in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsPathIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsPathIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"paths in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"PathsIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"PathsIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is path connected\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsPathConnected\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsPathConnected\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is path connected subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsPathConnectedSubspaceOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsPathConnectedSubspaceOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"connectedness relation\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"ConnectednessRelation\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ConnectednessRelation\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"components\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Components\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"Components\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"path connectedness relation\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"PathConnectednessRelation\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"PathConnectednessRelation\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"path components\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"PathComponents\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"PathComponents\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally connected at\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsLocallyConnectedAt\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyConnectedAt\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally connected\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLocallyConnected\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsLocallyConnected\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally path connected at\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsLocallyPathConnectedAt\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyPathConnectedAt\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally path connected\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsLocallyPathConnected\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyPathConnected\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is cover of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCoverOf\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCoverOf\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is open cover of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenCoverOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsOpenCoverOf\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is compact\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCompact\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is compact subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCompactSubspaceOf\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCompactSubspaceOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"compact subspaces of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"CompactSubspacesOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"CompactSubspacesOf\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"has finite intersection property\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"HasFiniteIntersectionProperty\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"HasFiniteIntersectionProperty\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"distance point to set\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"DistancePointToSet\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"DistancePointToSet\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is uniformly continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsUniformlyContinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsUniformlyContinuous\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is isolated in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsIsolatedIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsIsolatedIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"isolated points of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsolatedPointsOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsolatedPointsOf\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is limit point compact\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLimitPointCompact\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLimitPointCompact\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is subsequence of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSubsequenceOf\""}], 
       "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsSubsequenceOf\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is sequentially compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSequentiallyCompact\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSequentiallyCompact\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally compact at\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLocallyCompactAt\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsLocallyCompactAt\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally compact\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLocallyCompact\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsLocallyCompact\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is compactification of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsCompactificationOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCompactificationOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is one point compactification of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"IsOnePointCompactificationOf\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsOnePointCompactificationOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is second countable\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSecondCountable\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSecondCountable\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is dense in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsDenseIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsDenseIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is Lindel\[ODoubleDot]f\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsLindel\[ODoubleDot]f\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsLindel\
\[ODoubleDot]f\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is separable\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSeparable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsSeparable\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is regular\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsRegular\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsRegular\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is normal\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsNormal\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsNormal\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"can be separated by a continuous function in\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"CanBeSeparatedByAContinuousFunctionIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"CanBeSeparatedByAContinuousFunctionIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is completely regular\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCompletelyRegular\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCompletelyRegular\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"unit interval\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"UnitInterval\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"UnitInterval\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is manifold of dimension\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsManifoldOfDimension\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsManifoldOfDimension\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is manifold\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsManifold\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsManifold\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is surface\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSurface\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsSurface\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is curve\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCurve\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCurve\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"support of function\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SupportOfFunction\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"SupportOfFunction\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally finite in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLocallyFiniteIn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyFiniteIn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is partition of unity of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsPartitionOfUnityOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsPartitionOfUnityOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is finite partition of unity of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsFinitePartitionOfUnityOf\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsFinitePartitionOfUnityOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is subordinate to open cover of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsSubordinateToOpenCoverOf\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsSubordinateToOpenCoverOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"are equivalent compactifications of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"AreEquivalentCompactificationsOf\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"AreEquivalentCompactificationsOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is bounded real valued function\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"IsBoundedRealValuedFunction\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsBoundedRealValuedFunction\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"is Stone-\[CapitalCHacek]ech compactification of\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"IsStone\[CapitalCHacek]echCompactificationOf\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsStone\[CapitalCHacek]echCompactificationOf\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is countably locally finite in\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsCountablyLocallyFiniteIn\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCountablyLocallyFiniteIn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is refinement of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsRefinementOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsRefinementOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is open refinement of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenRefinementOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsOpenRefinementOf\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is closed refinement of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsClosedRefinementOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsClosedRefinementOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{TemplateBox[{"\"is \"", 
       SubscriptBox["\"G\"", "\"\[Delta]\""], "\" in\""}, "RowDefault"],
     RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsG\[Delta]In\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsG\[Delta]In\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is paracompact\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsParacompact\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsParacompact\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is locally metrizable\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsLocallyMetrizable\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyMetrizable\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is Cauchy sequence in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCauchySequenceIn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCauchySequenceIn\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is complete\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsComplete\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsComplete\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"uniform metric\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"UniformMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"UniformMetric\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is bounded function\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsBoundedFunction\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsBoundedFunction\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"sup metric\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SupMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"SupMetric\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is isometric embedding\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsIsometricEmbedding\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsIsometricEmbedding\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"are isometric\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"AreIsometric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"AreIsometric\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is completion of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsCompletionOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCompletionOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is totally bounded\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsTotallyBounded\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsTotallyBounded\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is equicontinuous at\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsEquicontinuousAt\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsEquicontinuousAt\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is equicontinuous\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsEquicontinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsEquicontinuous\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is pointwise bounded\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsPointwiseBounded\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsPointwiseBounded\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology of pointwise convergence subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"TopologyOfPointwiseConvergenceSubbasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyOfPointwiseConvergenceSubbasis\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topology of pointwise convergence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"TopologyOfPointwiseConvergence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyOfPointwiseConvergence\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology of compact convergence basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"TopologyOfCompactConvergenceBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyOfCompactConvergenceBasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topology of compact convergence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"TopologyOfCompactConvergence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyOfCompactConvergence\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is compactly generated\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsCompactlyGenerated\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsCompactlyGenerated\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"compact open topology subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"CompactOpenTopologySubbasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"CompactOpenTopologySubbasis\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"compact open topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"CompactOpenTopology\""}],
        "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"CompactOpenTopology\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is precompact subset of\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsPrecompactSubsetOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsPrecompactSubsetOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is first category\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsFirstCategory\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsFirstCategory\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is second category\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsSecondCategory\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsSecondCategory\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is Baire space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsBaireSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsBaireSpace\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is open subspace of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenSubspaceOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsOpenSubspaceOf\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topology on\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsTopologyOn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsTopologyOn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is topological space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsTopologicalSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsTopologicalSpace\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is continuous map\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsContinuousMap\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsContinuousMap\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"topological space\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"TopologicalSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"TopologicalSpace\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is irreflexive relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsIrreflexiveRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsIrreflexiveRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is transitive relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTransitiveRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTransitiveRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is partial order on\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsPartialOrderOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsPartialOrderOn\\\
\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is trichotomous relation on\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"IsTrichotomousRelationOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTrichotomousRelationOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is total order on\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsTotalOrderOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsTotalOrderOn\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"as ordered subset of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"AsOrderedSubsetOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"AsOrderedSubsetOf\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"totally ordered sets\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"TotallyOrderedSets\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"TotallyOrderedSets\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"open interval\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"OpenInterval\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"OpenInterval\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"left closed right open interval\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"LeftClosedRightOpenInterval\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"LeftClosedRightOpenInterval\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"left open right closed interval\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", 
         "\"LeftOpenRightClosedInterval\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"LeftOpenRightClosedInterval\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"closed interval\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ClosedInterval\""}], 
       "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"ClosedInterval\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"left open ray\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"LeftOpenRay\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"LeftOpenRay\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"left closed ray\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"LeftClosedRay\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"LeftClosedRay\\\"]\
\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"right open ray\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RightOpenRay\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"RightOpenRay\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"right closed ray\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RightClosedRay\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"RightClosedRay\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is interval in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsIntervalIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsIntervalIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"closed intervals\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"ClosedIntervals\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ClosedIntervals\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is ray in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsRayIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsRayIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is convex in\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsConvexIn\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsConvexIn\\\"]\"",
     "\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is maximum element of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsMaximumElementOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsMaximumElementOf\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is minimum element of\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsMinimumElementOf\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsMinimumElementOf\
\\\"]\"","\"general topology concept\""},
    "Entity"], ",", 
   TemplateBox[{"\"is well order on\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsWellOrderOn\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsWellOrderOn\\\"]\
\"","\"general topology concept\""},
    "Entity"]}], "}"}]], "Output",
 CellChangeTimes->{{3.685898661624465*^9, 3.685898669934086*^9}, 
   3.6859081318464856`*^9, 3.685911684600959*^9, 3.685912248095724*^9, 
   3.6859125313803587`*^9, 3.685913209983432*^9, 3.685915274144299*^9, 
   3.685917706802763*^9, 3.68595884803955*^9, 3.6859627081361923`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["GeneralTopologyTheorem", "Subsection",
 CellChangeTimes->{{3.514308661619236*^9, 3.514308664754455*^9}, {
  3.685898707707027*^9, 3.685898742985231*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EntityValue", "[", 
  RowBox[{"\"\<GeneralTopologyTheorem\>\"", ",", "\"\<Entities\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6858986538994303`*^9, 3.685898669617983*^9}, {
  3.6858987269269247`*^9, 3.685898731826024*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{
    "\"equivalence classes form partition\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalenceClassesFormPartition\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalenceClassesFormPartition\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"intersection of topologies containing a family is a topology\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TopologyGeneratedByWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TopologyGeneratedByWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology generated by basis well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TopologyGeneratedByBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TopologyGeneratedByBasisWellDefined\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent topology generated by basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentTopologyGeneratedByBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentTopologyGeneratedByBasis\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of unions of basis elements is topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SetOfUnionsOfBasisElementsIsTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SetOfUnionsOfBasisElementsIsTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"open iff union of basis elements\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenIffUnionOfBasisElements\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenIffUnionOfBasisElements\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"criterion for collection of open sets to be a basis for the \
topology\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"CriterionForBasis\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CriterionForBasis\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"comparison of bases\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"ComparisonOfBases\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComparisonOfBases\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of finite intersections of subbasis elements is basis\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"BasisFromSubbasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BasisFromSubbasisWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of unions of finite intersections of subbasis elements gives \
topology generated by subbasis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentTopologyGeneratedBySubbasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentTopologyGeneratedBySubbasis\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"order topology basis is a basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OrderTopologyBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OrderTopologyBasisWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"product topology basis is a basis\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductTopologyBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductTopologyBasisWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"products of basis elements gives basis for product topology\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductsOfBasisElementsBasisForProductTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductsOfBasisElementsBasisForProductTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of preimages of open sets under projection maps is subbasis for \
product topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"PreimagesOfOpenSetsSubbasisForProductTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PreimagesOfOpenSetsSubbasisForProductTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"subspace topology is topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceTopologyWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceTopologyWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of intersections with basis elements gives basis for subspace \
topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IntersectionsWithBasisElementsBasisForSubspaceTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IntersectionsWithBasisElementsBasisForSubspaceTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open subsets of open subspaces are open\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenSubsetOfOpenSubspaceIsOpen\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenSubsetOfOpenSubspaceIsOpen\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of subspaces is subspace of product\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfSubspacesIsSubspaceOfProduct\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfSubspacesIsSubspaceOfProduct\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"convex subset of totally ordered set is subspace with respect to the \
order topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"ConvexSubsetsAreSubspaces\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ConvexSubsetsAreSubspaces\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"properties of closed subsets\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"PropertiesOfClosedSubsets\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PropertiesOfClosedSubsets\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed subset of subspace iff intersection with closed subset\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubsetOfSubspaceIffIntersectionWithClosedSubset\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubsetOfSubspaceIffIntersectionWithClosedSubset\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed subset of closed subspace is closed\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubsetOfClosedSubspaceIsClosed\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubsetOfClosedSubspaceIsClosed\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closure in subspace is intersection with closure\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosureInSubspaceIsIntersectionWithClosure\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosureInSubspaceIsIntersectionWithClosure\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closure is collection of points of closure\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosureIsCollectionOfPointsOfClosure\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosureIsCollectionOfPointsOfClosure\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closure is union with set of limit points\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosureIsUnionWithSetOfLimitPoints\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosureIsUnionWithSetOfLimitPoints\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed iff contains set of limit points\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedIffContainsSetOfLimitPoints\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedIffContainsSetOfLimitPoints\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Hausdorff implies T1\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"HausdorffImpliesT1\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"HausdorffImpliesT1\
\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"characterization of limit points in T1 space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CharacterizationOfLimitPointsInT1Space\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CharacterizationOfLimitPointsInT1Space\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"limits are unique in Hausdorff space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LimitsUniqueInHausdorffSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LimitsUniqueInHausdorffSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"totally ordered set is Hausdorff\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TotallyOrderedSetIsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TotallyOrderedSetIsHausdorff\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"finite product of Hausdorff spaces is Hausdorff\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FiniteProductOfHausdorffSpacesIsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FiniteProductOfHausdorffSpacesIsHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of Hausdorff space is Hausdorff\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceOfHausdorffSpaceIsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceOfHausdorffSpaceIsHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous if preimages of basis elements are open\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousIfPreimagesOfBasisElementsAreOpen\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousIfPreimagesOfBasisElementsAreOpen\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous if preimages of subbasis elements are open\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousIfPreimagesOfSubbasisElementsAreOpen\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousIfPreimagesOfSubbasisElementsAreOpen\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent characterizations of continuity\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentCharacterizationsOfContinuity\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentCharacterizationsOfContinuity\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous map is continuous onto image\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapIsContinuousOntoImage\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapIsContinuousOntoImage\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"constant function continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"ConstantFunctionContinuous\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ConstantFunctionContinuous\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"inclusion map continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"InclusionMapContinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"InclusionMapContinuous\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"composition continuous functions continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompositionContinuousFunctionsContinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompositionContinuousFunctionsContinuous\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"restriction continuous function continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"RestrictionContinuousFunctionContinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RestrictionContinuousFunctionContinuous\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous map continuous into subspace\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapContinuousIntoSubspace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapContinuousIntoSubspace\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous map continuous into superspace\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapContinuousIntoSuperspace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapContinuousIntoSuperspace\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"local formulation of continuity\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocalFormulationOfContinuity\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocalFormulationOfContinuity\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Pasting Lemma\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"PastingLemma\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"PastingLemma\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"universal property of product space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"UniversalPropertyOfProductSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniversalPropertyOfProductSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"box topology basis well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"BoxTopologyBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BoxTopologyBasisWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"indexed product topology subbasis well defined\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IndexedProductTopologySubbasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IndexedProductTopologySubbasisWellDefined\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"comparison box and product topologies\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ComparisonBoxAndProductTopologies\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComparisonBoxAndProductTopologies\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"box and product topology coincide finite products\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"BoxAndProductTopologyCoincideFiniteProducts\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BoxAndProductTopologyCoincideFiniteProducts\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"bases for box and product topologies from basis\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"BasesForBoxAndProductTopologiesFromBasis\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BasesForBoxAndProductTopologiesFromBasis\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"indexed product of subspaces is subspace of product\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IndexedProductOfSubspacesIsSubspaceOfProduct\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IndexedProductOfSubspacesIsSubspaceOfProduct\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"indexed product of Hausdorff spaces is Hausdorff\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IndexedProductOfHausdorffSpacesIsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IndexedProductOfHausdorffSpacesIsHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of closures is closure of product\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfClosuresIsClosureOfProduct\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfClosuresIsClosureOfProduct\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"universal property of indexed product\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"UniversalPropertyOfIndexedProduct\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniversalPropertyOfIndexedProduct\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"metric topology basis well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetricTopologyBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetricTopologyBasisWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"standard bounded metric equivalent topology\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"StandardBoundedMetricEquivalentTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"StandardBoundedMetricEquivalentTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"comparison metric topologies\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"ComparisonMetricTopologies\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComparisonMetricTopologies\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"uniform metric reals well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"UniformMetricRealsWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniformMetricRealsWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"comparison uniform product box topologies\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ComparisonUniformProductBoxTopologies\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComparisonUniformProductBoxTopologies\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"countable product of reals metrizable\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CountableProductOfRealsMetrizable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CountableProductOfRealsMetrizable\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of metric space is metric space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceOfMetricSpaceIsMetricSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceOfMetricSpaceIsMetricSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric implies Hausdorff\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"MetricImpliesHausdorff\""}], 
       "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetricImpliesHausdorff\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"countable product of metric spaces is metrizable\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CountableProductOfMetricSpacesIsMetrizable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CountableProductOfMetricSpacesIsMetrizable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"metric continuous iff continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetricContinuousIffContinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetricContinuousIffContinuous\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"metrizable implies first countable\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetrizableImpliesFirstCountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetrizableImpliesFirstCountable\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Sequence Lemma\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"SequenceLemma\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"SequenceLemma\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous implies sequentially continuous converse if first countable\
\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousImpliesSequentiallyContinuousConverseIfFirstCountable\"\
"}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousImpliesSequentiallyContinuousConverseIfFirstCountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"reals topological field\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"RealsTopologicalField\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RealsTopologicalField\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"real valued functions topological ring\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"RealValuedFunctionsTopologicalRing\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RealValuedFunctionsTopologicalRing\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Uniform Limit Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"UniformLimitTheorem\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniformLimitTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent is topological quotient map\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentIsTopologicalQuotientMap\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentIsTopologicalQuotientMap\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent is topological quotient map2\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentIsTopologicalQuotientMap2\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentIsTopologicalQuotientMap2\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent is topological quotient map3\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentIsTopologicalQuotientMap3\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentIsTopologicalQuotientMap3\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"quotient topology well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"QuotientTopologyWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"QuotientTopologyWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"surjective map is quotient map with respect to quotient topology\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SurjectiveMapIsQuotientMapWithRespectToQuotientTopology\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SurjectiveMapIsQuotientMapWithRespectToQuotientTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"quotient topology is unique\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"QuotientTopologyIsUnique\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"QuotientTopologyIsUnique\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"quotient topology smallest such that quotient map is continuous\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"QuotientTopologySmallestSuchThatQuotientMapIsContinuous\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"QuotientTopologySmallestSuchThatQuotientMapIsContinuous\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"quotient map criterion\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"QuotientMapCriterion\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"QuotientMapCriterion\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"induced map quotient space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"InducedMapQuotientSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"InducedMapQuotientSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"quotient space homeomorphic to quotient by fibers\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"QuotientSpaceHomeomorphicToQuotientByFibers\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"QuotientSpaceHomeomorphicToQuotientByFibers\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Hausdorff criterion for space of fibers\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"HausdorffCriterionForSpaceOfFibers\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"HausdorffCriterionForSpaceOfFibers\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"equivalent is connected\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"EquivalentIsConnected\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentIsConnected\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"equivalent definition separation\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentDefinitionSeparation\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentDefinitionSeparation\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"connected subspace contained in one component\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ConnectedSubspaceContainedInOneComponent\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ConnectedSubspaceContainedInOneComponent\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"union of overlapping connected subspaces is connected\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"UnionOfOverlappingConnectedSubspacesIsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UnionOfOverlappingConnectedSubspacesIsConnected\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closure of connected subspace is connected\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosureOfConnectedSubspaceIsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosureOfConnectedSubspaceIsConnected\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous image of connected subspace is connected\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousImageOfConnectedSubspaceIsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousImageOfConnectedSubspaceIsConnected\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"finite product of connected subspaces is connected\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FiniteProductOfConnectedSubspacesIsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FiniteProductOfConnectedSubspacesIsConnected\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"intervals and rays of a linear continuum are connected\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IntervalsRaysInLinearContinuumConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IntervalsRaysInLinearContinuumConnected\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"intervals and rays of reals are connected\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"IntervalsRaysInRealsConnected\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IntervalsRaysInRealsConnected\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Intermediate Value Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"IntermediateValueTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"IntermediateValueTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"connectedness relation is equivalence relation\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ConnectednessRelationIsEquivalenceRelation\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ConnectednessRelationIsEquivalenceRelation\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"components partition space into connected subspaces\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ComponentsPartitionSpaceIntoConnectedSubspaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComponentsPartitionSpaceIntoConnectedSubspaces\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"path connectedness relation is equivalence relation\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"PathConnectednessRelationIsEquivalenceRelation\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PathConnectednessRelationIsEquivalenceRelation\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"path components partition space into path connected subspaces\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"PathComponentsPartitionSpaceIntoPathConnectedSubspaces\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PathComponentsPartitionSpaceIntoPathConnectedSubspaces\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally connected iff components of open sets are open\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyConnectedIffComponentsOfOpenSetsAreOpen\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyConnectedIffComponentsOfOpenSetsAreOpen\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally path connected iff path components of open sets are open\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyPathConnectedIffPathComponentsOfOpenSetsAreOpen\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyPathConnectedIffPathComponentsOfOpenSetsAreOpen\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"path component contained in component\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"PathComponentContainedInComponent\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PathComponentContainedInComponent\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally path connected implies components and path components coincide\
\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyPathConnectedImpliesComponentsAndPathComponentsCoincide\""}\
], "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyPathConnectedImpliesComponentsAndPathComponentsCoincide\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"criterion compact subspace\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"CriterionCompactSubspace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CriterionCompactSubspace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed subspace of compact space is compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubspaceOfCompactSpaceIsCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubspaceOfCompactSpaceIsCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"compact subspace of Hausdorff space is closed\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactSubspaceOfHausdorffSpaceIsClosed\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactSubspaceOfHausdorffSpaceIsClosed\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Hausdorff implies disjoint compact subspace and point are separated\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"HausdorffImpliesDisjointCompactSubspaceAndPointAreSeparated\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"HausdorffImpliesDisjointCompactSubspaceAndPointAreSeparated\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous image of compact space is compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousImageOfCompactSpaceIsCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousImageOfCompactSpaceIsCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous bijection from compact to Hausdorff is homeomorphism\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousBijectionFromCompactToHausdorffIsHomeomorphism\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousBijectionFromCompactToHausdorffIsHomeomorphism\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"finite product of compact spaces is compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FiniteProductOfCompactSpacesIsCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FiniteProductOfCompactSpacesIsCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Tube Lemma\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"TubeLemma\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"TubeLemma\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"finite intersection property criterion for compactness\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FiniteIntersectionPropertyCriterionForCompactness\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FiniteIntersectionPropertyCriterionForCompactness\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"least upper bound property implies closed intervals are compact\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LeastUpperBoundPropertyImpliesClosedIntervalsAreCompact\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LeastUpperBoundPropertyImpliesClosedIntervalsAreCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed interval of reals is compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedIntervalOfRealsIsCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedIntervalOfRealsIsCompact\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Heine-Borel Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"HeineBorelTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"HeineBorelTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Heine-Borel Theorem for the square metric\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"HeineBorelTheoremSquareMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"HeineBorelTheoremSquareMetric\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Extreme Value Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"ExtremeValueTheorem\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ExtremeValueTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Lebesgue Number Lemma\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"LebesgueNumberLemma\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LebesgueNumberLemma\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Uniform Continuity Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"UniformContinuityTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniformContinuityTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"nonempty compact Hausdorff space with no isolated points is \
uncountable\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"NonemptyCompactHausdorffWithNoIsolatedPointsIsUncountable\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"NonemptyCompactHausdorffWithNoIsolatedPointsIsUncountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed intervals of reals uncountable\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedIntervalsOfRealsUncountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedIntervalsOfRealsUncountable\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"compact implies limit point compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactImpliesLimitPointCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactImpliesLimitPointCompact\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"limit point compact does not imply compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LimitPointCompactDoesNotImplyCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LimitPointCompactDoesNotImplyCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"metrizable implies compact iff limit point compact iff sequentially \
compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetrizableImpliesCompactIffLimitPointCompactIffSequentiallyCompact\
\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetrizableImpliesCompactIffLimitPointCompactIffSequentiallyCompact\\\"]\"\
","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally compact space has one point compactification\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyCompactSpaceHasOnePointCompactification\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyCompactSpaceHasOnePointCompactification\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"one point compactification unique up to homeomorphism\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OnePointCompactificationUniqueUpToHomeomorphism\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OnePointCompactificationUniqueUpToHomeomorphism\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Hausdorff space is locally compact iff it has arbitrarily small \
precompact neighborhoods of each point\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentLocalCompactnessCriterionForHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentLocalCompactnessCriterionForHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open subspace of locally compact Hausdorff space is locally compact\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenSubspaceLocallyCompactHausdorffIsLocallyCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenSubspaceLocallyCompactHausdorffIsLocallyCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed subspace of locally compact Hausdorff space is locally \
compact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubspaceLocallyCompactHausdorffIsLocallyCompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubspaceLocallyCompactHausdorffIsLocallyCompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally compact Hausdorff iff open subspace of compact Hausdorff\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyCompactHausdorffIffOpenSubspaceOfCompactHausdorff\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyCompactHausdorffIffOpenSubspaceOfCompactHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"sequential closure is subset of closure\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SequentialClosureIsSubsetOfClosure\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SequentialClosureIsSubsetOfClosure\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"first countable implies closure is subset of sequential closure\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FirstCountableImpliesClosureIsSubsetOfSequentialClosure\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FirstCountableImpliesClosureIsSubsetOfSequentialClosure\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"countable product of first countable spaces is first countable\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CountableProductFirstCountableIsFirstCountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CountableProductFirstCountableIsFirstCountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"countable product of second countable spaces is second countable\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CountableProductSecondCountableIsSecondCountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CountableProductSecondCountableIsSecondCountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of first countable space is first countable\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceFirstCountableIsFirstCountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceFirstCountableIsFirstCountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of second countable space is second countable\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceSecondCountableIsSecondCountable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceSecondCountableIsSecondCountable\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"second countable implies Lindel\[ODoubleDot]f\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SecondCountableImpliesLindel\[ODoubleDot]f\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SecondCountableImpliesLindel\[ODoubleDot]f\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"second countable implies separable\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SecondCountableImpliesSeparable\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SecondCountableImpliesSeparable\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"T1 space is regular iff it has arbitrarily small closed neighborhoods \
of each point\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentRegularityCriterionForT1Spaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentRegularityCriterionForT1Spaces\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"T1 space is normal iff it has arbitrarily small closed neighborhoods \
of each closed set\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentNormalityCriterionForT1Spaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentNormalityCriterionForT1Spaces\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of Hausdorff spaces is Hausdorff\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfHausdorffSpacesIsHausdorff\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfHausdorffSpacesIsHausdorff\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of regular spaces is regular\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfRegularSpacesIsRegular\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfRegularSpacesIsRegular\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of regular space is regular\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceOfRegularSpaceIsRegular\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceOfRegularSpaceIsRegular\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"regular second countable implies normal\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"RegularSecondCountableImpliesNormal\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RegularSecondCountableImpliesNormal\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"metrizable implies normal\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"MetrizableImpliesNormal\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetrizableImpliesNormal\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"compact Hausdorff implies normal\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactHausdorffImpliesNormal\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactHausdorffImpliesNormal\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"well ordered implies normal\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"WellOrderedImpliesNormal\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"WellOrderedImpliesNormal\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Urysohnn Lemma\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"UrysohnLemma\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"UrysohnLemma\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of completely regular spaces is completely regular\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfCompletelyRegularSpacesIsCompletelyRegular\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfCompletelyRegularSpacesIsCompletelyRegular\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subspace of completely regular space is completely regular\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubspaceOfCompletelyRegularSpaceIsCompletelyRegular\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubspaceOfCompletelyRegularSpaceIsCompletelyRegular\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Urysohnn Metrization Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"UrysohnMetrizationTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UrysohnMetrizationTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Imbedding Theorem for Euclidean space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ImbeddingTheoremEuclideanSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ImbeddingTheoremEuclideanSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Imbedding Theorem for Euclidean box\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ImbeddingTheoremEuclideanBox\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ImbeddingTheoremEuclideanBox\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"completely regular iff embeds into Euclidean box\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompletelyRegularIffEmbedsIntoEuclideanBox\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompletelyRegularIffEmbedsIntoEuclideanBox\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Tietze Extension Theorem for the unit interval\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TietzeExtensionTheoremInterval\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TietzeExtensionTheoremInterval\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Tietze Extension Theorem for the reals\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TietzeExtensionTheoremReals\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TietzeExtensionTheoremReals\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"existence of finite partitions of unity\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ExistenceOfFinitePartitionsOfUnity\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ExistenceOfFinitePartitionsOfUnity\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"compact finite dimensional manifold embeds into Euclidean space\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactFiniteDimensionalManifoldEmbedsIntoEuclideanSpace\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactFiniteDimensionalManifoldEmbedsIntoEuclideanSpace\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"collection with finite intersection property contained in maximal \
collection\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CollectionWithFiniteIntersectionPropertyContainedInMaximalCollecti\
on\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CollectionWithFiniteIntersectionPropertyContainedInMaximalCollection\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"maximal with respect to finite intersection property implies closed \
under intersection\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MaximalWithRespectToFiniteIntersectionPropertyImpliesClosedUnderIn\
tersection\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MaximalWithRespectToFiniteIntersectionPropertyImpliesClosedUnderIntersecti\
on\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"maximal with respect to finite intersection property implies contains \
every set intersecting each element\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MaximalWithRespectToFiniteIntersectionPropertyImpliesContainsEvery\
SetIntersectingEachElement\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MaximalWithRespectToFiniteIntersectionPropertyImpliesContainsEverySetInter\
sectingEachElement\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Tychonoff Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"TychonoffTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"TychonoffTheorem\\\
\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"embedding into compact Hausdorff space determines compactification up \
to equivalence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EmbeddingIntoCompactHausdorffSpaceDeterminesCompactificationUpToEq\
uivalence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EmbeddingIntoCompactHausdorffSpaceDeterminesCompactificationUpToEquivalenc\
e\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"completely regular space has Stone-\[CapitalCHacek]ech \
compactification\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompletelyRegularSpaceHasStone\[CapitalCHacek]echCompactification\
\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompletelyRegularSpaceHasStone\[CapitalCHacek]echCompactification\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous map from subspace to Hausdorff admits at most one extension \
to closure\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapFromSubspaceToHausdorffAdmitsAtMostOneExtensionToClos\
ure\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapFromSubspaceToHausdorffAdmitsAtMostOneExtensionToClosure\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous map into compact Hausdorff extends uniquely to Stone-\
\[CapitalCHacek]ech compactification\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapIntoCompactHausdorffExtendsUniquelyToStone\
\[CapitalCHacek]echCompactification\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapIntoCompactHausdorffExtendsUniquelyToStone\[CapitalCHacek]\
echCompactification\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Stone-\[CapitalCHacek]ech compactifications are unique up to \
equivalence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"Stone\[CapitalCHacek]echCompactificationsEquivalent\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"Stone\[CapitalCHacek]echCompactificationsEquivalent\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"subset of locally finite collection is locally finite\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SubsetOfLocallyFiniteCollectionIsLocallyFinite\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SubsetOfLocallyFiniteCollectionIsLocallyFinite\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"collection of closures of elements of locally finite is locally \
collection finite\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CollectionOfClosuresOfElementsOfLocallyFiniteIsLocallyCollectionFi\
nite\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CollectionOfClosuresOfElementsOfLocallyFiniteIsLocallyCollectionFinite\\\"\
]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closure of union of locally finite collection is union of closures\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosureOfUnionOfLocallyFiniteCollectionIsUnionOfClosures\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosureOfUnionOfLocallyFiniteCollectionIsUnionOfClosures\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open cover of metrizable space has countably locally finite open \
refinement\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenCoverOfMetrizableSpaceHasCountablyLocallyFiniteOpenRefinement\
\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenCoverOfMetrizableSpaceHasCountablyLocallyFiniteOpenRefinement\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"regular space with countably locally finite basis is normal\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"RegularSpaceWithCountablyLocallyFiniteBasisIsNormal\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RegularSpaceWithCountablyLocallyFiniteBasisIsNormal\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    TemplateBox[{
      "\"closed subset of regular space with countably locally finite basis \
is \"", 
       SubscriptBox["\"G\"", "\"\[Delta]\""]}, "RowDefault"],
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubsetOfRegularSpaceWithCountablyLocallyFiniteBasisIsG\
\[Delta]\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubsetOfRegularSpaceWithCountablyLocallyFiniteBasisIsG\[Delta]\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{TemplateBox[{"\"closed \"", 
       SubscriptBox["\"G\"", "\"\[Delta]\""], 
       "\" subset of normal space is kernel of some nonnegative continuous \
function\""}, "RowDefault"],RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedG\[Delta]\
SubsetNormalSpaceIsKernelNonnegativeContinuousFunction\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedG\[Delta]SubsetNormalSpaceIsKernelNonnegativeContinuousFunction\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Nagata-Smirnov Metrization Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"NagataSmirnovMetrizationTheorem\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"NagataSmirnovMetrizationTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"paracompact Hausdorff implies normal\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ParacompactHausdorffImpliesNormal\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ParacompactHausdorffImpliesNormal\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"closed subspace of paracompact space is paracompact\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ClosedSubspaceOfParacompactSpaceIsParacompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubspaceOfParacompactSpaceIsParacompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equivalent conditions on open covers of regular spaces\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquivalentConditionsOnOpenCoversOfRegularSpaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentConditionsOnOpenCoversOfRegularSpaces\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"metrizable implies paracompact\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetrizableImpliesParacompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetrizableImpliesParacompact\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"regular Lindel\[ODoubleDot]f implies paracompact\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"RegularLindel\[ODoubleDot]fImpliesParacompact\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"RegularLindel\[ODoubleDot]fImpliesParacompact\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open cover of paracompact Hausdorff space has locally finite precise \
refinement\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenCoverParacompactHausdorffHasLocallyFinitePreciseRefinement\""}\
], "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenCoverParacompactHausdorffHasLocallyFinitePreciseRefinement\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open cover paracompact Hausdorff space admits subordinate partition of \
unity\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenCoverParacompactHausdorffSpaceAdmitsSubordinatePartitionOfUnit\
y\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenCoverParacompactHausdorffSpaceAdmitsSubordinatePartitionOfUnity\\\"]\"\
","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"paracompact Hausdorff implies locally finite collection admits \
positive continuous function arbitrarily small on each\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ParacompactHausdorffImpliesLocallyFiniteCollectionAdmitsPositiveCo\
ntinuousFunctionArbitrarilySmallOnEach\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ParacompactHausdorffImpliesLocallyFiniteCollectionAdmitsPositiveContinuous\
FunctionArbitrarilySmallOnEach\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Smirnov Metrization Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"SmirnovMetrizationTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SmirnovMetrizationTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"complete if every Cauchy sequence has convergent subsequence\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompleteIfEveryCauchySequenceHasConvergentSubsequence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompleteIfEveryCauchySequenceHasConvergentSubsequence\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Euclidean space is complete with the Euclidean metric\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EuclideanSpaceCompleteWithEuclideanMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EuclideanSpaceCompleteWithEuclideanMetric\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Euclidean space is complete with the square metric\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EuclideanSpaceCompleteWithSquareMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EuclideanSpaceCompleteWithSquareMetric\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"sequence in product space converges iff projections converge\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SequenceInProductSpaceConvergesIffProjectionsConverge\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SequenceInProductSpaceConvergesIffProjectionsConverge\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"infinite-dimensional Euclidean space with product topology is complete \
metric space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"InfiniteDimensionalEuclideanSpaceComplete\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"InfiniteDimensionalEuclideanSpaceComplete\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"uniform metric well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"UniformMetricWellDefined\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"UniformMetricWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"product of complete metric space is complete with uniform metric\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ProductOfCompleteMetricSpaceIsCompleteWithUniformMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ProductOfCompleteMetricSpaceIsCompleteWithUniformMetric\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of continuous maps into metric space is closed with uniform metric\
\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SetOfContinuousMapsIntoMetricSpaceIsClosedWithUniformMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SetOfContinuousMapsIntoMetricSpaceIsClosedWithUniformMetric\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"set of bounded maps into metric space is closed with uniform metric\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SetOfBoundedMapsIntoMetricSpaceIsClosedWithUniformMetric\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SetOfBoundedMapsIntoMetricSpaceIsClosedWithUniformMetric\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"sup metric well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"SupMetricWellDefined\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SupMetricWellDefined\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"metric space isometrically embeds into complete metric space\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetricSpaceIsometricallyEmbedsIntoCompleteMetricSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetricSpaceIsometricallyEmbedsIntoCompleteMetricSpace\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"completions are unique up to isometry\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompletionsAreUniqueUpToIsometry\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompletionsAreUniqueUpToIsometry\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Peano curve exists\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"PeanoCurveExists\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"PeanoCurveExists\\\
\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"metric space is compact iff complete and totally bounded\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"MetricSpaceIsCompactIffCompleteAndTotallyBounded\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetricSpaceIsCompactIffCompleteAndTotallyBounded\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"totally bounded family of continuous functions with uniform metric is \
equicontinous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TotallyBoundedFamilyOfContinuousFunctionsWithUniformMetricIsEquico\
ntinous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TotallyBoundedFamilyOfContinuousFunctionsWithUniformMetricIsEquicontinous\
\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equicontinuous family of continuous functions between compact spaces \
is totally bounded with uniform metric\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquicontinuousFamilyOfContinuousFunctionsBetweenCompactSpacesIsTot\
allyBoundedWithUniformMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquicontinuousFamilyOfContinuousFunctionsBetweenCompactSpacesIsTotallyBoun\
dedWithUniformMetric\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"equicontinuous family of continuous functions between compact spaces \
is totally bounded with sup metric\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EquicontinuousFamilyOfContinuousFunctionsBetweenCompactSpacesIsTot\
allyBoundedWithSupMetric\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquicontinuousFamilyOfContinuousFunctionsBetweenCompactSpacesIsTotallyBoun\
dedWithSupMetric\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"classical Ascoli's Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"ClassicalAscolisTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClassicalAscolisTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"corollary to classical Ascoli's Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CorollaryClassicalAscolisTheorem\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CorollaryClassicalAscolisTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology of pointwise convergence subbasis well defined\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TopologyOfPointwiseConvergenceSubbasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TopologyOfPointwiseConvergenceSubbasisWellDefined\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology of pointwise converge is product topology\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TopologyOfPointwiseConvergeIsProductTopology\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TopologyOfPointwiseConvergeIsProductTopology\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"sequence converges in topology of pointwise convergence iff converges \
pointwise\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SequenceConvergesInTopologyOfPointwiseConvergenceIffConvergesPoint\
wise\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SequenceConvergesInTopologyOfPointwiseConvergenceIffConvergesPointwise\\\"\
]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"topology of compact convergence basis well defined\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"TopologyOfCompactConvergenceBasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TopologyOfCompactConvergenceBasisWellDefined\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"sequence converges in topology of compact convergence iff converges \
uniformly on compact subspaces\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"SequenceConvergesInTopologyOfCompactConvergenceIffConvergesUniform\
lyOnCompactSubspaces\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SequenceConvergesInTopologyOfCompactConvergenceIffConvergesUniformlyOnComp\
actSubspaces\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"locally compact implies compactly generated\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LocallyCompactImpliesCompactlyGenerated\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LocallyCompactImpliesCompactlyGenerated\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"first countable implies compactly generated\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FirstCountableImpliesCompactlyGenerated\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FirstCountableImpliesCompactlyGenerated\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"function on compactly generated space is continuous if restriction to \
each compact subspace is continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"FunctionOnCompactlyGeneratedSpaceIsContinuousIfRestrictionToEachCo\
mpactSubspaceIsContinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"FunctionOnCompactlyGeneratedSpaceIsContinuousIfRestrictionToEachCompactSub\
spaceIsContinuous\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"continuous maps compactly generated to metric space is closed in \
topology of compact convergence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ContinuousMapsCompactlyGeneratedToMetricSpaceIsClosedInTopologyOfC\
ompactConvergence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ContinuousMapsCompactlyGeneratedToMetricSpaceIsClosedInTopologyOfCompactCo\
nvergence\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"limit of compact convergent sequence from compactly generated to \
metric is continuous\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LimitOfCompactConvergentSequenceFromCompactlyGeneratedToMetricIsCo\
ntinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LimitOfCompactConvergentSequenceFromCompactlyGeneratedToMetricIsContinuous\
\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"comparison of uniform compact convergence pointwise convergence \
topologies\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"ComparisonOfUniformCompactConvergencePointwiseConvergenceTopologie\
s\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ComparisonOfUniformCompactConvergencePointwiseConvergenceTopologies\\\"]\"\
","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"compact open topology subbasis well defined\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactOpenTopologySubbasisWellDefined\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactOpenTopologySubbasisWellDefined\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"compact open subspace compact convergence\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CompactOpenSubspaceCompactConvergence\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CompactOpenSubspaceCompactConvergence\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"evaluation map locally compact Hausdorff is continuous\"",
     RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EvaluationMapLocallyCompactHausdorffIsContinuous\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EvaluationMapLocallyCompactHausdorffIsContinuous\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Munkres Theorem 46.11\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"MunkresTheorem46.11\""}],
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MunkresTheorem46.11\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Ascoli's Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"AscolisTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"AscolisTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"empty interior iff complement dense\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"EmptyInteriorIffComplementDense\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EmptyInteriorIffComplementDense\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"Baire space iff every countable intersection of dense open sets is \
dense\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"BaireSpaceIffEveryCountableIntersectionDenseOpenSetsIsDense\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BaireSpaceIffEveryCountableIntersectionDenseOpenSetsIsDense\\\"]\"",
     "\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"Baire Category Theorem\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"BaireCategoryTheorem\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"BaireCategoryTheorem\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"criterion intersection nested closed subsets complete metric space \
nonempty\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"CriterionIntersectionNestedClosedSubsetsCompleteMetricSpaceNonempt\
y\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CriterionIntersectionNestedClosedSubsetsCompleteMetricSpaceNonempty\\\"]\"\
","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"open subspace of Baire space is Baire space\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"OpenSubspaceBaireSpaceIsBaireSpace\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenSubspaceBaireSpaceIsBaireSpace\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{
    "\"limit of sequence of continuous functions from Baire space to metric \
space is continuous on a dense set\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", 
         "\"LimitOfSequenceContinuousFunctionsBaireSpaceToMetricSpaceContinuou\
sOnDenseSet\""}], "]"}],
     "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"LimitOfSequenceContinuousFunctionsBaireSpaceToMetricSpaceContinuousOnDense\
Set\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"intervals are convex\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"IntervalsAreConvex\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"IntervalsAreConvex\
\\\"]\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"rays are convex\"",RowBox[{"Entity", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"RaysAreConvex\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"RaysAreConvex\\\"]\
\"","\"general topology theorem\""},
    "Entity"], ",", 
   TemplateBox[{"\"totally ordered set is convex\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"TotallyOrderedSetIsConvex\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"TotallyOrderedSetIsConvex\\\"]\"","\"general topology theorem\""},
    "Entity"]}], "}"}]], "Output",
 CellChangeTimes->{{3.685898727738867*^9, 3.685898732375152*^9}, 
   3.6859081320804768`*^9, 3.6859116847209587`*^9, 3.685912248293724*^9, 
   3.685912531560357*^9, 3.6859132101862197`*^9, 3.685915277198963*^9, 
   3.685917719116745*^9, 3.68596270837473*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Properties", "Section",
 CellChangeTimes->{{3.6858987899235077`*^9, 3.685898791025342*^9}}],

Cell[CellGroupData[{

Cell["GeneralTopologyConcept", "Subsection",
 CellChangeTimes->{{3.514308661619236*^9, 3.514308664754455*^9}, {
   3.685898707707027*^9, 3.685898713216393*^9}, 3.685898766124371*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EntityValue", "[", 
  RowBox[{"\"\<GeneralTopologyConcept\>\"", ",", "\"\<Properties\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.685898803739558*^9, 3.685898804769993*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"\"arguments\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Arguments\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Arguments\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Restrictions\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Restrictions\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"output\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Output\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Output\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"References\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"References\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Notation\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Notation\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"AlternateNames\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"AlternateNames\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Label\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Label\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SummaryGrid\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"SummaryGrid\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{
    "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
       RowBox[{
        "\"GeneralTopologyConcept\"", ",", "\"TraditionalFormSummaryGrid\""}],
        "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedConcepts\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedConcepts\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"related theorems\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedTheorems\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedTheorems\\\"]\""},
    "EntityProperty"]}], "}"}]], "Output",
 CellChangeTimes->{3.685898805275106*^9, 3.6859116848309584`*^9, 
  3.6859122484807243`*^9, 3.6859125317403555`*^9, 3.6859132103734093`*^9, 
  3.685915287977428*^9, 3.6859177238550787`*^9, 3.685962717339429*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["GeneralTopologyTheorem", "Subsection",
 CellChangeTimes->{{3.514308661619236*^9, 3.514308664754455*^9}, {
  3.685898707707027*^9, 3.685898742985231*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EntityValue", "[", 
  RowBox[{"\"\<GeneralTopologyTheorem\>\"", ",", "\"\<Properties\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.685898810491622*^9, 3.685898817153936*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TemplateBox[{"\"qualifying objects\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"QualifyingObjects\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"QualifyingObjects\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Restrictions\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Restrictions\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"statement\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Statement\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"Statement\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"References\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"References\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Notation\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"Notation\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"AlternateNames\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"AlternateNames\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Label\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"Label\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"SummaryGrid\""}], "]"}],
     "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"SummaryGrid\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{
    "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"TraditionalFormSummaryGrid\""}],
        "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
    "EntityProperty"], ",", 
   TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
       RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"RelatedConcepts\""}], 
       "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"RelatedConcepts\\\"]\""},
    "EntityProperty"]}], "}"}]], "Output",
 CellChangeTimes->{3.685898817503437*^9, 3.6859116849409585`*^9, 
  3.6859122485397243`*^9, 3.6859125317803545`*^9, 3.685913210420206*^9, 
  3.685915289392889*^9, 3.68591772526572*^9, 3.685962717482853*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["GeneralTopologyConcept: Examples", "Section",
 CellChangeTimes->{{3.6858989125193167`*^9, 3.685898915099666*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    TemplateBox[{"\"is paracompact\"",RowBox[{"Entity", "[", 
        RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsParacompact\""}], 
        "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsParacompact\\\"]\"","\"general topology concept\""},
     "Entity"], "[", "\"\<PropertyAssociation\>\"", "]"}], "//", "Normal"}], "//", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"#", ",", 
     RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{3.6858993547946587`*^9, 3.685905400468224*^9, 
  3.685905869990459*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      TemplateBox[{"\"arguments\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Arguments\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Arguments\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", "\[ScriptCapitalX]", "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Restrictions\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Restrictions\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\[ScriptCapitalX]", "\[Element]", 
        RowBox[{
         RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Ob\"\>", 
         "]"}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"output\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Output\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Output\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{
       SubscriptBox["\[ForAll]", 
        RowBox[{"A", ",", 
         RowBox[{
          RowBox[{"Math", "[", "\<\"IsOpenCoverOf\"\>", "]"}], "[", 
          RowBox[{"A", ",", "\[ScriptCapitalX]"}], "]"}]}]], 
       RowBox[{
        SubscriptBox["\[Exists]", 
         RowBox[{"B", ",", 
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsOpenCoverOf\"\>", "]"}], "[", 
           RowBox[{"B", ",", "\[ScriptCapitalX]"}], "]"}]}]], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsOpenRefinementOf\"\>", "]"}], "[", 
           RowBox[{"B", ",", "A", ",", "\[ScriptCapitalX]"}], "]"}], "&&", 
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsLocallyFiniteIn\"\>", "]"}], "[", 
           RowBox[{"B", ",", "\[ScriptCapitalX]"}], "]"}]}], ")"}]}]}]}]},
    {
     RowBox[{
      TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"References\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"References\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\<\"Authors\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "\<\"James Munkres\"\>", "}"}]}], ",", 
        RowBox[{"\<\"Title\"\>", "\[RuleDelayed]", "\<\"Topology\"\>"}], ",", 
        RowBox[{"\<\"Pages\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "253", "}"}]}], ",", 
        RowBox[{"\<\"Year\"\>", "\[RuleDelayed]", "2000"}]}], 
       "\[RightAssociation]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Notation\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Notation\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"Missing", "[", "\<\"NotAvailable\"\>", "]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"AlternateNames\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"AlternateNames\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"Missing", "[", "\<\"NotAvailable\"\>", "]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Label\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Label\\\"]\""},
       "EntityProperty"], "\[Rule]", "\<\"is paracompact\"\>"}]},
    {
     RowBox[{
      TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SummaryGrid\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"SummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      TagBox[GridBox[{
         {"Math", "\<\"IsParacompact\"\>"},
         {"\<\"Expression\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             RowBox[{"Math", "[", "\"\<IsParacompact\>\"", "]"}], "[", 
             "\[ScriptCapitalX]", "]"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            PureMath`Math["IsParacompact"][PureMath`\[ScriptCapitalX]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Arguments\"\>", 
          RowBox[{"{", 
           InterpretationBox[
            StyleBox["\[ScriptCapitalX]",
             ShowStringCharacters->True,
             NumberMarks->True],
            InputForm[PureMath`\[ScriptCapitalX]],
            AutoDelete->True,
            Editable->True], "}"}]},
         {"\<\"Restrictions\"\>", 
          RowBox[{"{", 
           InterpretationBox[
            StyleBox[
             RowBox[{"Element", "[", 
              RowBox[{"\[ScriptCapitalX]", ",", " ", 
               RowBox[{
                RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                "\"\<Ob\>\"", "]"}]}], "]"}],
             ShowStringCharacters->True,
             NumberMarks->True],
            InputForm[
             Element[PureMath`\[ScriptCapitalX], 
              PureMath`Category["Top"]["Ob"]]],
            AutoDelete->True,
            Editable->True], "}"}]},
         {"\<\"Output\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"ForAll", "[", 
             RowBox[{"A", ",", " ", 
              RowBox[{
               RowBox[{"Math", "[", "\"\<IsOpenCoverOf\>\"", "]"}], "[", 
               RowBox[{"A", ",", " ", "\[ScriptCapitalX]"}], "]"}], ",", " ", 
              RowBox[{"Exists", "[", 
               RowBox[{"B", ",", " ", 
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsOpenCoverOf\>\"", "]"}], "[", 
                 RowBox[{"B", ",", " ", "\[ScriptCapitalX]"}], "]"}], ",", 
                " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Math", "[", "\"\<IsOpenRefinementOf\>\"", "]"}], 
                  "[", 
                  RowBox[{"B", ",", " ", "A", ",", " ", "\[ScriptCapitalX]"}],
                   "]"}], " ", "&&", " ", 
                 RowBox[{
                  RowBox[{"Math", "[", "\"\<IsLocallyFiniteIn\>\"", "]"}], 
                  "[", 
                  RowBox[{"B", ",", " ", "\[ScriptCapitalX]"}], "]"}]}]}], 
               "]"}]}], "]"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            ForAll[PureMath`A, 
             PureMath`Math["IsOpenCoverOf"][
             PureMath`A, PureMath`\[ScriptCapitalX]], 
             Exists[PureMath`B, 
              PureMath`Math["IsOpenCoverOf"][
              PureMath`B, PureMath`\[ScriptCapitalX]], 
              And[
               PureMath`Math["IsOpenRefinementOf"][
               PureMath`B, PureMath`A, PureMath`\[ScriptCapitalX]], 
               PureMath`Math["IsLocallyFiniteIn"][
               PureMath`B, PureMath`\[ScriptCapitalX]]]]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"References\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"<|", 
             RowBox[{
              RowBox[{"\"\<Authors\>\"", " ", ":>", " ", 
               RowBox[{"{", "\"\<James Munkres\>\"", "}"}]}], ",", " ", 
              RowBox[{"\"\<Title\>\"", " ", ":>", " ", "\"\<Topology\>\""}], 
              ",", " ", 
              RowBox[{"\"\<Pages\>\"", " ", ":>", " ", 
               RowBox[{"{", "253", "}"}]}], ",", " ", 
              RowBox[{"\"\<Year\>\"", " ", ":>", " ", "2000"}]}], "|>"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            Association[
            "Authors" :> {"James Munkres"}, "Title" :> "Topology", 
             "Pages" :> {253}, "Year" :> 2000]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Label\"\>", 
          InterpretationBox[
           StyleBox["\"\<is paracompact\>\"",
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm["is paracompact"],
           AutoDelete->True,
           Editable->True]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.7],
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
            RGBColor[0.9, 1, 0.9]}},
        GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxItemStyle->{"Columns" -> {
            GrayLevel[0.3]}}],
       "Grid"]}]},
    {
     RowBox[{
      TemplateBox[{
       "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyConcept\"", ",", 
            "\"TraditionalFormSummaryGrid\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      FormBox[
       FormBox[
        TagBox[GridBox[{
           {"Math", "\<\"IsParacompact\"\>"},
           {"\<\"Expression\"\>", 
            TemplateBox[{"\[ScriptCapitalX]","\" is paracompact\""},
             "RowDefault"]},
           {"\<\"Arguments\"\>", 
            TemplateBox[{"\[ScriptCapitalX]"},
             "RowDefault"]},
           {"\<\"Restrictions\"\>", 
            TagBox[GridBox[{
               {
                RowBox[{"\[ScriptCapitalX]", "\[Element]", 
                 StyleBox["\<\"Top\"\>",
                  StripOnInput->False,
                  FontWeight->Bold]}]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"Output\"\>", 
            RowBox[{
             SubscriptBox["\[ForAll]", 
              RowBox[{"A", ",", 
               
               TemplateBox[{
                "A","\" is an open cover of \"","\[ScriptCapitalX]"},
                "RowDefault"]}]], 
             RowBox[{
              SubscriptBox["\[Exists]", 
               RowBox[{"B", ",", 
                
                TemplateBox[{
                 "B","\" is an open cover of \"","\[ScriptCapitalX]"},
                 "RowDefault"]}]], 
              RowBox[{"(", 
               RowBox[{
                
                TemplateBox[{
                 "B","\" is an open refinement of \"","A","\" in \"",
                  "\[ScriptCapitalX]"},
                 "RowDefault"], 
                StyleBox[
                 RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                 FontColor->GrayLevel[0.5]], 
                
                TemplateBox[{
                 "B","\" is locally finite in \"","\[ScriptCapitalX]"},
                 "RowDefault"]}], ")"}]}]}]},
           {"\<\"References\"\>", 
            
            TemplateBox[{
             "\"James Munkres\"","\". \"",StyleBox[
              "\"Topology\"", Italic, StripOnInput -> False],"\". \"",
              "\"p. \"","253","\", \"","2000"},
             "RowDefault"]},
           {"\<\"Label\"\>", "\<\"is paracompact\"\>"}
          },
          AutoDelete->False,
          FrameStyle->GrayLevel[0.7],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
              RGBColor[0.9, 1, 0.9]}},
          GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxItemStyle->{"Columns" -> {
              GrayLevel[0.3]}}],
         "Grid"],
        TraditionalForm],
       TraditionalForm]}]},
    {
     RowBox[{
      TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedConcepts\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedConcepts\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{"\"is open cover of\"",RowBox[{"Entity", "[", 
            RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsOpenCoverOf\""}], 
            "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsOpenCoverOf\
\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is open refinement of\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsOpenRefinementOf\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsOpenRefinementOf\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is locally finite in\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsLocallyFiniteIn\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsLocallyFiniteIn\\\"]\"","\"general topology concept\""},
         "Entity"]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"related theorems\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedTheorems\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedTheorems\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{
         "\"paracompact Hausdorff implies normal\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"ParacompactHausdorffImpliesNormal\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ParacompactHausdorffImpliesNormal\\\"]\"","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"closed subspace of paracompact space is paracompact\"",
          RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"ClosedSubspaceOfParacompactSpaceIsParacompact\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ClosedSubspaceOfParacompactSpaceIsParacompact\\\"]\"",
          "\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"metrizable implies paracompact\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"MetrizableImpliesParacompact\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"MetrizableImpliesParacompact\\\"]\"","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"regular Lindel\[ODoubleDot]f implies paracompact\"",
          RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"RegularLindel\[ODoubleDot]fImpliesParacompact\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \\\"RegularLindel\
\[ODoubleDot]fImpliesParacompact\\\"]\"","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"open cover of paracompact Hausdorff space has locally finite \
precise refinement\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"OpenCoverParacompactHausdorffHasLocallyFinitePreciseRefinemen\
t\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenCoverParacompactHausdorffHasLocallyFinitePreciseRefinement\\\"]\"",
          "\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"open cover paracompact Hausdorff space admits subordinate \
partition of unity\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"OpenCoverParacompactHausdorffSpaceAdmitsSubordinatePartitionO\
fUnity\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"OpenCoverParacompactHausdorffSpaceAdmitsSubordinatePartitionOfUnity\\\"]\"\
","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"paracompact Hausdorff implies locally finite collection admits \
positive continuous function arbitrarily small on each\"",
          RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"ParacompactHausdorffImpliesLocallyFiniteCollectionAdmitsPosit\
iveContinuousFunctionArbitrarilySmallOnEach\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"ParacompactHausdorffImpliesLocallyFiniteCollectionAdmitsPositiveContinuous\
FunctionArbitrarilySmallOnEach\\\"]\"","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{"\"Smirnov Metrization Theorem\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"SmirnovMetrizationTheorem\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SmirnovMetrizationTheorem\\\"]\"","\"general topology theorem\""},
         "Entity"]}], "}"}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxDividers->{
    "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.6858993559059353`*^9, 3.685905401144886*^9, 
  3.685905870615161*^9, 3.68590816033099*^9, 3.685911685317959*^9, 
  3.685912248640724*^9, 3.6859125318703537`*^9, 3.6859132105294*^9, 
  3.6859152938136187`*^9, 3.685917728778597*^9, 3.6859627215535593`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["GeneralTopologyConcept: Examples (continued)", "Section",
 CellChangeTimes->{{3.685905240466337*^9, 3.685905244998991*^9}, {
  3.685910054650348*^9, 3.685910059330438*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    TemplateBox[{"\"sup metric\"",RowBox[{"Entity", "[", 
        RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SupMetric\""}], "]"}],
      "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"SupMetric\\\"]\"",
      "\"general topology concept\""},
     "Entity"], "[", "\"\<PropertyAssociation\>\"", "]"}], "//", "Normal"}], "//", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"#", ",", 
     RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.6858990228365*^9, 3.685899022838221*^9}, 
   3.685899306365172*^9, 3.685905464431634*^9, 3.685905537515498*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      TemplateBox[{"\"arguments\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Arguments\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Arguments\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"X", ",", 
        RowBox[{"Tuple", "[", 
         RowBox[{"Y", ",", "d"}], "]"}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Restrictions\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Restrictions\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Tuple", "[", 
          RowBox[{"Y", ",", "d"}], "]"}], "\[Element]", 
         RowBox[{"Math", "[", "\<\"MetricSpaces\"\>", "]"}]}], ",", 
        RowBox[{"X", "\[Element]", "Sets"}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"output\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Output\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Output\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"Mapping", "[", 
       RowBox[{
        RowBox[{"SetProduct", "[", 
         RowBox[{
          RowBox[{"\[ScriptCapitalB]", "[", 
           RowBox[{"X", ",", "Y"}], "]"}], ",", 
          RowBox[{"\[ScriptCapitalB]", "[", 
           RowBox[{"X", ",", "Y"}], "]"}]}], "]"}], ",", "Reals", ",", 
        RowBox[{
         RowBox[{"Tuple", "[", 
          RowBox[{"f", ",", "g"}], "]"}], "\[RightTeeArrow]", 
         RowBox[{"Supremum", "[", 
          RowBox[{"SetBuilder", "[", 
           RowBox[{
            RowBox[{"d", "[", 
             RowBox[{
              RowBox[{"f", "[", "x", "]"}], ",", 
              RowBox[{"g", "[", "x", "]"}]}], "]"}], ",", 
            RowBox[{"x", "\[Element]", "X"}]}], "]"}], "]"}]}]}], "]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"References\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"References\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\<\"Authors\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "\<\"James Munkres\"\>", "}"}]}], ",", 
        RowBox[{"\<\"Title\"\>", "\[RuleDelayed]", "\<\"Topology\"\>"}], ",", 
        RowBox[{"\<\"Pages\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "268", "}"}]}], ",", 
        RowBox[{"\<\"Year\"\>", "\[RuleDelayed]", "2000"}]}], 
       "\[RightAssociation]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Notation\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"Notation\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[ScriptCapitalB]", "[", 
         RowBox[{"X", ",", "Y"}], "]"}], "\[RuleDelayed]", 
        RowBox[{"SetBuilder", "[", 
         RowBox[{"f", ",", 
          RowBox[{"f", "\[Element]", 
           RowBox[{"Functions", "[", 
            RowBox[{"X", ",", "Y"}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsBoundedFunction\"\>", "]"}], "[", 
           RowBox[{"f", ",", 
            RowBox[{"Tuple", "[", 
             RowBox[{"Y", ",", "d"}], "]"}]}], "]"}]}], "]"}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"AlternateNames\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"AlternateNames\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"Missing", "[", "\<\"NotAvailable\"\>", "]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Label\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \\\"Label\\\"]\""},
       "EntityProperty"], "\[Rule]", "\<\"sup metric\"\>"}]},
    {
     RowBox[{
      TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"SummaryGrid\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"SummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      TagBox[GridBox[{
         {"Math", "\<\"SupMetric\"\>"},
         {"\<\"Expression\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             RowBox[{"Math", "[", "\"\<SupMetric\>\"", "]"}], "[", 
             RowBox[{"X", ",", " ", 
              RowBox[{"Tuple", "[", 
               RowBox[{"Y", ",", " ", "d"}], "]"}]}], "]"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            PureMath`Math["SupMetric"][PureMath`X, 
             PureMath`Tuple[PureMath`Y, PureMath`d]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Arguments\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox["X",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`X],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Tuple", "[", 
               RowBox[{"Y", ",", " ", "d"}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              PureMath`Tuple[PureMath`Y, PureMath`d]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Restrictions\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{
                RowBox[{"Tuple", "[", 
                 RowBox[{"Y", ",", " ", "d"}], "]"}], ",", " ", 
                RowBox[{"Math", "[", "\"\<MetricSpaces\>\"", "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[
               PureMath`Tuple[PureMath`Y, PureMath`d], 
               PureMath`Math["MetricSpaces"]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{"X", ",", " ", "Sets"}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[PureMath`X, PureMath`Sets]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Output\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"Mapping", "[", 
             RowBox[{
              RowBox[{"SetProduct", "[", 
               RowBox[{
                RowBox[{"\[ScriptCapitalB]", "[", 
                 RowBox[{"X", ",", " ", "Y"}], "]"}], ",", " ", 
                RowBox[{"\[ScriptCapitalB]", "[", 
                 RowBox[{"X", ",", " ", "Y"}], "]"}]}], "]"}], ",", " ", 
              "Reals", ",", " ", 
              RowBox[{
               RowBox[{"Tuple", "[", 
                RowBox[{"f", ",", " ", "g"}], "]"}], " ", "\[RightTeeArrow]", 
               " ", 
               RowBox[{"Supremum", "[", 
                RowBox[{"SetBuilder", "[", 
                 RowBox[{
                  RowBox[{"d", "[", 
                   RowBox[{
                    RowBox[{"f", "[", "x", "]"}], ",", " ", 
                    RowBox[{"g", "[", "x", "]"}]}], "]"}], ",", " ", 
                  RowBox[{"Element", "[", 
                   RowBox[{"x", ",", " ", "X"}], "]"}]}], "]"}], "]"}]}]}], 
             "]"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            PureMath`Mapping[
             PureMath`SetProduct[
              PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y], 
              PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y]], Reals, 
             RightTeeArrow[
              PureMath`Tuple[PureMath`f, PureMath`g], 
              PureMath`Supremum[
               PureMath`SetBuilder[
                PureMath`d[
                 PureMath`f[PureMath`x], 
                 PureMath`g[PureMath`x]], 
                Element[PureMath`x, PureMath`X]]]]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"References\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"<|", 
             RowBox[{
              RowBox[{"\"\<Authors\>\"", " ", ":>", " ", 
               RowBox[{"{", "\"\<James Munkres\>\"", "}"}]}], ",", " ", 
              RowBox[{"\"\<Title\>\"", " ", ":>", " ", "\"\<Topology\>\""}], 
              ",", " ", 
              RowBox[{"\"\<Pages\>\"", " ", ":>", " ", 
               RowBox[{"{", "268", "}"}]}], ",", " ", 
              RowBox[{"\"\<Year\>\"", " ", ":>", " ", "2000"}]}], "|>"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            Association[
            "Authors" :> {"James Munkres"}, "Title" :> "Topology", 
             "Pages" :> {268}, "Year" :> 2000]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Notation\"\>", 
          RowBox[{"{", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              RowBox[{"\[ScriptCapitalB]", "[", 
               RowBox[{"X", ",", " ", "Y"}], "]"}], " ", ":>", " ", 
              RowBox[{"SetBuilder", "[", 
               RowBox[{"f", ",", " ", 
                RowBox[{"Element", "[", 
                 RowBox[{"f", ",", " ", 
                  RowBox[{"Functions", "[", 
                   RowBox[{"X", ",", " ", "Y"}], "]"}]}], "]"}], ",", " ", 
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsBoundedFunction\>\"", "]"}], "[", 
                 RowBox[{"f", ",", " ", 
                  RowBox[{"Tuple", "[", 
                   RowBox[{"Y", ",", " ", "d"}], "]"}]}], "]"}]}], "]"}]}],
             ShowStringCharacters->True,
             NumberMarks->True],
            InputForm[
            PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y] :> 
             PureMath`SetBuilder[PureMath`f, 
               Element[PureMath`f, 
                PureMath`Functions[PureMath`X, PureMath`Y]], 
               PureMath`Math["IsBoundedFunction"][PureMath`f, 
                PureMath`Tuple[PureMath`Y, PureMath`d]]]],
            AutoDelete->True,
            Editable->True], "}"}]},
         {"\<\"Label\"\>", 
          InterpretationBox[
           StyleBox["\"\<sup metric\>\"",
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm["sup metric"],
           AutoDelete->True,
           Editable->True]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.7],
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
            RGBColor[0.9, 1, 0.9]}},
        GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxItemStyle->{"Columns" -> {
            GrayLevel[0.3]}}],
       "Grid"]}]},
    {
     RowBox[{
      TemplateBox[{
       "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyConcept\"", ",", 
            "\"TraditionalFormSummaryGrid\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      FormBox[
       FormBox[
        TagBox[GridBox[{
           {"Math", "\<\"SupMetric\"\>"},
           {"\<\"Expression\"\>", 
            TemplateBox[{"\"the sup metric on \"",SuperscriptBox["Y", 
               TagBox["X", HoldForm]],"\" induced by d\""},
             "RowDefault"]},
           {"\<\"Arguments\"\>", 
            
            TemplateBox[{
             "X","\", \"",
              TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
               "RowDefault"]},
             "RowDefault"]},
           {"\<\"Restrictions\"\>", 
            TagBox[GridBox[{
               {
                
                TemplateBox[{
                 TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                   "RowDefault"],"\" is a metric space\""},
                 "RowDefault"]},
               {
                TemplateBox[{"X","\" is a set\""},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"Output\"\>", 
            RowBox[{
             InterpretationBox[
              RowBox[{
               InterpretationBox[
                RowBox[{
                 RowBox[{"\[ScriptCapitalB]", "(", 
                  RowBox[{"X", ",", "Y"}], ")"}], "\[Times]", 
                 RowBox[{"\[ScriptCapitalB]", "(", 
                  RowBox[{"X", ",", "Y"}], ")"}]}],
                Infix[{
                  PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y], 
                  PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y]}, 
                 "\[Times]"],
                Editable->False], "\[ReverseElement]", 
               TemplateBox[{"\"(\"","f","\", \"","g","\")\""},
                "RowDefault"]}],
              Infix[{
                PureMath`SetProduct[
                 PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y], 
                 PureMath`\[ScriptCapitalB][PureMath`X, PureMath`Y]], 
                PureMath`Tuple[PureMath`f, PureMath`g]}, "\[ReverseElement]"],
              Editable->False], "\[Function]", 
             InterpretationBox[
              RowBox[{
               TemplateBox[{"\[ThinSpace]","\" \"","\"sup\"",RowBox[{"{", 
                   TemplateBox[{"\"\[VeryThinSpace]\"", 
                    RowBox[{"d", "(", 
                    RowBox[{
                    RowBox[{"f", "(", "x", ")"}], ",", 
                    RowBox[{"g", "(", "x", ")"}]}], ")"}], "\" | \"", 
                    RowBox[{"x", "\[Element]", "X"}], "\"\[VeryThinSpace]\""},
                     "RowDefault"], "}"}]},
                "RowWithSeparators"], "\[Element]", 
               TagBox["\[DoubleStruckCapitalR]",
                Function[{}, Reals]]}],
              Infix[{
                PureMath`Supremum[
                 PureMath`SetBuilder[
                  PureMath`d[
                   PureMath`f[PureMath`x], 
                   PureMath`g[PureMath`x]], 
                  Element[PureMath`x, PureMath`X]]], Reals}, "\[Element]"],
              Editable->False]}]},
           {"\<\"References\"\>", 
            
            TemplateBox[{
             "\"James Munkres\"","\". \"",StyleBox[
              "\"Topology\"", Italic, StripOnInput -> False],"\". \"",
              "\"p. \"","268","\", \"","2000"},
             "RowDefault"]},
           {"\<\"Notation\"\>", 
            TagBox[GridBox[{
               {
                RowBox[{
                 RowBox[{"\[ScriptCapitalB]", "(", 
                  RowBox[{"X", ",", "Y"}], ")"}], "\[RuleDelayed]", 
                 RowBox[{"{", 
                  
                  TemplateBox[{
                   "\"\[VeryThinSpace]\"",
                    TemplateBox[{"f", "\"\[ThinSpace]: \"", 
                    RowBox[{"X", "\[LongRightArrow]", "Y"}]}, "RowDefault"],
                    "\" | \"",
                    TemplateBox[{"f", "\" is a bounded function in \"", 
                    
                    TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                    "RowDefault"]}, "RowDefault"],"\"\[VeryThinSpace]\""},
                   "RowDefault"], "}"}]}]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"Label\"\>", "\<\"sup metric\"\>"}
          },
          AutoDelete->False,
          FrameStyle->GrayLevel[0.7],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
              RGBColor[0.9, 1, 0.9]}},
          GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxItemStyle->{"Columns" -> {
              GrayLevel[0.3]}}],
         "Grid"],
        TraditionalForm],
       TraditionalForm]}]},
    {
     RowBox[{
      TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedConcepts\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedConcepts\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{"\"metric spaces\"",RowBox[{"Entity", "[", 
            RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricSpaces\""}], 
            "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"MetricSpaces\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is bounded function\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsBoundedFunction\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsBoundedFunction\\\"]\"","\"general topology concept\""},
         "Entity"]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"related theorems\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyConcept\"", ",", "\"RelatedTheorems\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyConcept\\\", \
\\\"RelatedTheorems\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{"\"sup metric well defined\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"SupMetricWellDefined\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"SupMetricWellDefined\\\"]\"","\"general topology theorem\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"corollary to classical Ascoli's Theorem\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyTheorem\"", ",", 
              "\"CorollaryClassicalAscolisTheorem\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"CorollaryClassicalAscolisTheorem\\\"]\"","\"general topology theorem\""},
         "Entity"]}], "}"}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxDividers->{
    "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{
  3.68589902396796*^9, 3.6858993071630583`*^9, 3.68590546556363*^9, {
   3.685905539544961*^9, 3.685905554353773*^9}, 3.685908252336401*^9, 
   3.6859116857079587`*^9, 3.6859122487617245`*^9, 3.685912531980353*^9, 
   3.685913210654193*^9, 3.6859153001171722`*^9, 3.685917733719543*^9, 
   3.685962725865467*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["GeneralTopologyTheorem: Examples", "Section",
 CellChangeTimes->{{3.6858989125193167`*^9, 3.685898915099666*^9}, {
  3.6858993163348227`*^9, 3.685899317142818*^9}, {3.685905207240553*^9, 
  3.685905213407008*^9}, {3.685910065461356*^9, 3.6859100671305885`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    TemplateBox[{"\"Ascoli's Theorem\"",RowBox[{"Entity", "[", 
        RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"AscolisTheorem\""}], 
        "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"AscolisTheorem\\\"]\"","\"general topology theorem\""},
     "Entity"], "[", "\"\<PropertyAssociation\>\"", "]"}], "//", "Normal"}], "//", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"#", ",", 
     RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.6858990228365*^9, 3.685899022838221*^9}, {
   3.6858990945660353`*^9, 3.685899097116633*^9}, 3.6858991658109417`*^9, {
   3.685899224080822*^9, 3.6858992282538233`*^9}, 3.685905665434881*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      TemplateBox[{"\"qualifying objects\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyTheorem\"", ",", 
            "\"QualifyingObjects\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"QualifyingObjects\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\[ScriptCapitalF]", ",", "\[ScriptCapitalX]", ",", 
        RowBox[{"Tuple", "[", 
         RowBox[{"Y", ",", "d"}], "]"}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Restrictions\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Restrictions\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[ScriptCapitalX]", "\[Element]", 
         RowBox[{
          RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Ob\"\>", 
          "]"}]}], ",", 
        RowBox[{
         RowBox[{"Tuple", "[", 
          RowBox[{"Y", ",", "d"}], "]"}], "\[Element]", 
         RowBox[{"Math", "[", "\<\"MetricSpaces\"\>", "]"}]}], ",", 
        RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
         RowBox[{
          RowBox[{
           RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Hom\"\>", 
           "]"}], "[", 
          RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], "]"}]}]}], 
       "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"statement\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Statement\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Statement\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsEquicontinuous\"\>", "]"}], "[", 
           RowBox[{"\[ScriptCapitalF]", ",", "\[ScriptCapitalX]", ",", 
            RowBox[{"Tuple", "[", 
             RowBox[{"Y", ",", "d"}], "]"}]}], "]"}], "&&", 
          RowBox[{
           SubscriptBox["\[ForAll]", 
            RowBox[{"a", ",", 
             RowBox[{"a", "\[Element]", "X"}]}]], 
           RowBox[{
            RowBox[{"Math", "[", "\<\"IsPrecompactSubsetOf\"\>", "]"}], "[", 
            RowBox[{
             SubscriptBox["\[ScriptCapitalF]", "a"], ",", 
             "\[ScriptCapitalY]"}], "]"}]}]}], "\[Implies]", 
         RowBox[{
          SubscriptBox["\[Exists]", "\[ScriptCapitalZ]"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
             RowBox[{"\[ScriptCapitalZ]", "[", "\<\"Elements\"\>", "]"}]}], "&&", 
            RowBox[{
             RowBox[{"Math", "[", "\<\"IsCompactSubspaceOf\"\>", "]"}], "[", 
             RowBox[{"\[ScriptCapitalZ]", ",", 
              RowBox[{"\[ScriptCapitalC]", "[", 
               RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
               "]"}]}], "]"}]}], ")"}]}]}], ")"}], "&&", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsLocallyCompact\"\>", "]"}], "[", 
           "\[ScriptCapitalX]", "]"}], "&&", 
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsHausdorff\"\>", "]"}], "[", 
           "\[ScriptCapitalX]", "]"}], "&&", 
          RowBox[{
           SubscriptBox["\[Exists]", "\[ScriptCapitalZ]"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
              RowBox[{"\[ScriptCapitalZ]", "[", "\<\"Elements\"\>", "]"}]}], "&&", 
             RowBox[{
              RowBox[{"Math", "[", "\<\"IsCompactSubspaceOf\"\>", "]"}], "[", 
              RowBox[{"\[ScriptCapitalZ]", ",", 
               RowBox[{"\[ScriptCapitalC]", "[", 
                RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                "]"}]}], "]"}]}], ")"}]}]}], "\[Implies]", 
         RowBox[{
          RowBox[{
           RowBox[{"Math", "[", "\<\"IsEquicontinuous\"\>", "]"}], "[", 
           RowBox[{"\[ScriptCapitalF]", ",", "\[ScriptCapitalX]", ",", 
            RowBox[{"Tuple", "[", 
             RowBox[{"Y", ",", "d"}], "]"}]}], "]"}], "&&", 
          RowBox[{
           SubscriptBox["\[ForAll]", 
            RowBox[{"a", ",", 
             RowBox[{"a", "\[Element]", "X"}]}]], 
           RowBox[{
            RowBox[{"Math", "[", "\<\"IsPrecompactSubsetOf\"\>", "]"}], "[", 
            RowBox[{
             SubscriptBox["\[ScriptCapitalF]", "a"], ",", 
             "\[ScriptCapitalY]"}], "]"}]}]}]}], ")"}]}]}]},
    {
     RowBox[{
      TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"References\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"References\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\<\"Authors\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "\<\"James Munkres\"\>", "}"}]}], ",", 
        RowBox[{"\<\"Title\"\>", "\[RuleDelayed]", "\<\"Topology\"\>"}], ",", 
        RowBox[{"\<\"Pages\"\>", "\[RuleDelayed]", 
         RowBox[{"{", 
          RowBox[{"290", ",", "291", ",", "292"}], "}"}]}], ",", 
        RowBox[{"\<\"Year\"\>", "\[RuleDelayed]", "2000"}]}], 
       "\[RightAssociation]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Notation\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Notation\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "\[RuleDelayed]", 
         RowBox[{"\[ScriptCapitalX]", "[", "\<\"Elements\"\>", "]"}]}], ",", 
        RowBox[{"\[ScriptCapitalY]", "\[RuleDelayed]", 
         RowBox[{
          RowBox[{"Math", "[", "\<\"TopologicalSpaceFromMetric\"\>", "]"}], 
          "[", 
          RowBox[{"Tuple", "[", 
           RowBox[{"Y", ",", "d"}], "]"}], "]"}]}], ",", 
        RowBox[{
         SubscriptBox["\[ScriptCapitalF]", "a"], "\[RuleDelayed]", 
         RowBox[{"SetBuilder", "[", 
          RowBox[{
           RowBox[{"f", "[", "a", "]"}], ",", 
           RowBox[{"f", "\[Element]", "\[ScriptCapitalF]"}]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"\[ScriptCapitalC]", "[", 
          RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], "]"}], 
         "\[RuleDelayed]", 
         RowBox[{
          RowBox[{"Math", "[", "\<\"TopologicalSpace\"\>", "]"}], "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], 
             "[", "\<\"Hom\"\>", "]"}], "[", 
            RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], "]"}], 
           ",", 
           RowBox[{
            RowBox[{
            "Math", "[", "\<\"TopologyOfCompactConvergence\"\>", "]"}], "[", 
            RowBox[{"\[ScriptCapitalX]", ",", 
             RowBox[{"Tuple", "[", 
              RowBox[{"Y", ",", "d"}], "]"}]}], "]"}]}], "]"}]}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"AlternateNames\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"AlternateNames\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", "\<\"MunkresTheorem47.1\"\>", "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Label\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"Label\\\"]\""},
       "EntityProperty"], "\[Rule]", "\<\"Ascoli's Theorem\"\>"}]},
    {
     RowBox[{
      TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"SummaryGrid\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"SummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      TagBox[GridBox[{
         {"Theorem", "\<\"AscolisTheorem\"\>"},
         {"\<\"QualifyingObjects\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox["\[ScriptCapitalF]",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`\[ScriptCapitalF]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox["\[ScriptCapitalX]",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`\[ScriptCapitalX]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Tuple", "[", 
               RowBox[{"Y", ",", " ", "d"}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              PureMath`Tuple[PureMath`Y, PureMath`d]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Restrictions\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{"\[ScriptCapitalX]", ",", " ", 
                RowBox[{
                 RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                 "\"\<Ob\>\"", "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[PureMath`\[ScriptCapitalX], 
               PureMath`Category["Top"]["Ob"]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{
                RowBox[{"Tuple", "[", 
                 RowBox[{"Y", ",", " ", "d"}], "]"}], ",", " ", 
                RowBox[{"Math", "[", "\"\<MetricSpaces\>\"", "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[
               PureMath`Tuple[PureMath`Y, PureMath`d], 
               PureMath`Math["MetricSpaces"]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"\[ScriptCapitalF]", " ", "\[SubsetEqual]", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                 "\"\<Hom\>\"", "]"}], "[", 
                RowBox[{"\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}], 
                "]"}]}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              SubsetEqual[PureMath`\[ScriptCapitalF], 
               PureMath`Category["Top"]["Hom"][
               PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]]]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Statement\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             RowBox[{"Implies", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsEquicontinuous\>\"", "]"}], "[", 
                 RowBox[{
                 "\[ScriptCapitalF]", ",", " ", "\[ScriptCapitalX]", ",", " ", 
                  RowBox[{"Tuple", "[", 
                   RowBox[{"Y", ",", " ", "d"}], "]"}]}], "]"}], " ", "&&", 
                " ", 
                RowBox[{"ForAll", "[", 
                 RowBox[{"a", ",", " ", 
                  RowBox[{"Element", "[", 
                   RowBox[{"a", ",", " ", "X"}], "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"Math", "[", "\"\<IsPrecompactSubsetOf\>\"", "]"}],
                    "[", 
                   RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[ScriptCapitalF]", ",", " ", "a"}], "]"}], ",", 
                    " ", "\[ScriptCapitalY]"}], "]"}]}], "]"}]}], ",", " ", 
               RowBox[{"Exists", "[", 
                RowBox[{"\[ScriptCapitalZ]", ",", " ", 
                 RowBox[{
                  RowBox[{"\[ScriptCapitalF]", " ", "\[SubsetEqual]", " ", 
                   RowBox[{
                   "\[ScriptCapitalZ]", "[", "\"\<Elements\>\"", "]"}]}], " ",
                   "&&", " ", 
                  RowBox[{
                   RowBox[{"Math", "[", "\"\<IsCompactSubspaceOf\>\"", "]"}], 
                   "[", 
                   RowBox[{"\[ScriptCapitalZ]", ",", " ", 
                    RowBox[{"\[ScriptCapitalC]", "[", 
                    RowBox[{
                    "\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}], 
                    "]"}]}], "]"}]}]}], "]"}]}], "]"}], " ", "&&", " ", 
             RowBox[{"Implies", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsLocallyCompact\>\"", "]"}], "[", 
                 "\[ScriptCapitalX]", "]"}], " ", "&&", " ", 
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsHausdorff\>\"", "]"}], "[", 
                 "\[ScriptCapitalX]", "]"}], " ", "&&", " ", 
                RowBox[{"Exists", "[", 
                 RowBox[{"\[ScriptCapitalZ]", ",", " ", 
                  RowBox[{
                   RowBox[{"\[ScriptCapitalF]", " ", "\[SubsetEqual]", " ", 
                    RowBox[{
                    "\[ScriptCapitalZ]", "[", "\"\<Elements\>\"", "]"}]}], 
                   " ", "&&", " ", 
                   RowBox[{
                    RowBox[{"Math", "[", "\"\<IsCompactSubspaceOf\>\"", "]"}],
                     "[", 
                    RowBox[{"\[ScriptCapitalZ]", ",", " ", 
                    RowBox[{"\[ScriptCapitalC]", "[", 
                    RowBox[{
                    "\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}], 
                    "]"}]}], "]"}]}]}], "]"}]}], ",", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"Math", "[", "\"\<IsEquicontinuous\>\"", "]"}], "[", 
                 RowBox[{
                 "\[ScriptCapitalF]", ",", " ", "\[ScriptCapitalX]", ",", " ", 
                  RowBox[{"Tuple", "[", 
                   RowBox[{"Y", ",", " ", "d"}], "]"}]}], "]"}], " ", "&&", 
                " ", 
                RowBox[{"ForAll", "[", 
                 RowBox[{"a", ",", " ", 
                  RowBox[{"Element", "[", 
                   RowBox[{"a", ",", " ", "X"}], "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"Math", "[", "\"\<IsPrecompactSubsetOf\>\"", "]"}],
                    "[", 
                   RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{"\[ScriptCapitalF]", ",", " ", "a"}], "]"}], ",", 
                    " ", "\[ScriptCapitalY]"}], "]"}]}], "]"}]}]}], "]"}]}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            And[
             Implies[
              And[
               PureMath`Math["IsEquicontinuous"][
               PureMath`\[ScriptCapitalF], PureMath`\[ScriptCapitalX], 
                PureMath`Tuple[PureMath`Y, PureMath`d]], 
               ForAll[PureMath`a, 
                Element[PureMath`a, PureMath`X], 
                PureMath`Math["IsPrecompactSubsetOf"][
                 Subscript[PureMath`\[ScriptCapitalF], PureMath`a], 
                 PureMath`\[ScriptCapitalY]]]], 
              Exists[PureMath`\[ScriptCapitalZ], 
               And[
                SubsetEqual[PureMath`\[ScriptCapitalF], 
                 PureMath`\[ScriptCapitalZ]["Elements"]], 
                PureMath`Math["IsCompactSubspaceOf"][
                PureMath`\[ScriptCapitalZ], 
                 PureMath`\[ScriptCapitalC][
                 PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]]]]]], 
             Implies[
              And[
               PureMath`Math["IsLocallyCompact"][PureMath`\[ScriptCapitalX]], 
               PureMath`Math["IsHausdorff"][PureMath`\[ScriptCapitalX]], 
               Exists[PureMath`\[ScriptCapitalZ], 
                And[
                 SubsetEqual[PureMath`\[ScriptCapitalF], 
                  PureMath`\[ScriptCapitalZ]["Elements"]], 
                 PureMath`Math["IsCompactSubspaceOf"][
                 PureMath`\[ScriptCapitalZ], 
                  PureMath`\[ScriptCapitalC][
                  PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]]]]]], 
              And[
               PureMath`Math["IsEquicontinuous"][
               PureMath`\[ScriptCapitalF], PureMath`\[ScriptCapitalX], 
                PureMath`Tuple[PureMath`Y, PureMath`d]], 
               ForAll[PureMath`a, 
                Element[PureMath`a, PureMath`X], 
                PureMath`Math["IsPrecompactSubsetOf"][
                 Subscript[PureMath`\[ScriptCapitalF], PureMath`a], 
                 PureMath`\[ScriptCapitalY]]]]]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"References\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"<|", 
             RowBox[{
              RowBox[{"\"\<Authors\>\"", " ", ":>", " ", 
               RowBox[{"{", "\"\<James Munkres\>\"", "}"}]}], ",", " ", 
              RowBox[{"\"\<Title\>\"", " ", ":>", " ", "\"\<Topology\>\""}], 
              ",", " ", 
              RowBox[{"\"\<Pages\>\"", " ", ":>", " ", 
               RowBox[{"{", 
                RowBox[{"290", ",", " ", "291", ",", " ", "292"}], "}"}]}], 
              ",", " ", 
              RowBox[{"\"\<Year\>\"", " ", ":>", " ", "2000"}]}], "|>"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            Association[
            "Authors" :> {"James Munkres"}, "Title" :> "Topology", 
             "Pages" :> {290, 291, 292}, "Year" :> 2000]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Label\"\>", 
          InterpretationBox[
           StyleBox["\"\<Ascoli's Theorem\>\"",
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm["Ascoli's Theorem"],
           AutoDelete->True,
           Editable->True]},
         {"\<\"AlternateNames\"\>", 
          RowBox[{"{", 
           InterpretationBox[
            StyleBox["\"\<MunkresTheorem47.1\>\"",
             ShowStringCharacters->True,
             NumberMarks->True],
            InputForm["MunkresTheorem47.1"],
            AutoDelete->True,
            Editable->True], "}"}]},
         {"\<\"Notation\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox[
              RowBox[{"X", " ", ":>", " ", 
               RowBox[{"\[ScriptCapitalX]", "[", "\"\<Elements\>\"", "]"}]}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`X :> PureMath`\[ScriptCapitalX]["Elements"]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"\[ScriptCapitalY]", " ", ":>", " ", 
               RowBox[{
                RowBox[{
                "Math", "[", "\"\<TopologicalSpaceFromMetric\>\"", "]"}], "[", 
                RowBox[{"Tuple", "[", 
                 RowBox[{"Y", ",", " ", "d"}], "]"}], "]"}]}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
             PureMath`\[ScriptCapitalY] :> 
              PureMath`Math["TopologicalSpaceFromMetric"][
                PureMath`Tuple[PureMath`Y, PureMath`d]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{
               RowBox[{"Subscript", "[", 
                RowBox[{"\[ScriptCapitalF]", ",", " ", "a"}], "]"}], " ", ":>",
                " ", 
               RowBox[{"SetBuilder", "[", 
                RowBox[{
                 RowBox[{"f", "[", "a", "]"}], ",", " ", 
                 RowBox[{"Element", "[", 
                  RowBox[{"f", ",", " ", "\[ScriptCapitalF]"}], "]"}]}], 
                "]"}]}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
             Subscript[PureMath`\[ScriptCapitalF], PureMath`a] :> 
              PureMath`SetBuilder[
                PureMath`f[PureMath`a], 
                Element[PureMath`f, PureMath`\[ScriptCapitalF]]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{
               RowBox[{"\[ScriptCapitalC]", "[", 
                RowBox[{"\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}], 
                "]"}], " ", ":>", " ", 
               RowBox[{
                RowBox[{"Math", "[", "\"\<TopologicalSpace\>\"", "]"}], "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                   "\"\<Hom\>\"", "]"}], "[", 
                  RowBox[{
                  "\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}], "]"}],
                  ",", " ", 
                 RowBox[{
                  RowBox[{
                  "Math", "[", "\"\<TopologyOfCompactConvergence\>\"", "]"}], 
                  "[", 
                  RowBox[{"\[ScriptCapitalX]", ",", " ", 
                   RowBox[{"Tuple", "[", 
                    RowBox[{"Y", ",", " ", "d"}], "]"}]}], "]"}]}], "]"}]}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
             PureMath`\[ScriptCapitalC][
               PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]] :> 
              PureMath`Math["TopologicalSpace"][
                PureMath`Category["Top"]["Hom"][
                PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]], 
                PureMath`Math["TopologyOfCompactConvergence"][
                PureMath`\[ScriptCapitalX], 
                 PureMath`Tuple[PureMath`Y, PureMath`d]]]],
             AutoDelete->True,
             Editable->True]}], "}"}]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.7],
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
            RGBColor[1, 1, 0.8]}},
        GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxItemStyle->{"Columns" -> {
            GrayLevel[0.3]}}],
       "Grid"]}]},
    {
     RowBox[{
      TemplateBox[{
       "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyTheorem\"", ",", 
            "\"TraditionalFormSummaryGrid\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      FormBox[
       FormBox[
        TagBox[GridBox[{
           {"Theorem", "\<\"AscolisTheorem\"\>"},
           {"\<\"QualifyingObjects\"\>", 
            
            TemplateBox[{
             "\[ScriptCapitalF]","\", \"","\[ScriptCapitalX]","\", \"",
              TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
               "RowDefault"]},
             "RowDefault"]},
           {"\<\"Restrictions\"\>", 
            TagBox[GridBox[{
               {
                RowBox[{"\[ScriptCapitalX]", "\[Element]", 
                 StyleBox["\<\"Top\"\>",
                  StripOnInput->False,
                  FontWeight->Bold]}]},
               {
                
                TemplateBox[{
                 TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                   "RowDefault"],"\" is a metric space\""},
                 "RowDefault"]},
               {
                RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
                 RowBox[{
                  SubscriptBox["\<\"Hom\"\>", 
                   StyleBox["\<\"Top\"\>",
                    StripOnInput->False,
                    FontWeight->Bold]], "(", 
                  RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                  ")"}]}]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"Statement\"\>", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                
                TemplateBox[{
                 "\"the family \"","\[ScriptCapitalF]","\" of maps \"",
                  RowBox[{"\[ScriptCapitalX]", "\[LongRightArrow]", 
                    
                    TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                    "RowDefault"]}],"\" is equicontinuous\""},
                 "RowDefault"], 
                StyleBox[
                 RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                 FontColor->GrayLevel[0.5]], 
                RowBox[{
                 SubscriptBox["\[ForAll]", 
                  RowBox[{"a", ",", 
                   RowBox[{"a", "\[Element]", "X"}]}]], 
                 
                 TemplateBox[{
                  SubscriptBox["\[ScriptCapitalF]", "a"],
                   "\" is a precompact subset of \"","\[ScriptCapitalY]"},
                  "RowDefault"]}]}], "\[Implies]", 
               RowBox[{
                SubscriptBox["\[Exists]", "\[ScriptCapitalZ]"], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
                   SubscriptBox["\[ScriptCapitalZ]", "\<\"el\"\>"]}], 
                  StyleBox[
                   RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                   FontColor->GrayLevel[0.5]], 
                  
                  TemplateBox[{
                   "\[ScriptCapitalZ]","\" is a compact subspace of \"",
                    RowBox[{"\[ScriptCapitalC]", "(", 
                    RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                    ")"}]},
                   "RowDefault"]}], ")"}]}]}], ")"}], 
             StyleBox[
              RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
              FontColor->GrayLevel[0.5]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                TemplateBox[{"\[ScriptCapitalX]","\" is locally compact\""},
                 "RowDefault"], 
                StyleBox[
                 RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                 FontColor->GrayLevel[0.5]], 
                TemplateBox[{"\[ScriptCapitalX]","\" is Hausdorff\""},
                 "RowDefault"], 
                StyleBox[
                 RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                 FontColor->GrayLevel[0.5]], 
                RowBox[{
                 SubscriptBox["\[Exists]", "\[ScriptCapitalZ]"], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"\[ScriptCapitalF]", "\[SubsetEqual]", 
                    SubscriptBox["\[ScriptCapitalZ]", "\<\"el\"\>"]}], 
                   StyleBox[
                    RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                    FontColor->GrayLevel[0.5]], 
                   
                   TemplateBox[{
                    "\[ScriptCapitalZ]","\" is a compact subspace of \"",
                    RowBox[{"\[ScriptCapitalC]", "(", 
                    RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                    ")"}]},
                    "RowDefault"]}], ")"}]}]}], "\[Implies]", 
               RowBox[{
                
                TemplateBox[{
                 "\"the family \"","\[ScriptCapitalF]","\" of maps \"",
                  RowBox[{"\[ScriptCapitalX]", "\[LongRightArrow]", 
                    
                    TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                    "RowDefault"]}],"\" is equicontinuous\""},
                 "RowDefault"], 
                StyleBox[
                 RowBox[{"\[ThinSpace]", "and", "\[ThinSpace]"}],
                 FontColor->GrayLevel[0.5]], 
                RowBox[{
                 SubscriptBox["\[ForAll]", 
                  RowBox[{"a", ",", 
                   RowBox[{"a", "\[Element]", "X"}]}]], 
                 
                 TemplateBox[{
                  SubscriptBox["\[ScriptCapitalF]", "a"],
                   "\" is a precompact subset of \"","\[ScriptCapitalY]"},
                  "RowDefault"]}]}]}], ")"}]}]},
           {"\<\"References\"\>", 
            
            TemplateBox[{
             "\"James Munkres\"","\". \"",StyleBox[
              "\"Topology\"", Italic, StripOnInput -> False],"\". \"",
              "\"pp. \"","\"290-292\"","\", \"","2000"},
             "RowDefault"]},
           {"\<\"Label\"\>", "\<\"Ascoli's Theorem\"\>"},
           {"\<\"AlternateNames\"\>", 
            TemplateBox[{"\"MunkresTheorem47.1\""},
             "RowDefault"]},
           {"\<\"Notation\"\>", 
            TagBox[GridBox[{
               {
                RowBox[{"X", "\[RuleDelayed]", 
                 SubscriptBox["\[ScriptCapitalX]", "\<\"el\"\>"]}]},
               {
                RowBox[{"\[ScriptCapitalY]", "\[RuleDelayed]", 
                 
                 TemplateBox[{
                  TemplateBox[{"\"(\"", "Y", "\", \"", "d", "\")\""}, 
                    "RowDefault"],"\" as a topological space\""},
                  "RowDefault"]}]},
               {
                RowBox[{
                 SubscriptBox["\[ScriptCapitalF]", "a"], "\[RuleDelayed]", 
                 RowBox[{"{", 
                  
                  TemplateBox[{
                   "\"\[VeryThinSpace]\"",RowBox[{"f", "(", "a", ")"}],
                    "\" | \"",
                    RowBox[{"f", "\[Element]", "\[ScriptCapitalF]"}],
                    "\"\[VeryThinSpace]\""},
                   "RowDefault"], "}"}]}]},
               {
                RowBox[{
                 RowBox[{"\[ScriptCapitalC]", "(", 
                  RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                  ")"}], "\[RuleDelayed]", 
                 TemplateBox[{RowBox[{
                    SubscriptBox["\"Hom\"", 
                    StyleBox["\"Top\"", Bold, StripOnInput -> False]], "(", 
                    RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                    ")"}],"\" with \"",
                   TemplateBox[{"\"the topology of compact convergence on \"", 
                    SuperscriptBox["Y", 
                    TagBox["\[ScriptCapitalX]", HoldForm]]}, "RowDefault"]},
                  "RowDefault"]}]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]}
          },
          AutoDelete->False,
          FrameStyle->GrayLevel[0.7],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
              RGBColor[1, 1, 0.8]}},
          GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxItemStyle->{"Columns" -> {
              GrayLevel[0.3]}}],
         "Grid"],
        TraditionalForm],
       TraditionalForm]}]},
    {
     RowBox[{
      TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"RelatedConcepts\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"RelatedConcepts\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{"\"metric spaces\"",RowBox[{"Entity", "[", 
            RowBox[{"\"GeneralTopologyConcept\"", ",", "\"MetricSpaces\""}], 
            "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"MetricSpaces\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"topological space from metric\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"TopologicalSpaceFromMetric\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologicalSpaceFromMetric\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"topological space\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"TopologicalSpace\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"TopologicalSpace\\\"]\
\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{
         "\"topology of compact convergence\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"TopologyOfCompactConvergence\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"TopologyOfCompactConvergence\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is equicontinuous\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsEquicontinuous\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsEquicontinuous\\\"]\
\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is precompact subset of\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsPrecompactSubsetOf\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"IsPrecompactSubsetOf\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is compact subspace of\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsCompactSubspaceOf\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsCompactSubspaceOf\\\
\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is locally compact\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"IsLocallyCompact\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsLocallyCompact\\\"]\
\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"is Hausdorff\"",RowBox[{"Entity", "[", 
            RowBox[{"\"GeneralTopologyConcept\"", ",", "\"IsHausdorff\""}], 
            "]"}],"\"Entity[\\\"GeneralTopologyConcept\\\", \\\"IsHausdorff\\\
\"]\"","\"general topology concept\""},
         "Entity"]}], "}"}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxDividers->{
    "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.685899228664809*^9, 3.685905666171476*^9, 
  3.6859116861509585`*^9, 3.685912248885724*^9, 3.685912532070352*^9, 
  3.6859132107945848`*^9, 3.68591530534867*^9, 3.685917739219152*^9, 
  3.685962730721876*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["GeneralTopologyTheorem: Examples (continued)", "Section",
 CellChangeTimes->{
  3.685905194530488*^9, {3.685910071077464*^9, 3.685910072575093*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    TemplateBox[{
     "\"equivalent characterizations of continuity\"",RowBox[{"Entity", "[", 
        RowBox[{
         "\"GeneralTopologyTheorem\"", ",", 
          "\"EquivalentCharacterizationsOfContinuity\""}], "]"}],
      "\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"EquivalentCharacterizationsOfContinuity\\\"]\"",
      "\"general topology theorem\""},
     "Entity"], "[", "\"\<PropertyAssociation\>\"", "]"}], "//", "Normal"}], "//", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"#", ",", 
     RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.6858990228365*^9, 3.685899022838221*^9}, {
   3.6858990945660353`*^9, 3.685899097116633*^9}, 3.6858991658109417`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{
      TemplateBox[{"\"qualifying objects\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyTheorem\"", ",", 
            "\"QualifyingObjects\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"QualifyingObjects\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"f", ",", "\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
       "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"restrictions\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Restrictions\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Restrictions\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "\[Element]", 
         RowBox[{"Functions", "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalX]", "[", "\<\"Elements\"\>", "]"}], ",", 
           RowBox[{"\[ScriptCapitalY]", "[", "\<\"Elements\"\>", "]"}]}], 
          "]"}]}], ",", 
        RowBox[{"\[ScriptCapitalX]", "\[Element]", 
         RowBox[{
          RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Ob\"\>", 
          "]"}]}], ",", 
        RowBox[{"\[ScriptCapitalY]", "\[Element]", 
         RowBox[{
          RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Ob\"\>", 
          "]"}]}]}], "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"statement\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Statement\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Statement\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{
       RowBox[{"f", "\[Element]", 
        RowBox[{
         RowBox[{
          RowBox[{"Category", "[", "\<\"Top\"\>", "]"}], "[", "\<\"Hom\"\>", 
          "]"}], "[", 
         RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], "]"}]}], 
       "\[Equivalent]", 
       RowBox[{
        SubscriptBox["\[ForAll]", 
         RowBox[{"A", ",", 
          RowBox[{"A", "\[SubsetEqual]", 
           RowBox[{"\[ScriptCapitalX]", "[", "\<\"Elements\"\>", "]"}]}]}]], 
        RowBox[{
         RowBox[{"SetImage", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Math", "[", "\<\"Closure\"\>", "]"}], "[", 
            RowBox[{"A", ",", "\[ScriptCapitalX]"}], "]"}], ",", "f"}], "]"}],
          "\[SubsetEqual]", 
         RowBox[{
          RowBox[{"Math", "[", "\<\"Closure\"\>", "]"}], "[", 
          RowBox[{
           RowBox[{"SetImage", "[", 
            RowBox[{"A", ",", "f"}], "]"}], ",", "\[ScriptCapitalY]"}], 
          "]"}]}]}], "\[Equivalent]", 
       RowBox[{
        SubscriptBox["\[ForAll]", 
         RowBox[{"B", ",", 
          RowBox[{"B", "\[Element]", 
           RowBox[{
            RowBox[{"Math", "[", "\<\"ClosedSubsetsOf\"\>", "]"}], "[", 
            "\[ScriptCapitalY]", "]"}]}]}]], 
        RowBox[{
         RowBox[{"SetPreimage", "[", 
          RowBox[{"B", ",", "f"}], "]"}], "\[Element]", 
         RowBox[{
          RowBox[{"Math", "[", "\<\"ClosedSubsetsOf\"\>", "]"}], "[", 
          "\[ScriptCapitalX]", "]"}]}]}], "\[Equivalent]", 
       RowBox[{
        SubscriptBox["\[ForAll]", 
         RowBox[{"x", ",", 
          RowBox[{"x", "\[Element]", 
           RowBox[{"\[ScriptCapitalX]", "[", "\<\"Elements\"\>", "]"}]}]}]], 
        RowBox[{
         RowBox[{"Math", "[", "\<\"ContinuousAtPoint\"\>", "]"}], "[", 
         RowBox[{
         "f", ",", "\[ScriptCapitalX]", ",", "\[ScriptCapitalY]", ",", "x"}], 
         "]"}]}]}]}]},
    {
     RowBox[{
      TemplateBox[{"\"references\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"References\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"References\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"\[LeftAssociation]", 
       RowBox[{
        RowBox[{"\<\"Authors\"\>", "\[RuleDelayed]", 
         RowBox[{"{", "\<\"James Munkres\"\>", "}"}]}], ",", 
        RowBox[{"\<\"Title\"\>", "\[RuleDelayed]", "\<\"Topology\"\>"}], ",", 
        RowBox[{"\<\"Pages\"\>", "\[RuleDelayed]", 
         RowBox[{"{", 
          RowBox[{"104", ",", "105"}], "}"}]}], ",", 
        RowBox[{"\<\"Year\"\>", "\[RuleDelayed]", "2000"}]}], 
       "\[RightAssociation]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"notation\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Notation\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"Notation\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"Missing", "[", "\<\"NotAvailable\"\>", "]"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"alternate names\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"AlternateNames\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"AlternateNames\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", "\<\"MunkresTheorem18.1\"\>", "}"}]}]},
    {
     RowBox[{
      TemplateBox[{"\"label\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"Label\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \\\"Label\\\"]\""},
       "EntityProperty"], 
      "\[Rule]", "\<\"equivalent characterizations of continuity\"\>"}]},
    {
     RowBox[{
      TemplateBox[{"\"summary grid\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"SummaryGrid\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"SummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      TagBox[GridBox[{
         {"Theorem", "\<\"EquivalentCharacterizationsOfContinuity\"\>"},
         {"\<\"QualifyingObjects\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox["f",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`f],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox["\[ScriptCapitalX]",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`\[ScriptCapitalX]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox["\[ScriptCapitalY]",
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[PureMath`\[ScriptCapitalY]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Restrictions\"\>", 
          RowBox[{"{", 
           RowBox[{
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{"f", ",", " ", 
                RowBox[{"Functions", "[", 
                 RowBox[{
                  RowBox[{"\[ScriptCapitalX]", "[", "\"\<Elements\>\"", "]"}],
                   ",", " ", 
                  RowBox[{
                  "\[ScriptCapitalY]", "[", "\"\<Elements\>\"", "]"}]}], 
                 "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[PureMath`f, 
               PureMath`Functions[
                PureMath`\[ScriptCapitalX]["Elements"], 
                PureMath`\[ScriptCapitalY]["Elements"]]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{"\[ScriptCapitalX]", ",", " ", 
                RowBox[{
                 RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                 "\"\<Ob\>\"", "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[PureMath`\[ScriptCapitalX], 
               PureMath`Category["Top"]["Ob"]]],
             AutoDelete->True,
             Editable->True], ",", 
            InterpretationBox[
             StyleBox[
              RowBox[{"Element", "[", 
               RowBox[{"\[ScriptCapitalY]", ",", " ", 
                RowBox[{
                 RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                 "\"\<Ob\>\"", "]"}]}], "]"}],
              ShowStringCharacters->True,
              NumberMarks->True],
             InputForm[
              Element[PureMath`\[ScriptCapitalY], 
               PureMath`Category["Top"]["Ob"]]],
             AutoDelete->True,
             Editable->True]}], "}"}]},
         {"\<\"Statement\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"Equivalent", "[", 
             RowBox[{
              RowBox[{"Element", "[", 
               RowBox[{"f", ",", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Category", "[", "\"\<Top\>\"", "]"}], "[", 
                  "\"\<Hom\>\"", "]"}], "[", 
                 RowBox[{"\[ScriptCapitalX]", ",", " ", "\[ScriptCapitalY]"}],
                  "]"}]}], "]"}], ",", " ", 
              RowBox[{"ForAll", "[", 
               RowBox[{"A", ",", " ", 
                RowBox[{"A", " ", "\[SubsetEqual]", " ", 
                 RowBox[{
                 "\[ScriptCapitalX]", "[", "\"\<Elements\>\"", "]"}]}], ",", 
                " ", 
                RowBox[{
                 RowBox[{"SetImage", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Math", "[", "\"\<Closure\>\"", "]"}], "[", 
                    RowBox[{"A", ",", " ", "\[ScriptCapitalX]"}], "]"}], ",", 
                   " ", "f"}], "]"}], " ", "\[SubsetEqual]", " ", 
                 RowBox[{
                  RowBox[{"Math", "[", "\"\<Closure\>\"", "]"}], "[", 
                  RowBox[{
                   RowBox[{"SetImage", "[", 
                    RowBox[{"A", ",", " ", "f"}], "]"}], ",", " ", 
                   "\[ScriptCapitalY]"}], "]"}]}]}], "]"}], ",", " ", 
              RowBox[{"ForAll", "[", 
               RowBox[{"B", ",", " ", 
                RowBox[{"Element", "[", 
                 RowBox[{"B", ",", " ", 
                  RowBox[{
                   RowBox[{"Math", "[", "\"\<ClosedSubsetsOf\>\"", "]"}], "[",
                    "\[ScriptCapitalY]", "]"}]}], "]"}], ",", " ", 
                RowBox[{"Element", "[", 
                 RowBox[{
                  RowBox[{"SetPreimage", "[", 
                   RowBox[{"B", ",", " ", "f"}], "]"}], ",", " ", 
                  RowBox[{
                   RowBox[{"Math", "[", "\"\<ClosedSubsetsOf\>\"", "]"}], "[",
                    "\[ScriptCapitalX]", "]"}]}], "]"}]}], "]"}], ",", " ", 
              RowBox[{"ForAll", "[", 
               RowBox[{"x", ",", " ", 
                RowBox[{"Element", "[", 
                 RowBox[{"x", ",", " ", 
                  RowBox[{
                  "\[ScriptCapitalX]", "[", "\"\<Elements\>\"", "]"}]}], 
                 "]"}], ",", " ", 
                RowBox[{
                 RowBox[{"Math", "[", "\"\<ContinuousAtPoint\>\"", "]"}], "[", 
                 RowBox[{
                 "f", ",", " ", "\[ScriptCapitalX]", ",", " ", 
                  "\[ScriptCapitalY]", ",", " ", "x"}], "]"}]}], "]"}]}], 
             "]"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            Equivalent[
             Element[PureMath`f, 
              PureMath`Category["Top"]["Hom"][
              PureMath`\[ScriptCapitalX], PureMath`\[ScriptCapitalY]]], 
             ForAll[PureMath`A, 
              SubsetEqual[PureMath`A, 
               PureMath`\[ScriptCapitalX]["Elements"]], 
              SubsetEqual[
               PureMath`SetImage[
                PureMath`Math["Closure"][
                PureMath`A, PureMath`\[ScriptCapitalX]], PureMath`f], 
               PureMath`Math["Closure"][
                PureMath`SetImage[PureMath`A, PureMath`f], 
                PureMath`\[ScriptCapitalY]]]], 
             ForAll[PureMath`B, 
              Element[PureMath`B, 
               PureMath`Math["ClosedSubsetsOf"][PureMath`\[ScriptCapitalY]]], 
              Element[
               PureMath`SetPreimage[PureMath`B, PureMath`f], 
               PureMath`Math["ClosedSubsetsOf"][PureMath`\[ScriptCapitalX]]]], 
             ForAll[PureMath`x, 
              Element[PureMath`x, 
               PureMath`\[ScriptCapitalX]["Elements"]], 
              PureMath`Math["ContinuousAtPoint"][
              PureMath`f, PureMath`\[ScriptCapitalX], 
               PureMath`\[ScriptCapitalY], PureMath`x]]]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"References\"\>", 
          InterpretationBox[
           StyleBox[
            RowBox[{"<|", 
             RowBox[{
              RowBox[{"\"\<Authors\>\"", " ", ":>", " ", 
               RowBox[{"{", "\"\<James Munkres\>\"", "}"}]}], ",", " ", 
              RowBox[{"\"\<Title\>\"", " ", ":>", " ", "\"\<Topology\>\""}], 
              ",", " ", 
              RowBox[{"\"\<Pages\>\"", " ", ":>", " ", 
               RowBox[{"{", 
                RowBox[{"104", ",", " ", "105"}], "}"}]}], ",", " ", 
              RowBox[{"\"\<Year\>\"", " ", ":>", " ", "2000"}]}], "|>"}],
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm[
            Association[
            "Authors" :> {"James Munkres"}, "Title" :> "Topology", 
             "Pages" :> {104, 105}, "Year" :> 2000]],
           AutoDelete->True,
           Editable->True]},
         {"\<\"Label\"\>", 
          InterpretationBox[
           StyleBox["\"\<equivalent characterizations of continuity\>\"",
            ShowStringCharacters->True,
            NumberMarks->True],
           InputForm["equivalent characterizations of continuity"],
           AutoDelete->True,
           Editable->True]},
         {"\<\"AlternateNames\"\>", 
          RowBox[{"{", 
           InterpretationBox[
            StyleBox["\"\<MunkresTheorem18.1\>\"",
             ShowStringCharacters->True,
             NumberMarks->True],
            InputForm["MunkresTheorem18.1"],
            AutoDelete->True,
            Editable->True], "}"}]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.7],
        GridBoxAlignment->{"Columns" -> {{Left}}},
        GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
            RGBColor[1, 1, 0.8]}},
        GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxItemStyle->{"Columns" -> {
            GrayLevel[0.3]}}],
       "Grid"]}]},
    {
     RowBox[{
      TemplateBox[{
       "\"traditional form summary grid\"",RowBox[{"EntityProperty", "[", 
          
          RowBox[{"\"GeneralTopologyTheorem\"", ",", 
            "\"TraditionalFormSummaryGrid\""}], "]"}],
        "\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"TraditionalFormSummaryGrid\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      FormBox[
       FormBox[
        TagBox[GridBox[{
           {"Theorem", "\<\"EquivalentCharacterizationsOfContinuity\"\>"},
           {"\<\"QualifyingObjects\"\>", 
            
            TemplateBox[{
             "f","\", \"","\[ScriptCapitalX]","\", \"","\[ScriptCapitalY]"},
             "RowDefault"]},
           {"\<\"Restrictions\"\>", 
            TagBox[GridBox[{
               {
                TemplateBox[{"f","\"\[ThinSpace]: \"",RowBox[{
                    SubscriptBox["\[ScriptCapitalX]", "\"el\""], 
                    "\[LongRightArrow]", 
                    SubscriptBox["\[ScriptCapitalY]", "\"el\""]}]},
                 "RowDefault"]},
               {
                RowBox[{"\[ScriptCapitalX]", "\[Element]", 
                 StyleBox["\<\"Top\"\>",
                  StripOnInput->False,
                  FontWeight->Bold]}]},
               {
                RowBox[{"\[ScriptCapitalY]", "\[Element]", 
                 StyleBox["\<\"Top\"\>",
                  StripOnInput->False,
                  FontWeight->Bold]}]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"Statement\"\>", 
            TagBox[GridBox[{
               {"\<\"The following are equivalent: \"\>"},
               {
                TemplateBox[{"\"\\t\"","1","\") \"",RowBox[{"f", "\[Element]", 
                    RowBox[{
                    SubscriptBox["\"Hom\"", 
                    StyleBox["\"Top\"", Bold, StripOnInput -> False]], "(", 
                    RowBox[{"\[ScriptCapitalX]", ",", "\[ScriptCapitalY]"}], 
                    ")"}]}]},
                 "RowDefault"]},
               {
                TemplateBox[{"\"\\t\"","2","\") \"",RowBox[{
                    SubscriptBox["\[ForAll]", 
                    RowBox[{"A", ",", 
                    RowBox[{"A", "\[SubsetEqual]", 
                    SubscriptBox["\[ScriptCapitalX]", "\"el\""]}]}]], 
                    RowBox[{
                    TemplateBox[{"f", "\"[\"", 
                    RowBox[{
                    SubscriptBox["\"cl\"", "\[ScriptCapitalX]"], "(", "A", 
                    ")"}], "\"]\""}, "RowDefault"], "\[SubsetEqual]", 
                    RowBox[{
                    SubscriptBox["\"cl\"", "\[ScriptCapitalY]"], "(", 
                    TemplateBox[{"f", "\"[\"", "A", "\"]\""}, "RowDefault"], 
                    ")"}]}]}]},
                 "RowDefault"]},
               {
                TemplateBox[{"\"\\t\"","3","\") \"",RowBox[{
                    SubscriptBox["\[ForAll]", 
                    RowBox[{"B", ",", 
                    
                    TemplateBox[{
                    "B", "\" is a closed subset of \"", "\[ScriptCapitalY]"}, 
                    "RowDefault"]}]], 
                    TemplateBox[{
                    TemplateBox[{
                    SuperscriptBox["f", 
                    TagBox[
                    RowBox[{"-", "1"}], HoldForm]], "\"[\"", "B", "\"]\""}, 
                    "RowDefault"], "\" is a closed subset of \"", 
                    "\[ScriptCapitalX]"}, "RowDefault"]}]},
                 "RowDefault"]},
               {
                TemplateBox[{"\"\\t\"","4","\") \"",RowBox[{
                    SubscriptBox["\[ForAll]", 
                    RowBox[{"x", ",", 
                    RowBox[{"x", "\[Element]", 
                    SubscriptBox["\[ScriptCapitalX]", "\"el\""]}]}]], 
                    TemplateBox[{
                    TemplateBox[{"f", "\"\[ThinSpace]: \"", 
                    
                    RowBox[{
                    "\[ScriptCapitalX]", "\[LongRightArrow]", 
                    "\[ScriptCapitalY]"}]}, "RowDefault"], 
                    "\" is continuous at \"", "x"}, "RowDefault"]}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"]},
           {"\<\"References\"\>", 
            
            TemplateBox[{
             "\"James Munkres\"","\". \"",StyleBox[
              "\"Topology\"", Italic, StripOnInput -> False],"\". \"",
              "\"pp. \"","\"104-105\"","\", \"","2000"},
             "RowDefault"]},
           {"\<\"Label\"\>", "\<\"equivalent characterizations of \
continuity\"\>"},
           {"\<\"AlternateNames\"\>", 
            TemplateBox[{"\"MunkresTheorem18.1\""},
             "RowDefault"]}
          },
          AutoDelete->False,
          FrameStyle->GrayLevel[0.7],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{None}}, "Rows" -> {
              RGBColor[1, 1, 0.8]}},
          GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxItemStyle->{"Columns" -> {
              GrayLevel[0.3]}}],
         "Grid"],
        TraditionalForm],
       TraditionalForm]}]},
    {
     RowBox[{
      TemplateBox[{"\"related concepts\"",RowBox[{"EntityProperty", "[", 
          RowBox[{"\"GeneralTopologyTheorem\"", ",", "\"RelatedConcepts\""}], 
          "]"}],"\"EntityProperty[\\\"GeneralTopologyTheorem\\\", \
\\\"RelatedConcepts\\\"]\""},
       "EntityProperty"], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        TemplateBox[{"\"closure\"",RowBox[{"Entity", "[", 
            RowBox[{"\"GeneralTopologyConcept\"", ",", "\"Closure\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \\\"Closure\\\"]\"",
          "\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"closed subsets of\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"ClosedSubsetsOf\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ClosedSubsetsOf\\\"]\"","\"general topology concept\""},
         "Entity"], ",", 
        TemplateBox[{"\"continuous at point\"",RowBox[{"Entity", "[", 
            
            RowBox[{"\"GeneralTopologyConcept\"", ",", 
              "\"ContinuousAtPoint\""}], "]"}],
          "\"Entity[\\\"GeneralTopologyConcept\\\", \
\\\"ContinuousAtPoint\\\"]\"","\"general topology concept\""},
         "Entity"]}], "}"}]}]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxDividers->{
    "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.68589902396796*^9, 3.6858990975722103`*^9, 
  3.68589916727457*^9, 3.6859085651180944`*^9, 3.6859116865709586`*^9, 
  3.685912248989724*^9, 3.6859125321663513`*^9, 3.6859132108881793`*^9, 
  3.685915309428797*^9, 3.685917743204265*^9, 3.68596273471821*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Set Theory Symbols", "Section",
 CellChangeTimes->{{3.6858994247462473`*^9, 3.6858994300947638`*^9}}],

Cell["\<\
We have introduced a number of symbols to represent elementary set-theoretic \
concepts:\
\>", "Text",
 CellChangeTimes->{{3.6858994337431507`*^9, 3.685899459778429*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Information", "[", 
    RowBox[{"#", ",", 
     RowBox[{"LongForm", "\[Rule]", "False"}]}], "]"}], "&"}], "@@", 
  RowBox[{"{", 
   RowBox[{"Alternatives", "@@", 
    RowBox[{"(", 
     RowBox[{"ToString", "/@", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Names", "[", "\"\<PureMath`*\>\"", "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"s", "=", 
              RowBox[{"ToExpression", "[", "#", "]"}]}], "}"}], ",", 
            RowBox[{"Length", "[", 
             RowBox[{"Messages", "[", "s", "]"}], "]"}]}], "]"}], ">", "0"}], 
         "&"}]}], "]"}]}], ")"}]}], "}"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 DynamicModuleBox[{Typeset`open$$ = True}, 
  PaneSelectorBox[{False->
   RowBox[{
    OpenerBox[Dynamic[Typeset`open$$],
     ImageSize->Small], 
    StyleBox["PureMath`", "InfoHeading"]}], True->GridBox[{
     {
      RowBox[{
       OpenerBox[Dynamic[Typeset`open$$],
        ImageSize->Small], 
       StyleBox["PureMath`", "InfoHeading"]}]},
     {GridBox[{
        {
         ButtonBox["AbstractPower",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"AbstractPower", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsBijective",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsBijective", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["RealsMinus",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"RealsMinus", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetPreimage",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"SetPreimage", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["AbstractSum",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"AbstractSum", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsCountableSet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsCountableSet", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["RealsPlus",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"RealsPlus", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetProduct",
          BaseStyle->"InformationLink",
          ButtonData:>{
           "Info393685899343-5767048", {"SetProduct", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["BinaryRelations",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"BinaryRelations", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsFiniteSet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsFiniteSet", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["RealsTimes",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"RealsTimes", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetRange",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetRange", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["Category",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Category", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsInfiniteSet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsInfiniteSet", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Restriction",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"Restriction", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Sets",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Sets", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["ClassBuilder",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"ClassBuilder", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsInjective",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsInjective", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Sequences",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Sequences", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetUnion",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetUnion", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["CompositionMap",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"CompositionMap", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsSurjective",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsSurjective", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetBuilder",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"SetBuilder", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["StandardMetricReals",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"StandardMetricReals", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["DomainOfRelation",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"DomainOfRelation", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["IsUncountableSet",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IsUncountableSet", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetCodomain",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"SetCodomain", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["StandardOrderReals",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"StandardOrderReals", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["ExistsUnique",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"ExistsUnique", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Mapping",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Mapping", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetDomain",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetDomain", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["StandardTopologyReals",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"StandardTopologyReals", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["Functions",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Functions", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Math",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Math", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetImage",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetImage", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Supremum",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Supremum", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["IdentityMap",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"IdentityMap", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["PowerSet",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"PowerSet", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetIntersection",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"SetIntersection", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Theorem",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Theorem", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["InclusionMap",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"InclusionMap", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["ProjectionMap",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"ProjectionMap", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetMinus",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetMinus", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["Tuple",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Tuple", "PureMath`"}},
          ButtonNote->"PureMath`"]},
        {
         ButtonBox["Infimum",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"Infimum", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["RealsDivide",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"RealsDivide", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["SetPower",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info393685899343-5767048", {"SetPower", "PureMath`"}},
          ButtonNote->"PureMath`"], 
         ButtonBox["\[EmptySet]",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info393685899343-5767048", {"\[EmptySet]", "PureMath`"}},
          ButtonNote->"PureMath`"]}
       },
       DefaultBaseStyle->"InfoGrid",
       GridBoxItemSize->{"Columns" -> {{
            Scaled[0.2375]}}}]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}]}, 
   Dynamic[Typeset`open$$],
   ImageSize->Automatic]]], "Print", "InfoCell",
 CellChangeTimes->{3.6859173432795973`*^9}],

Cell[BoxData[
 StyleBox["\<\"\!\(\*TemplateBox[List[\\\"\\\\\\\"CompositionMap[\\\\\\\"\\\",\
 StyleBox[\\\"\\\\\\\"g, f\\\\\\\"\\\", Italic, Rule[StripOnInput, False]], \
\\\"\\\\\\\"] represents the composition of functions \\\\\\\"\\\", StyleBox[\
\\\"\\\\\\\"g \\\\[SmallCircle] f\\\\\\\"\\\", Italic, Rule[StripOnInput, \
False]], \\\"\\\\\\\".\\\\\\\"\\\"], \\\"RowDefault\\\"]\)\"\>", 
  "MSG"]], "Print", "PrintUsage",
 CellTags->"Info393685899343-5767048"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Theorem Browser", "Section",
 CellChangeTimes->{{3.68590033443648*^9, 3.685900343394751*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ent", "=", 
   TemplateBox[{"\"properties of closed subsets\"",RowBox[{"Entity", "[", 
       RowBox[{
        "\"GeneralTopologyTheorem\"", ",", "\"PropertiesOfClosedSubsets\""}], 
       "]"}],"\"Entity[\\\"GeneralTopologyTheorem\\\", \
\\\"PropertiesOfClosedSubsets\\\"]\"","\"general topology theorem\""},
    "Entity"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"buttons", "[", 
    RowBox[{"a", ":", 
     RowBox[{"{", "Entity__", "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Button", "[", 
      RowBox[{"#", ",", 
       RowBox[{"ent", "=", "#"}], ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Frameless\>\""}]}], "]"}], "&"}],
     "/@", "a"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"buttons", "[", "___", "]"}], ":=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<(none)\>\"", ",", "Gray"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Dynamic", "[", 
  RowBox[{"Column", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ent", "@", "\"\<TraditionalFormSummaryGrid\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<related concepts: \>\"", ",", 
        RowBox[{"buttons", "@", 
         RowBox[{"ent", "@", "\"\<RelatedConcepts\>\""}]}]}], "}"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{"\"\<related theorems: \>\"", ",", 
        RowBox[{"buttons", "@", 
         RowBox[{"ent", "@", "\"\<RelatedTheorems\>\""}]}]}], "}"}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.68590093405434*^9, 3.685900987004834*^9}, {
   3.685901059171155*^9, 3.6859011669572363`*^9}, {3.685901238170629*^9, 
   3.685901268872781*^9}, 3.6859059502958193`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Relation Graphs", "Section",
 CellChangeTimes->{{3.685900381922905*^9, 3.685900387520858*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"conceptNodes", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"#", ",", 
         InterpretationBox[
          ButtonBox[
           TooltipBox[
            GraphicsBox[{
              {GrayLevel[0], RectangleBox[{0, 0}]}, 
              {GrayLevel[0], RectangleBox[{1, -1}]}, 
              {RGBColor[0.65, 1, 0.65], RectangleBox[{0, -1}, {2, 1}]}},
             AspectRatio->1,
             Frame->True,
             
             FrameStyle->RGBColor[
              0.43333333333333335`, 0.6666666666666666, 0.43333333333333335`],
             FrameTicks->None,
             
             ImageSize->
              Dynamic[{
               Automatic, 
                1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}],
             PlotRangePadding->None],
            "RGBColor[0.65, 1, 0.65]"],
           Appearance->None,
           BaseStyle->{},
           BaselinePosition->Baseline,
           ButtonFunction:>With[{Typeset`box$ = EvaluationBox[]}, 
             If[
              Not[
               AbsoluteCurrentValue["Deployed"]], 
              SelectionMove[Typeset`box$, All, Expression]; 
              FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
              FrontEnd`Private`$ColorSelectorInitialColor = 
               RGBColor[0.65, 1, 0.65]; 
              FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
              MathLink`CallFrontEnd[
                FrontEnd`AttachCell[Typeset`box$, 
                 FrontEndResource["RGBColorValueSelector"], {
                 0, {Left, Bottom}}, {Left, Top}, 
                 "ClosingActions" -> {
                  "SelectionDeparture", "ParentChanged", "EvaluatorQuit"}]]]],
           DefaultBaseStyle->{},
           Evaluator->Automatic,
           Method->"Preemptive"],
          RGBColor[0.65, 1, 0.65],
          Editable->False,
          Selectable->False]}], "]"}], ",", 
       RowBox[{"#", "@", "\"\<TraditionalFormSummaryGrid\>\""}]}], "]"}], 
     "&"}], "/@", 
    RowBox[{"EntityList", "[", "\"\<GeneralTopologyConcept\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theoremNodes", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"#", ",", 
         InterpretationBox[
          ButtonBox[
           TooltipBox[
            GraphicsBox[{
              {GrayLevel[0], RectangleBox[{0, 0}]}, 
              {GrayLevel[0], RectangleBox[{1, -1}]}, 
              {RGBColor[1, 1, 0.5], RectangleBox[{0, -1}, {2, 1}]}},
             AspectRatio->1,
             Frame->True,
             
             FrameStyle->RGBColor[
              0.6666666666666666, 0.6666666666666666, 0.33333333333333337`],
             FrameTicks->None,
             
             ImageSize->
              Dynamic[{
               Automatic, 
                1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}],
             PlotRangePadding->None],
            "RGBColor[1, 1, 0.5]"],
           Appearance->None,
           BaseStyle->{},
           BaselinePosition->Baseline,
           ButtonFunction:>With[{Typeset`box$ = EvaluationBox[]}, 
             If[
              Not[
               AbsoluteCurrentValue["Deployed"]], 
              SelectionMove[Typeset`box$, All, Expression]; 
              FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
              FrontEnd`Private`$ColorSelectorInitialColor = 
               RGBColor[1, 1, 0.5]; 
              FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
              MathLink`CallFrontEnd[
                FrontEnd`AttachCell[Typeset`box$, 
                 FrontEndResource["RGBColorValueSelector"], {
                 0, {Left, Bottom}}, {Left, Top}, 
                 "ClosingActions" -> {
                  "SelectionDeparture", "ParentChanged", "EvaluatorQuit"}]]]],
           DefaultBaseStyle->{},
           Evaluator->Automatic,
           Method->"Preemptive"],
          RGBColor[1, 1, 0.5],
          Editable->False,
          Selectable->False]}], "]"}], ",", 
       RowBox[{"#", "@", "\"\<TraditionalFormSummaryGrid\>\""}]}], "]"}], 
     "&"}], "/@", 
    RowBox[{"EntityList", "[", "\"\<GeneralTopologyTheorem\>\"", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nodes", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"conceptNodes", ",", "theoremNodes"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6859087073952703`*^9, 3.6859087266766233`*^9}, {
  3.685908779591145*^9, 3.685908919287354*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"conceptEdges", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Thread", "/@", 
     RowBox[{"Normal", "@", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"EntityValue", "[", 
         RowBox[{
         "\"\<GeneralTopologyConcept\>\"", ",", "\"\<RelatedConcepts\>\"", 
          ",", "\"\<EntityAssociation\>\""}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "#", "]"}], ">", "0"}], "&"}]}], "]"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"theoremEdges", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Thread", "/@", 
     RowBox[{"Normal", "@", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"EntityValue", "[", 
         RowBox[{
         "\"\<GeneralTopologyTheorem\>\"", ",", "\"\<RelatedConcepts\>\"", 
          ",", "\"\<EntityAssociation\>\""}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "#", "]"}], ">", "0"}], "&"}]}], "]"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"edges", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"conceptEdges", ",", "theoremEdges"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.685908944652629*^9, 3.6859090466630936`*^9}}],

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{"nodes", ",", "edges", ",", 
   RowBox[{"EdgeStyle", "->", 
    InterpretationBox[
     ButtonBox[
      TooltipBox[
       GraphicsBox[{
         {GrayLevel[0], RectangleBox[{0, 0}]}, 
         {GrayLevel[0], RectangleBox[{1, -1}]}, 
         {RGBColor[0.65, 0.65, 1], RectangleBox[{0, -1}, {2, 1}]}},
        AspectRatio->1,
        Frame->True,
        FrameStyle->RGBColor[
         0.43333333333333335`, 0.43333333333333335`, 0.6666666666666666],
        FrameTicks->None,
        ImageSize->
         Dynamic[{
          Automatic, 
           1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
            Magnification])}],
        PlotRangePadding->None],
       "RGBColor[0.65, 0.65, 1]"],
      Appearance->None,
      BaseStyle->{},
      BaselinePosition->Baseline,
      ButtonFunction:>With[{Typeset`box$ = EvaluationBox[]}, 
        If[
         Not[
          AbsoluteCurrentValue["Deployed"]], 
         SelectionMove[Typeset`box$, All, Expression]; 
         FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
         FrontEnd`Private`$ColorSelectorInitialColor = 
          RGBColor[0.65, 0.65, 1]; 
         FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
         MathLink`CallFrontEnd[
           FrontEnd`AttachCell[Typeset`box$, 
            FrontEndResource["RGBColorValueSelector"], {0, {Left, Bottom}}, {
            Left, Top}, 
            "ClosingActions" -> {
             "SelectionDeparture", "ParentChanged", "EvaluatorQuit"}]]]],
      DefaultBaseStyle->{},
      Evaluator->Automatic,
      Method->"Preemptive"],
     RGBColor[0.65, 0.65, 1],
     Editable->False,
     Selectable->False]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6859090507657094`*^9, 3.685909089635556*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Conclusion", "Section",
 CellChangeTimes->{{3.685905981106984*^9, 3.6859059831370363`*^9}}],

Cell["\<\
This is part of a larger project to collect and encode the definitions and \
theorems of mathematics in a maximally computable way.\
\>", "Text",
 CellChangeTimes->{{3.6630564119639597`*^9, 3.663056418811833*^9}, {
   3.663056482228354*^9, 3.66305650615596*^9}, {3.6633688282379704`*^9, 
   3.663368832491016*^9}, {3.663448170423668*^9, 3.663448173061648*^9}, {
   3.66345317114744*^9, 3.663453188506728*^9}, {3.663453299551251*^9, 
   3.6634533914835987`*^9}, 3.663559853326789*^9, 3.685919110813386*^9, {
   3.685919141882019*^9, 3.6859191523693657`*^9}, {3.685919229980823*^9, 
   3.685919240241744*^9}}],

Cell["\<\
The general topology definitions and theorems are currently available as a \
cloud object. In the future, you can expect to see them in the Wolfram Data \
Repository and in WolframAlpha.\
\>", "Text",
 CellChangeTimes->{{3.685905989178998*^9, 3.6859060003443127`*^9}, {
  3.685918423896524*^9, 3.685918456726047*^9}, {3.685918546045126*^9, 
  3.6859185695539637`*^9}, {3.68591917471495*^9, 3.68591921967351*^9}}],

Cell["Let us know if you are interested in contributing.", "Text",
 CellChangeTimes->{{3.685905989178998*^9, 3.6859060003443127`*^9}, {
   3.685918423896524*^9, 3.685918456726047*^9}, {3.685918546045126*^9, 
   3.6859185695539637`*^9}, {3.68591917471495*^9, 3.68591921967351*^9}, {
   3.6859193004027967`*^9, 3.6859193114730167`*^9}, 3.685919429050756*^9}],

Cell[CellGroupData[{

Cell["Other talks", "Subsection",
 CellChangeTimes->{{3.685957967845333*^9, 3.685957991035976*^9}}],

Cell["\<\
Mathematical Constant Data and Riemann Hypothesis Results (Paco Jain; \
Thursday 10:00)\
\>", "Text",
 CellChangeTimes->{{3.68595820503235*^9, 3.685958220984962*^9}, {
  3.685958389348057*^9, 3.685958389692234*^9}}],

Cell["\<\
Computational Encoding of Function Spaces (Lin Cong, Eric Weisstein; Friday \
4:00)\
\>", "Text",
 CellChangeTimes->{{3.68595827939883*^9, 3.685958283058999*^9}, {
  3.685958341852311*^9, 3.685958352994458*^9}, {3.685958386250066*^9, 
  3.68595840273997*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
},
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1393, 855},
WindowMargins->{{2, Automatic}, {Automatic, 0}},
TaggingRules->{"SlideShow" -> True},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"]], 
      Cell[
       StyleData[All, "Presentation"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Condensed"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "SlideShow"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
       StyleData["Notebook"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.739193, 0.750317, 0.747173]}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], ShowCellBracket -> Automatic, ShowGroupOpener -> 
          False, CellMargins -> {{100, 100}, {14, 50}}, 
          CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
          CellFrameMargins -> {{20, 20}, {20, 20}}, DefaultNewInlineCellStyle -> 
          "None", InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LineSpacing -> {1, 0}, 
          LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Title",
           CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
          "Arial", FontSize -> 45, FontWeight -> "Bold", FontSlant -> "Plain",
           FontTracking -> "Plain", 
          FontVariations -> {
           "Outline" -> False, "Shadow" -> False, "StrikeThrough" -> False, 
            "Underline" -> False}, FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765], 
          Background -> None, FontVariations -> {"Masked" -> False}], 
         Cell[
          StyleData["Title", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{55, 3}, {14, 125}}, LineSpacing -> {1, 5}, 
          FontSize -> 48], 
         Cell[
          StyleData[
          "Title", "SlideShow", StyleDefinitions -> 
           StyleData["Title", "Presentation"]], 
          CellMargins -> {{100, 100}, {52, 105}}, FontColor -> GrayLevel[1]], 
         Cell[
          StyleData["Title", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 20}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subtitle"], ShowCellBracket -> Automatic, 
          CellMargins -> {{0, 0}, {0, 5}}, 
          CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False,
           DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "Subtitle", 
          CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Arial", 
          FontSize -> 27, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4], Background -> None], 
         Cell[
          StyleData["Subtitle", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{58, 0}, {0, 5}}, FontSize -> 36], 
         Cell[
          StyleData[
          "Subtitle", "SlideShow", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {0, 5}}, FontSize -> 27, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subtitle", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 5}}, FontSize -> 18, Background -> 
          GrayLevel[1]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubtitle", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {30, 5}}, FontSize -> 24, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubtitle", "Presentation"], FontSize -> 24], 
         Cell[
          StyleData[
          "Subsubtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubtitle"]], CellMargins -> {{0, 0}, {10, 5}}, 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subsubtitle", "Printout"], FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0.2, 0}}, 
          ShowGroupOpener -> False, CellMargins -> {{60, 50}, {7, 25}}, 
          FontSize -> 36, FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765]], 
         Cell[
          StyleData["Section", "Presentation"], 
          CellFrame -> {{0, 0}, {0.2, 0}}, 
          CellMargins -> {{58, 50}, {7, 35}}], 
         Cell[
          StyleData[
          "Section", "SlideShow", StyleDefinitions -> 
           StyleData["Section", "Presentation"]], 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData["Section", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {4, 22}}, FontSize -> 20]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsection", 
          CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
          "Helvetica", FontSize -> 24, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsection", "Presentation"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "SlideShow"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {8, 12}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 17}}, FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsubsection", FontFamily -> "Helvetica", 
          FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubsection", "Presentation"], ShowGroupOpener -> True,
           WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}], 
         Cell[
          StyleData[
          "Subsubsection", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubsection", "Presentation"]]], 
         Cell[
          StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 22}}, FontSize -> 14]}, Closed]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Body Text", "Section"], 
      Cell[
       CellGroupData[{
         Cell["Standard", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, CounterIncrements -> "Text",
              FontFamily -> "Helvetica", FontSize -> 12], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{60, 50}, {10, 10}}, FontSize -> 17], 
            Cell[
             StyleData[
             "Text", "SlideShow", StyleDefinitions -> 
              StyleData["Text", "Presentation"]]], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
           Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Display", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> 
             Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
             ShowGroupOpener -> False, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "Item"], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Item", "SlideShow", StyleDefinitions -> 
              StyleData["Item", "Presentation"]]], 
            Cell[
             StyleData["Item", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem", StyleDefinitions -> StyleData["Item"]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "Subitem"], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Subitem", "SlideShow", StyleDefinitions -> 
              StyleData["Subitem", "Presentation"]]], 
            Cell[
             StyleData["Subitem", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered", StyleDefinitions -> StyleData["Text"]],
              CellDingbat -> Cell[
               TextData[{
                 CounterBox["ItemNumbered"], "."}]], ShowGroupOpener -> False,
              CellMargins -> {{84, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "ItemNumbered"], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["ItemNumbered", "Presentation"]]], 
            Cell[
             StyleData["ItemNumbered", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemNumbered", StyleDefinitions -> 
              StyleData["ItemNumbered"]], CellDingbat -> Cell[
               TextData[{
                 CounterBox["SubitemNumbered", CounterFunction :> (Part[
                    CharacterRange["a", "z"], #]& )], "."}]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "SubitemNumbered"], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "SubitemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemNumbered", "Presentation"]]], 
            Cell[
             StyleData["SubitemNumbered", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "ItemParagraph", StyleDefinitions -> StyleData["Item"]], 
             CellDingbat -> None, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
             CounterIncrements -> "ItemParagraph"], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["ItemParagraph", "Presentation"]]], 
            Cell[
             StyleData["ItemParagraph", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemParagraph", StyleDefinitions -> StyleData["Subitem"]], 
             CellDingbat -> None, ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
             CounterIncrements -> "SubitemParagraph"], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"]], 
            Cell[
             StyleData[
             "SubitemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemParagraph", "Presentation"]]], 
            Cell[
             StyleData["SubitemParagraph", "Printout"]]}, Closed]]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Formulas and Programming", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"]], 
         Cell[
          StyleData["DisplayFormula", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormula", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormula", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
          10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}]]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered"], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormulaNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormulaNumbered", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Inline Formatting", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InlineFormula"]], 
         Cell[
          StyleData["InlineFormula", "Presentation"], FontSize -> 17], 
         Cell[
          StyleData[
          "InlineFormula", "SlideShow", StyleDefinitions -> 
           StyleData["InlineFormula", "Presentation"]]], 
         Cell[
          StyleData["InlineFormula", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {5, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
          DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", FontWeight -> "Bold"], 
         Cell[
          StyleData["Input", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Input", "SlideShow", StyleDefinitions -> 
           StyleData["Input", "Presentation"]]], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {7, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", MenuSortingValue -> 1550, FontWeight -> 
          "Bold"], 
         Cell[
          StyleData["InputOnly", "Presentation"], 
          CellMargins -> {{110, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "InputOnly", "SlideShow", StyleDefinitions -> 
           StyleData["InputOnly", "Presentation"]]], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], ShowCellBracket -> True, 
          CellMargins -> {{103, 10}, {7, 5}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, 
          CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping", 
          CellHorizontalScrolling -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, DefaultFormatType -> 
          DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
          True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
          InputForm, CounterIncrements -> "Output"], 
         Cell[
          StyleData["Output", "Presentation"], 
          CellMargins -> {{110, 50}, {10, 8}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Output", "SlideShow", StyleDefinitions -> 
           StyleData["Output", "Presentation"]]], 
         Cell[
          StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
          FontSize -> 9]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"], CellMargins -> {{103, 10}, {5, 10}}], 
         Cell[
          StyleData["Code", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Code", "SlideShow", StyleDefinitions -> 
           StyleData["Code", "Presentation"]]], 
         Cell[
          StyleData["Code", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], 
          CellMargins -> {{103, Inherited}, {Inherited, Inherited}}, FontSize -> 
          14], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{70, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17, Magnification -> Inherited 1.5], 
         Cell[
          StyleData[
          "Print", "SlideShow", StyleDefinitions -> 
           StyleData["Print", "Presentation"]]], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaShortInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{98, 10}, {5, 7}}, EvaluationMode -> 
          "WolframAlphaShort", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "Equal"]]], 
              CellBaseline -> Baseline], None}, {None, None}}, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaShortInput", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaShortInput", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaShortInput", "Presentation"]]], 
         Cell[
          StyleData["WolframAlphaShortInput", "Printout"], 
          CellFrameLabelMargins -> 3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaLong", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{100, 10}, {5, 7}}, 
          StyleKeyMapping -> {
           "=" -> "Input", "Backspace" -> "WolframAlphaShort"}, 
          EvaluationMode -> "WolframAlphaLong", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "SpikeyEqual"]]]], 
             None}, {None, None}}, DefaultFormatType -> TextForm, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaLong", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaLong", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaLong", "Presentation"]], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData["WolframAlphaLong", "Printout"], CellFrameLabelMargins -> 
          3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Program"], CellMargins -> {{60, 4}, {6, 8}}], 
         Cell[
          StyleData["Program", "Presentation"], 
          CellMargins -> {{60, 50}, {8, 10}}, LineSpacing -> {1, 0}, FontSize -> 
          17], 
         Cell[
          StyleData[
          "Program", "SlideShow", StyleDefinitions -> 
           StyleData["Program", "Presentation"]]], 
         Cell[
          StyleData["Program", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"]], 
         Cell[
          StyleData["CellLabel", "Presentation"], FontSize -> 12], 
         Cell[
          StyleData[
          "CellLabel", "SlideShow", StyleDefinitions -> 
           StyleData["CellLabel", "Presentation"]]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ManipulateLabel"]], 
         Cell[
          StyleData["ManipulateLabel", "Presentation"], FontSize -> 15], 
         Cell[
          StyleData[
          "ManipulateLabel", "SlideShow", StyleDefinitions -> 
           StyleData["ManipulateLabel", "Presentation"]]], 
         Cell[
          StyleData["ManipulateLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GraphicsLabel"]], 
         Cell[
          StyleData["GraphicsLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "GraphicsLabel", "SlideShow", StyleDefinitions -> 
           StyleData["GraphicsLabel", "Presentation"]]], 
         Cell[
          StyleData["GraphicsLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics3DLabel"]], 
         Cell[
          StyleData["Graphics3DLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "Graphics3DLabel", "SlideShow", StyleDefinitions -> 
           StyleData["Graphics3DLabel", "Presentation"]]], 
         Cell[
          StyleData["Graphics3DLabel", "Printout"], FontSize -> 8]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for SlideShow", "Section", 
       CellChangeTimes -> {{3.514665148412793*^9, 3.5146651505550737`*^9}}], 
      Cell[
       StyleData["slideshowheader"], ShowCellBracket -> False, 
       CellMargins -> {{0, 0}, {0, -2}}, Evaluatable -> False, 
       CellHorizontalScrolling -> False, PageBreakBelow -> False, 
       CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1], CellPadding -> 0, CellFramePadding -> 0], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["hidefromslideshowgraphic"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
          None, CellPadding -> 0], 
         Cell[
          StyleData["hidefromslideshowgraphic", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> False], 
         Cell[
          StyleData["hidefromslideshowgraphic", "Printout"], Magnification -> 
          0.6]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["slideshowheader2"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}, 
          Magnification -> 1, Background -> GrayLevel[1]], 
         Cell[
          StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> True], 
         Cell[
          StyleData["slideshowheader", "Printout"], FontSize -> 8, 
          Magnification -> 0.75]}, Closed]], 
      Cell[
       StyleData[
       "ConferenceGraphicCellSlideShowOnly", StyleDefinitions -> 
        StyleData["ConferenceCellGraphic"]], ShowCellBracket -> False, 
       CellMargins -> 0, 
       CellElementSpacings -> {
        "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 
         0}, CellOpen -> False], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SlideShowNavigationBar"], Editable -> True, Selectable -> 
          False, CellFrame -> 0, ShowGroupOpener -> False, 
          CellMargins -> {{0, 0}, {3, 3}}, CellOpen -> True, CellFrameMargins -> 
          0, CellFrameColor -> None, Background -> None], 
         Cell[
          StyleData["SlideShowNavigationBar", "Printout"], PageBreakAbove -> 
          Automatic]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Slide Show Environment Documents", "Section", 
       CellChangeTimes -> {{3.559592561220532*^9, 3.559592575768806*^9}, 
         3.559652073182283*^9}], 
      Cell[
       StyleData["FirstSlide"], 
       PrivateCellOptions -> {
        "PagewiseNotebookBaseStyle" -> {
          FrontEnd`BackgroundAppearance -> FrontEnd`CurrentValue[
             FrontEnd`EvaluationNotebook[], {
             FrontEnd`UnknownOptions, presentertemplt`firstslideimage}]}}]}, 
     Closed]]}, Visible -> False, FrontEndVersion -> 
  "11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 21, 2016)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"],
presentertemplt`firstslideimage -> Image[CompressedData["
1:eJzt3UmudOtVreFDUqBIF5BL0AKqFKkaIcq2MBYVI9lIiF7QEMDkeZ7n0CNz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  "], "Byte", ColorSpace -> "RGB", Interleaving -> True]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info393685899343-5767048"->{
  Cell[294010, 6614, 465, 7, 83, "Print",
   CellTags->"Info393685899343-5767048"]},
 "SlideShowHeader"->{
  Cell[580, 22, 78, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[6414, 146, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11836, 263, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[16815, 366, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[26275, 581, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[174883, 3732, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[182039, 3890, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[200833, 4344, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[221606, 4856, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[258656, 5719, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[282081, 6286, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[294548, 6629, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[296623, 6689, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[304583, 6909, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[306836, 6967, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info393685899343-5767048", 362354, 8104},
 {"SlideShowHeader", 362461, 8107}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 78, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[661, 25, 308, 4, 212, "Title"],
Cell[972, 31, 632, 11, 68, "Subtitle"],
Cell[1607, 44, 4770, 97, 394, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6414, 146, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[6503, 151, 259, 4, 100, "Section"],
Cell[6765, 157, 329, 6, 38, "Text"],
Cell[7097, 165, 289, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[7411, 173, 616, 8, 32, "Item"],
Cell[8030, 183, 737, 12, 32, "Item"],
Cell[8770, 197, 874, 19, 34, "Item"]
}, Open  ]],
Cell[9659, 219, 291, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[9975, 227, 583, 8, 32, "Item"],
Cell[10561, 237, 625, 9, 32, "Item"],
Cell[11189, 248, 586, 8, 32, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11836, 263, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[11925, 268, 175, 3, 100, "Section"],
Cell[12103, 273, 346, 5, 38, "Text"],
Cell[CellGroupData[{
Cell[12474, 282, 632, 9, 32, "Item"],
Cell[13109, 293, 628, 9, 32, "Item"]
}, Open  ]],
Cell[13752, 305, 399, 5, 38, "Text"],
Cell[14154, 312, 785, 15, 32, "Item"],
Cell[14942, 329, 439, 6, 38, "Text"],
Cell[CellGroupData[{
Cell[15406, 339, 670, 9, 32, "Item"],
Cell[16079, 350, 675, 9, 32, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16815, 366, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[16904, 371, 175, 3, 100, "Section"],
Cell[17082, 376, 512, 9, 38, "Text"],
Cell[CellGroupData[{
Cell[17619, 389, 411, 9, 40, "Input"],
Cell[18033, 400, 5955, 122, 77, "Output"]
}, Open  ]],
Cell[24003, 525, 761, 12, 38, "Text"],
Cell[24767, 539, 273, 6, 40, "Input"],
Cell[25043, 547, 560, 9, 38, "Text"],
Cell[25606, 558, 280, 7, 40, "Input"],
Cell[25889, 567, 337, 8, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[26275, 581, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[26364, 586, 172, 3, 100, "Section"],
Cell[CellGroupData[{
Cell[26561, 593, 182, 2, 53, "Subsection"],
Cell[CellGroupData[{
Cell[26768, 599, 202, 4, 40, "Input"],
Cell[26973, 605, 60232, 1142, 1285, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[87254, 1753, 159, 2, 53, "Subsection"],
Cell[CellGroupData[{
Cell[87438, 1759, 253, 5, 40, "Input"],
Cell[87694, 1766, 87116, 1958, 3500, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[174883, 3732, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[174972, 3737, 97, 1, 100, "Section"],
Cell[CellGroupData[{
Cell[175094, 3742, 182, 2, 53, "Subsection"],
Cell[CellGroupData[{
Cell[175301, 3748, 202, 4, 40, "Input"],
Cell[175506, 3754, 3130, 57, 88, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[178685, 3817, 159, 2, 53, "Subsection"],
Cell[CellGroupData[{
Cell[178869, 3823, 202, 4, 40, "Input"],
Cell[179074, 3829, 2892, 53, 88, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[182039, 3890, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[182128, 3895, 119, 1, 100, "Section"],
Cell[CellGroupData[{
Cell[182272, 3900, 612, 14, 48, "Input"],
Cell[182887, 3916, 17885, 421, 1064, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[200833, 4344, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[200922, 4349, 178, 2, 100, "Section"],
Cell[CellGroupData[{
Cell[201125, 4355, 646, 14, 48, "Input"],
Cell[201774, 4371, 19771, 478, 874, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[221606, 4856, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[221695, 4861, 267, 3, 100, "Section"],
Cell[CellGroupData[{
Cell[221987, 4868, 739, 15, 48, "Input"],
Cell[222729, 4885, 35866, 827, 1504, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[258656, 5719, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[258745, 5724, 154, 2, 100, "Section"],
Cell[CellGroupData[{
Cell[258924, 5730, 773, 18, 76, "Input"],
Cell[259700, 5750, 22320, 529, 1140, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[282081, 6286, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[282170, 6291, 107, 1, 100, "Section"],
Cell[282280, 6294, 180, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[282485, 6302, 755, 22, 68, "Input"],
Cell[CellGroupData[{
Cell[283265, 6328, 10742, 284, 619, "Print"],
Cell[294010, 6614, 465, 7, 83, "Print",
 CellTags->"Info393685899343-5767048"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[294548, 6629, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[294637, 6634, 99, 1, 100, "Section"],
Cell[294739, 6637, 1835, 46, 238, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[296623, 6689, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[296712, 6694, 100, 1, 100, "Section"],
Cell[296815, 6697, 4675, 120, 95, "Input"],
Cell[301493, 6819, 1262, 35, 257, "Input"],
Cell[302758, 6856, 1776, 47, 40, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[304583, 6909, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[304672, 6914, 97, 1, 100, "Section"],
Cell[304772, 6917, 617, 10, 38, "Text"],
Cell[305392, 6929, 422, 7, 61, "Text"],
Cell[305817, 6938, 356, 4, 38, "Text"],
Cell[CellGroupData[{
Cell[306198, 6946, 99, 1, 53, "Subsection"],
Cell[306300, 6949, 225, 5, 38, "Text"],
Cell[306528, 6956, 269, 6, 38, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[306836, 6967, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}
]
*)

