(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    130939,       3070]
NotebookOptionsPosition[     67552,       1678]
NotebookOutlinePosition[    124108,       2846]
CellTagsIndexPosition[    124028,       2841]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->"SlideShowHeader"],

Cell["\<\
A connection between the Lean theorem prover and Wolfram Mathematica\
\>", "Title",
 CellChangeTimes->{{3.448190122176695*^9, 3.44819012385317*^9}, {
   3.485609127497636*^9, 3.485609133015955*^9}, {3.514308355088097*^9, 
   3.514308374696691*^9}, 3.5146594348020153`*^9, 3.5146601881617107`*^9, {
   3.685291388904882*^9, 3.685291396752564*^9}, {3.685794137735564*^9, 
   3.685794138701226*^9}}],

Cell["Robert Y. Lewis, Carnegie Mellon University", "Subtitle",
 CellChangeTimes->{{3.485609136120798*^9, 3.4856091511532907`*^9}, {
   3.4856091945334663`*^9, 3.485609199379443*^9}, {3.4951031489375*^9, 
   3.49510314984375*^9}, {3.495106455296875*^9, 3.495106455453125*^9}, {
   3.5143083846926413`*^9, 3.514308395249558*^9}, 3.5443793532699003`*^9, 
   3.621626517580729*^9, {3.621626691998458*^9, 3.6216267186543407`*^9}, {
   3.621695156698331*^9, 3.621695160632772*^9}, {3.622213306499199*^9, 
   3.622213328771823*^9}, {3.6852914004805593`*^9, 3.685291405968534*^9}}],

Cell[TextData[{
 Cell[BoxData[
  GraphicsBox[{InsetBox[
     GraphicsBox[{},
      ContentSelectable->True,
      ImageSize->{480, 360},
      PlotRange->{{0, 480/360}, {0, 1}}], Scaled[{0, 0}], Center, 
     Scaled[{0.5, 0.5}]], InsetBox[
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztW7uO20YUXSQpUuoTmD9QmZIG0qQTHKSfNWIbaRzBDhCkY+HCQGBrbe9m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        "], {{0, 68}, {65, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{65, 68},
      PlotRange->{{0, 65}, {0, 68}}], 
     Scaled[{0.49333580155497714, 0.5717682253254397}], 
     Center, {1.1979558513699555, 0.9210339753942228}, {{1., 0.}, {0., 1.}}]},
   
   AspectRatio->1.0295620437956206`,
   ContentSelectable->True,
   ImageMargins->0.,
   ImagePadding->{{0., 0.}, {0., 0.}},
   ImageSize->{74., 77.5},
   PlotRange->{{0., 1.3333333333333335`}, {0., 1.}},
   PlotRangePadding->Automatic]]],
 StyleBox[" ",
  FontColor->RGBColor[
   0.5019607843137255, 0.5019607843137255, 0.5019607843137255]],
 StyleBox["Join the Conversation ",
  FontColor->RGBColor[
   0.9019607843137255, 0.9019607843137255, 0.9019607843137255]],
 "#WolframTechConf"
}], "Text",
 CellFrame->{{0, 0}, {0, 1}},
 ShowCellBracket->Automatic,
 CellMargins->{{80, 80}, {100, 165}},
 CellFrameMargins->{{0, 0}, {0, 50}},
 CellFrameColor->RGBColor[0.886275, 0.364706, 0.427451],
 CellChangeTimes->{{3.6216253798451433`*^9, 3.621625396205482*^9}, 
   3.6216255185076437`*^9, {3.621625573653562*^9, 3.6216256020928392`*^9}, {
   3.621625635821653*^9, 3.621625645324601*^9}, {3.621625678952072*^9, 
   3.62162572395792*^9}, {3.621625867660451*^9, 3.62162588677988*^9}, {
   3.621625982321312*^9, 3.621625984476396*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontColor->GrayLevel[1]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Outline", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}}],

Cell["I want to focus on the following topics:", "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, 
   3.6852922041669397`*^9}],

Cell[CellGroupData[{

Cell["\<\
The goals of interactive theorem proving, and how they differ from the goals \
of computer algebra\
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.6852918264219427`*^9}}],

Cell["How ITP and CAS can complement each other", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.6852919387807217`*^9}}],

Cell["\<\
A prototype connection between the Lean ITP and Wolfram Mathematica
\
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6857953621030416`*^9, 
  3.685795363346117*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Interactive theorem proving", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}}],

Cell[TextData[{
 "An ",
 ButtonBox["interactive theorem prover",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://en.wikipedia.org/wiki/Proof_assistant"], None},
  ButtonNote->"https://en.wikipedia.org/wiki/Proof_assistant"],
 " (or proof assistant) provides a language that allows users to:"
}], "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685795666301449*^9, 3.6857956808387012`*^9}}],

Cell[CellGroupData[{

Cell["Define mathematical objects.", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.6852918264219427`*^9}, {
   3.685292152479547*^9, 3.685292157143572*^9}, 3.6852927500400248`*^9}],

Cell["State properties of these objects.", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.6852919387807217`*^9}, {3.6852921604073257`*^9, 
  3.685292164959524*^9}, {3.685292753920087*^9, 3.685292755496079*^9}}],

Cell["Prove that these properties hold of certain objects.", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}}]
}, Open  ]],

Cell["\<\
It shouldn\[CloseCurlyQuote]t allow users to prove everything, of course. It \
needs:\
\>", "Text",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.685292276757887*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "A notion of the ",
 StyleBox["correctness",
  FontSlant->"Italic"],
 " of a proof."
}], "Item",
 CellChangeTimes->{{3.6852922807343407`*^9, 3.685292309766612*^9}, 
   3.6852927628081427`*^9}],

Cell["The ability to check whether a proof is correct or not.", "Item",
 CellChangeTimes->{{3.6852922807343407`*^9, 3.6852923193253803`*^9}, {
   3.685292381454859*^9, 3.685292381475403*^9}, 3.685292764855925*^9}]
}, Open  ]],

Cell["\<\
Proving that something is true down to the fundamental axioms is difficult \
and tedious. Ideally, a proof assistant can:\
\>", "Text",
 CellChangeTimes->{{3.6852922807343407`*^9, 3.6852923193253803`*^9}, {
  3.6852923876125717`*^9, 3.685292443827972*^9}}],

Cell[CellGroupData[{

Cell["\<\
Understand and fix ambiguous notation, implicit information, etc.\
\>", "Item",
 CellChangeTimes->{{3.685292446931855*^9, 3.6852924667792892`*^9}, {
   3.685292560186468*^9, 3.685292596500485*^9}, 3.685292769351878*^9}],

Cell["\<\
Automatically generate simple parts of proofs (or, ambitiously, full proofs).\
\
\>", "Item",
 CellChangeTimes->{{3.685292446931855*^9, 3.6852924667792892`*^9}, {
   3.685292560186468*^9, 3.685292632935416*^9}, 3.6852927718721323`*^9}],

Cell["Do all of this efficiently, in a user-friendly way.", "Item",
 CellChangeTimes->{{3.685292446931855*^9, 3.6852924667792892`*^9}, {
   3.685292560186468*^9, 3.685292677017115*^9}, 3.6852927753120813`*^9, {
   3.685292807945472*^9, 3.685292807965498*^9}}]
}, Open  ]],

Cell["\<\
Working with a proof assistant, users construct definitions, theorems, and \
proofs. 
The proof assistant makes sure these definitions are well-formed and \
unambiguous, theorem statements make sense, and proofs actually establish \
what they claim.
In most systems, this proof object can be extracted and verified \
independently.\
\>", "Text",
 CellChangeTimes->{{3.685292446931855*^9, 3.6852924667792892`*^9}, {
   3.685292560186468*^9, 3.685292677017115*^9}, 3.6852927753120813`*^9, {
   3.685292819047105*^9, 3.685292862014675*^9}, {3.685292905790209*^9, 
   3.685292911510083*^9}, {3.6852929864772987`*^9, 3.685292991509124*^9}, 
   3.685293105158297*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Interactive theorem provers", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}}],

Cell["\<\
There are a number of systems in use with large mathematical libraries, based \
on different logical foundations:\
\>", "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["Mizar",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://wiki.mizar.org/bin/view/Mizar"], None},
  ButtonNote->"http://wiki.mizar.org/bin/view/Mizar"],
 " (set theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.6852918264219427`*^9}, {
   3.685292152479547*^9, 3.685292157143572*^9}, 3.6852927500400248`*^9, {
   3.6852931463795643`*^9, 3.685293149971072*^9}, {3.685795736169303*^9, 
   3.6857957361762733`*^9}}],

Cell[TextData[{
 ButtonBox["HOL",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.cl.cam.ac.uk/research/hvg/HOL/"], None},
  ButtonNote->"http://www.cl.cam.ac.uk/research/hvg/HOL/"],
 " / ",
 ButtonBox["HOL Light",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.cl.cam.ac.uk/~jrh13/hol-light/"], None},
  ButtonNote->"https://www.cl.cam.ac.uk/~jrh13/hol-light/"],
 " (simple type theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.6852919387807217`*^9}, {3.6852921604073257`*^9, 
  3.685292164959524*^9}, {3.685292753920087*^9, 3.685292755496079*^9}, {
  3.685293154171026*^9, 3.68529316526703*^9}, {3.6857957596288567`*^9, 
  3.685795781631135*^9}}],

Cell[TextData[{
 ButtonBox["Isabelle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://isabelle.in.tum.de/"], None},
  ButtonNote->"https://isabelle.in.tum.de/"],
 " (simple type theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293176837266*^9}, {3.685795800930543*^9, 
  3.6857958009327173`*^9}}],

Cell[TextData[{
 ButtonBox["Coq",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://coq.inria.fr/"], None},
  ButtonNote->"https://coq.inria.fr/"],
 " (constructive dependent type theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.6852931867884502`*^9}, {3.685795813625772*^9, 
  3.685795813627562*^9}}],

Cell[TextData[{
 ButtonBox["Lean",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://leanprover.github.io/"], None},
  ButtonNote->"http://leanprover.github.io/"],
 " (constructive dependent type theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.6852931947087584`*^9}, {3.685795824877763*^9, 
  3.685795824879478*^9}}],

Cell[TextData[{
 ButtonBox["PVS",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://pvs.csl.sri.com/"], None},
  ButtonNote->"http://pvs.csl.sri.com/"],
 " (classical dependent type theory)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.6852932109084682`*^9}, {3.68579584956662*^9, 
  3.685795849568459*^9}}],

Cell[TextData[{
 ButtonBox["ACL2",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.cs.utexas.edu/users/moore/acl2/"], None},
  ButtonNote->"http://www.cs.utexas.edu/users/moore/acl2/"],
 " (primitive recursive arithmetic)"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293217010502*^9}, {3.685297444688737*^9, 
  3.685297444688855*^9}, {3.685795863623021*^9, 3.6857958636251183`*^9}}]
}, Open  ]],

Cell["Some significant results have been verified to date:", "Text",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293217010502*^9}, {3.6852974463288393`*^9, 
  3.685297460999043*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "The ",
 ButtonBox["four-color theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.ams.org/notices/200811/tx081101382p.pdf"], None},
  ButtonNote->"http://www.ams.org/notices/200811/tx081101382p.pdf"],
 " was verified in Coq by Gonthier (2008)."
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293217010502*^9}, {3.685297466118969*^9, 
  3.685297547621866*^9}, {3.6857958922552032`*^9, 3.6857958922569733`*^9}}],

Cell[TextData[{
 "Gonthier and others also verified the ",
 ButtonBox["Feit-Thompson Odd Order Theorem",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://repository.cmu.edu/cgi/viewcontent.cgi?article=1605&context=\
philosophy"], None},
  ButtonNote->
   "http://repository.cmu.edu/cgi/viewcontent.cgi?article=1605&context=\
philosophy"],
 " in Coq (2012)."
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293217010502*^9}, {3.685297466118969*^9, 
  3.685297596774322*^9}, {3.6857959430528927`*^9, 3.685795943054697*^9}}],

Cell[TextData[{
 "Hales et. al. completed a verification of the ",
 ButtonBox["Kepler conjecture",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://arxiv.org/pdf/1501.02155.pdf"], None},
  ButtonNote->"https://arxiv.org/pdf/1501.02155.pdf"],
 " in 2014. Most of the proof was done in HOL Light, with one section done in \
Isabelle."
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293217010502*^9}, {3.685297466118969*^9, 
  3.685297649372573*^9}, {3.685795983934149*^9, 3.685795983935919*^9}}]
}, Open  ]],

Cell["\<\
A common theme: these systems are particularly useful to check proofs that \
have large computational content, or that are too long or complex for \
referees to reliably check by hand.\
\>", "Text",
 CellChangeTimes->{{3.6852976814959106`*^9, 3.685297739979385*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["ITP vs CAS", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.6852938782019377`*^9, 3.68529387999405*^9}}],

Cell["\<\
In some sense, the goals of interactive theorem proving are complementary to \
the goals of computer algebra:\
\>", "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}, {3.685293883962129*^9, 
   3.685293926289555*^9}, {3.6858013592557783`*^9, 3.6858013606280107`*^9}}],

Cell[CellGroupData[{

Cell["\<\
ITPs require a lot of input/guidance from the user to generate a proof, while \
a CAS is much more automated.\
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.6852918264219427`*^9}, {
   3.685292152479547*^9, 3.685292157143572*^9}, 3.6852927500400248`*^9, {
   3.6852931463795643`*^9, 3.685293149971072*^9}, {3.685293917673609*^9, 
   3.6852939200255747`*^9}, {3.685293961040831*^9, 3.685294017048401*^9}, {
   3.6852941295109673`*^9, 3.685294131103387*^9}}],

Cell["\<\
ITPs often have a much richer language -- they can express facts about a huge \
variety of abstract mathematical objects, and can encode proofs. The language \
of a CAS is more limited in comparison. \
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.6852919387807217`*^9}, {3.6852921604073257`*^9, 
  3.685292164959524*^9}, {3.685292753920087*^9, 3.685292755496079*^9}, {
  3.685293154171026*^9, 3.68529316526703*^9}, {3.6852940224562407`*^9, 
  3.685294049328054*^9}, {3.6852941343669233`*^9, 3.685294203126212*^9}, {
  3.685801377695863*^9, 3.685801388859572*^9}}],

Cell["\<\
As a tradeoff, the richer language is less flexible. The natural number 1 isn\
\[CloseCurlyQuote]t necessarily the same as the integer 1, for instance.\
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293176837266*^9}, {3.6852942276937532`*^9, 
  3.685294241845503*^9}, {3.6852943026610613`*^9, 3.685294315628729*^9}, {
  3.685294528362071*^9, 3.685294542161758*^9}}],

Cell[TextData[{
 "An ITP values the ",
 StyleBox["correctness ",
  FontSlant->"Italic"],
 "of an answer, while a CAS values ",
 StyleBox["finding",
  FontSlant->"Italic"],
 " an answer. It may take a lot of work to verify a proof in an ITP, but once \
it is verified you have a very high degree of certainty. A CAS is much more \
eager to produce an answer, but will sometimes make extra side assumptions or \
run into bugs."
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.6852931867884502`*^9}, {3.68529456716978*^9, 
  3.6852947677832937`*^9}, {3.68580144402538*^9, 3.6858014457141457`*^9}, {
  3.685801481384993*^9, 3.68580148201602*^9}, {3.68580154322726*^9, 
  3.685801543227867*^9}}],

Cell["\<\
ITPs are frequently designed to pass all proofs through a very small trusted \
kernel, so that bugs elsewhere in the system do not make it unsound.\
\>", "Subitem",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.6852931867884502`*^9}, {3.68529456716978*^9, 
  3.6852947677832937`*^9}, {3.68580144402538*^9, 3.6858014457141457`*^9}, {
  3.685801481384993*^9, 3.68580148201602*^9}, {3.685801580295328*^9, 
  3.685801635593869*^9}, {3.685801696913913*^9, 3.685801705066152*^9}}]
}, Open  ]],

Cell["But in another sense, the two paradigms are related:", "Text",
 CellChangeTimes->{{3.68529565246946*^9, 3.685295676852634*^9}, {
  3.685295744355954*^9, 3.685295749539777*^9}, {3.685898147713628*^9, 
  3.685898150278483*^9}}],

Cell[CellGroupData[{

Cell["\<\
Both provide ways for computers to manipulate mathematical objects.\
\>", "Item",
 CellChangeTimes->{{3.685295678160285*^9, 3.68529571229491*^9}}],

Cell["Computation is often a vital part of proof.", "Item",
 CellChangeTimes->{{3.685295678160285*^9, 3.685295718893643*^9}}],

Cell["\<\
Computations can, and often need, to be justified and/or verified.\
\>", "Item",
 CellChangeTimes->{{3.685295678160285*^9, 3.68529571846805*^9}, {
  3.685295759619647*^9, 3.6852957762033167`*^9}, {3.6858017687165194`*^9, 
  3.6858017687406607`*^9}}],

Cell["\<\
Of course we trust Mathematica\[CloseCurlyQuote]s developers to implement \
algorithms correctly! But they return a result, not an argument that the \
result is right -- sometimes we need both.\
\>", "Subitem",
 CellChangeTimes->{{3.685295678160285*^9, 3.68529571846805*^9}, {
  3.685295759619647*^9, 3.6852957762033167`*^9}, {3.6858026606819057`*^9, 
  3.685802732757349*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Linking ITP and CAS", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685296130055215*^9, 3.685296136143301*^9}}],

Cell["\<\
There are a number of ways you can try to link these two kinds of systems.\
\>", "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}, {3.685296201094385*^9, 
   3.685296238005725*^9}}],

Cell[CellGroupData[{

Cell["\<\
Build up an ITP-style language inside of a CAS (Jose\[CloseCurlyQuote]s \
project)\
\>", "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.6852918264219427`*^9}, {
   3.685292152479547*^9, 3.685292157143572*^9}, 3.6852927500400248`*^9, {
   3.6852931463795643`*^9, 3.685293149971072*^9}, {3.6852962419577312`*^9, 
   3.6852962634936123`*^9}}],

Cell[TextData[{
 "Implement verified CAS algorithms inside of an ITP (",
 ButtonBox["Denes et. al. 2012",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.maximedenes.fr/content/coqeal-coq-effective-algebra-\
library"], None},
  ButtonNote->
   "http://www.maximedenes.fr/content/coqeal-coq-effective-algebra-library"],
 ", ",
 ButtonBox["Kaliszyk and Wiedijk 2007",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.cs.ru.nl/~freek/pubs/holcas.pdf"], None},
  ButtonNote->"https://www.cs.ru.nl/~freek/pubs/holcas.pdf"],
 ")"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.6852919387807217`*^9}, {3.6852921604073257`*^9, 
  3.685292164959524*^9}, {3.685292753920087*^9, 3.685292755496079*^9}, {
  3.685293154171026*^9, 3.68529316526703*^9}, {3.685296266213627*^9, 
  3.685296302469191*^9}, {3.6852963443246613`*^9, 3.685296371564502*^9}, {
  3.685796054376544*^9, 3.685796076632908*^9}}],

Cell[TextData[{
 "Design a translation procedure and interface that allows two independent \
systems to communicate (",
 ButtonBox["Harrison and Thery 1998",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.cl.cam.ac.uk/~jrh13/papers/cas.html"], None},
  ButtonNote->"http://www.cl.cam.ac.uk/~jrh13/papers/cas.html"],
 ", ",
 ButtonBox["Ballarin and Paulson 1999",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://dl.acm.org/citation.cfm?id=2378084"], None},
  ButtonNote->"http://dl.acm.org/citation.cfm?id=2378084"],
 ")"
}], "Item",
 CellChangeTimes->{{3.685291818501067*^9, 3.685291822799754*^9}, {
  3.685291909298473*^9, 3.685291957257945*^9}, {3.6852921692151527`*^9, 
  3.6852921893443604`*^9}, {3.685292757840056*^9, 3.685292759456231*^9}, {
  3.685293168946619*^9, 3.685293176837266*^9}, {3.685296401627887*^9, 
  3.6852964840188227`*^9}, {3.68529655581013*^9, 3.6852965667940063`*^9}, {
  3.685796118063732*^9, 3.6857961468778343`*^9}}]
}, Open  ]],

Cell["\<\
We will focus on the latter option. There are some foundational concerns:\
\>", "Text",
 CellChangeTimes->{{3.6852966075936203`*^9, 3.6852966356811934`*^9}, {
  3.685296764943596*^9, 3.6852967815116034`*^9}}],

Cell[CellGroupData[{

Cell["\<\
The two systems may be based on entirely different logics and have different \
semantics. E.g. \
\>", "Item",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297085134267*^9}, {
  3.685297270857465*^9, 3.685297299777007*^9}, {3.685795380534308*^9, 
  3.6857953865938463`*^9}, {3.685901180100618*^9, 3.685901183086523*^9}}],

Cell[CellGroupData[{

Cell["\<\
the ITP may define abstract mathematical concepts with no definable \
equivalent in the CAS\
\>", "Subitem",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297085134267*^9}, {
  3.685297270857465*^9, 3.685297299777007*^9}, {3.685795380534308*^9, 
  3.6857953865938463`*^9}, {3.685901180100618*^9, 3.685901197332037*^9}}],

Cell[TextData[{
 "the ITP may not have an operator that behaves according to the same rules \
as the Wolfram Language ",
 StyleBox["Plus", "Code"]
}], "Subitem",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297085134267*^9}, {
  3.685297270857465*^9, 3.685297299777007*^9}, {3.685795380534308*^9, 
  3.6857953865938463`*^9}, {3.685901180100618*^9, 3.6859012003433237`*^9}}],

Cell[TextData[StyleBox["the ITP may assume only constructive axioms, while \
most computer algebra systems (including Mathematica) behave classically.", \
"Text"]], "Subitem",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297085134267*^9}, {
  3.685297270857465*^9, 3.685297299777007*^9}, {3.685795380534308*^9, 
  3.6857953865938463`*^9}, {3.685901180100618*^9, 3.685901200179504*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Even with a sound translation function, importing \
arbitrary results from a CAS (without care) could introduce bugs into the \
ITP.", "Text"]], "Item",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297060652158*^9}, {
  3.6852971254911013`*^9, 3.685297202524568*^9}, {3.685297258521619*^9, 
  3.6852972600418863`*^9}}],

Cell[TextData[StyleBox["Since the CAS has no \[OpenCurlyDoubleQuote]proof \
language,\[CloseCurlyDoubleQuote] the notion of \
\[OpenCurlyDoubleQuote]importing\[CloseCurlyDoubleQuote] a proof or \
verification from an ITP is rather nebulous. What would the CAS do with the \
result?", "Text"]], "Item",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297060652158*^9}, {
  3.6852971254911013`*^9, 3.685297188810225*^9}, {3.685297252985466*^9, 
  3.685297253417417*^9}, {3.685297307601112*^9, 3.685297366800181*^9}, {
  3.68529780522153*^9, 3.6852978052217484`*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["The first two concerns, at least, are answerable.", \
"Text"]], "Text",
 CellChangeTimes->{{3.685296786815687*^9, 3.685297060652158*^9}, {
  3.6852971254911013`*^9, 3.685297188810225*^9}, {3.685297252985466*^9, 
  3.685297253417417*^9}, {3.685297307601112*^9, 3.685297366800181*^9}, {
  3.685297807676601*^9, 3.685297849714141*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Certifying CAS results", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}}],

Cell[TextData[{
 "For now, we\[CloseCurlyQuote]ll focus on the following situation: while \
trying to prove a result in an ITP, we would like to take some object in the \
environment, manipulate it in Mathematica, and use the result of that \
manipulation in the rest of our proof.\n\nAs a running example: suppose we \
would like to prove that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], "-", 
     RowBox[{"2", "x"}], "+", "1"}], "\[GreaterEqual]", "0"}], 
   TraditionalForm]]],
 " by factoring the left hand side and substituting the result.\n\nOur second \
concern above was that Mathematica (or our translation) might not be \
trustworthy: if we tried to import the factored version of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "-", 
    RowBox[{"2", "x"}], "+", "1"}], TraditionalForm]]],
 ", we could get the wrong answer."
}], "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}, 3.685297901889577*^9, {
   3.685297964952668*^9, 3.685298033008079*^9}, {3.685298063599717*^9, 
   3.685298137494478*^9}, {3.6852981814233513`*^9, 3.68529821876595*^9}, {
   3.685298462762927*^9, 3.68529848192273*^9}, {3.68529851826644*^9, 
   3.685298687848303*^9}, {3.685298730151812*^9, 3.6852987652072363`*^9}, {
   3.6852987958391953`*^9, 3.6852988243506947`*^9}, {3.68529890674192*^9, 
   3.685299092795689*^9}, {3.685377749715889*^9, 3.685377773538445*^9}, {
   3.6857971816329536`*^9, 3.6857971919678698`*^9}, 3.685797263090336*^9}],

Cell[CellGroupData[{

Cell["\<\
It\[CloseCurlyQuote]s much easier to check that two polynomials are equal \
than to compute the factorization. Most ITP systems provide tools for doing \
this automatically. So there\[CloseCurlyQuote]s no need to trust the response \
from Mathematica: once we have the answer, we can confirm that it\
\[CloseCurlyQuote]s correct.\
\>", "Item",
 CellChangeTimes->{{3.685797195546986*^9, 3.685797252800619*^9}}],

Cell[TextData[{
 "We call a computation ",
 StyleBox["certifiable",
  FontSlant->"Italic"],
 " if it produces some piece of data that makes it easy to confirm that its \
result is correct. In this example, the result (the factored polynomial) was \
the certificate itself."
}], "Item",
 CellChangeTimes->{{3.685797233476253*^9, 3.685797278368369*^9}}],

Cell["\<\
This solves our second concern: only use the CAS to perform computations that \
produce certificates, and check these certificates in the ITP before trusting \
the results.\
\>", "Item",
 CellChangeTimes->{{3.6857972821013937`*^9, 3.68579729704572*^9}}],

Cell["\<\
 It solves our first concern too. We don\[CloseCurlyQuote]t need the \
semantics or logic of each system to match up perfectly, as long as we \
restrict ourselves to domains where they overlap reasonably well. We don\
\[CloseCurlyQuote]t even need to know how good the correspondence is until \
after the fact. As long as the ITP accepts the resulting certificate as \
valid, we can\[CloseCurlyQuote]t have done anything too wrong.\
\>", "Item",
 CellChangeTimes->{{3.6857972821013937`*^9, 3.685797325110911*^9}, {
  3.685810759159176*^9, 3.685810759159651*^9}}],

Cell[TextData[{
 "Note that we could instead skip this certification step, and just assume \
that the result has the expected property. In this case, we say that we are \
using the CAS as an ",
 StyleBox["oracle",
  FontSlant->"Italic"],
 ". Doing so reduces the level of trust in the ITP, but allows for a much \
wider range of computations."
}], "Item",
 CellChangeTimes->{{3.6857972821013937`*^9, 3.685797325110911*^9}, {
  3.685810767082025*^9, 3.6858108310445223`*^9}, {3.685810875323283*^9, 
  3.6858109057875013`*^9}, {3.685810981791504*^9, 3.685811024875849*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["The Lean theorem prover", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}, {3.685378510345797*^9, 
   3.6853785146734753`*^9}}],

Cell[TextData[{
 ButtonBox["Lean",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://leanprover.github.io"], None},
  ButtonNote->"http://leanprover.github.io"],
 " is a new interactive theorem prover being developed at Microsoft Research, \
primarily by Leonardo de Moura."
}], "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}, 3.685297901889577*^9, {
   3.685297964952668*^9, 3.685298033008079*^9}, {3.685298063599717*^9, 
   3.685298137494478*^9}, {3.6852981814233513`*^9, 3.68529821876595*^9}, {
   3.685298462762927*^9, 3.68529848192273*^9}, {3.68529851826644*^9, 
   3.685298687848303*^9}, {3.685298730151812*^9, 3.6852987652072363`*^9}, {
   3.6852987958391953`*^9, 3.6852988243506947`*^9}, {3.68529890674192*^9, 
   3.685299092795689*^9}, {3.685377749715889*^9, 3.685377773538445*^9}, {
   3.685378518505838*^9, 3.68537854968941*^9}, {3.68537859460086*^9, 
   3.685378597416801*^9}, {3.685797021786108*^9, 3.685797021787614*^9}}],

Cell[CellGroupData[{

Cell["Based on dependent type theory, a very expressive language.", "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
  3.6853848097518673`*^9, 3.685384809752285*^9}, {3.6857974626083508`*^9, 
  3.685797462609549*^9}}],

Cell[CellGroupData[{

Cell["\<\
Same language works for definitions, types, theorem statements, and proofs.\
\>", "Subitem",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
  3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685797472691843*^9, 
  3.685797519708753*^9}, {3.685797580984894*^9, 3.6857975809855127`*^9}}],

Cell[TextData[ButtonBox["Mathematically beautiful.",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://golem.ph.utexas.edu/category/2010/03/in_praise_of_dependent_\
types.html"], None},
 ButtonNote->
  "https://golem.ph.utexas.edu/category/2010/03/in_praise_of_dependent_types.\
html"]], "Subitem",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
  3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685797472691843*^9, 
  3.685797519708753*^9}, {3.6857975825920258`*^9, 3.685797594761043*^9}}]
}, Open  ]],

Cell["\<\
Implemented in C++, and allows tactics to be written in Lean itself (under \
development).\
\>", "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
  3.6853848107410297`*^9, 3.685384834324555*^9}, {3.685797713759287*^9, 
  3.685797719472904*^9}}],

Cell["\<\
Aims to incorporate a level of automation more commonly seen in proof \
assistants based on weaker logics.\
\>", "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378671943563*^9}, 
   3.6853848390049057`*^9, {3.6854500320504513`*^9, 3.6854500320506496`*^9}, {
   3.685797755740367*^9, 3.685797755740775*^9}}],

Cell[TextData[{
 ButtonBox["Standard library",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://github.com/leanprover/lean/tree/master/library"], None},
  ButtonNote->"https://github.com/leanprover/lean/tree/master/library"],
 " contains developments of standard data types, algebraic hierarchy, \
point-set topology, group theory, analysis."
}], "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378671943563*^9}, 
   3.6853848390049057`*^9, {3.6854500320504513`*^9, 3.6854500320506496`*^9}, {
   3.6857977564201736`*^9, 3.685797805989183*^9}, {3.6857978455991917`*^9, 
   3.6857978456010227`*^9}}],

Cell["Exciting new project, but still changing rapidly.", "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378671943563*^9}, 
   3.6853848390049057`*^9, {3.6854500327676973`*^9, 3.685450041130208*^9}, {
   3.685797747448702*^9, 3.685797753591951*^9}}],

Cell["For more info, see http://leanprover.github.io/ .", "Item",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378671943563*^9}, 
   3.6853848390049057`*^9, {3.6854500327676973`*^9, 3.685450054033396*^9}, {
   3.6854500957910233`*^9, 3.6854500959453907`*^9}, {3.685796923830078*^9, 
   3.68579692383077*^9}}]
}, Open  ]],

Cell["\<\
This project uses features from an upcoming version of Lean that is unstable \
and subject to change! All documentation provided refers to the current \
release version.\
\>", "Text",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378671943563*^9}, 
   3.6853848390049057`*^9, {3.6854500327676973`*^9, 3.685450054033396*^9}, {
   3.6854500957910233`*^9, 3.6854500959453907`*^9}, {3.685796938370994*^9, 
   3.685796999578724*^9}, {3.685797073420415*^9, 3.6857970959913063`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Connecting Lean and Mathematica", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}, {3.685378510345797*^9, 
   3.6853785146734753`*^9}, {3.685450120222732*^9, 3.68545012511847*^9}}],

Cell["\<\
We have implemented a link between Lean and Wolfam Mathematica, using the \
\[OpenCurlyDoubleQuote]certified computations\[CloseCurlyDoubleQuote] \
approach. The connection uses MathLink to exchange information between the \
two systems.\
\>", "Text",
 CellChangeTimes->{{3.685291495712926*^9, 3.68529152677549*^9}, {
   3.68529157495849*^9, 3.685291604998205*^9}, {3.6852916838132467`*^9, 
   3.685291689093212*^9}, {3.685291747580233*^9, 3.685291795307835*^9}, {
   3.685292108263945*^9, 3.685292145975527*^9}, 3.685292201150826*^9, {
   3.685293126715354*^9, 3.685293142523179*^9}, 3.685297901889577*^9, {
   3.685297964952668*^9, 3.685298033008079*^9}, {3.685298063599717*^9, 
   3.685298137494478*^9}, {3.6852981814233513`*^9, 3.68529821876595*^9}, {
   3.685298462762927*^9, 3.68529848192273*^9}, {3.68529851826644*^9, 
   3.685298687848303*^9}, {3.685298730151812*^9, 3.6852987652072363`*^9}, {
   3.6852987958391953`*^9, 3.6852988243506947`*^9}, {3.68529890674192*^9, 
   3.685299092795689*^9}, {3.685377749715889*^9, 3.685377773538445*^9}, {
   3.685378518505838*^9, 3.68537854968941*^9}, {3.68537859460086*^9, 
   3.685378597416801*^9}, {3.6854501306224947`*^9, 3.6854501379263887`*^9}, {
   3.6854501940377398`*^9, 3.685450207861621*^9}, {3.6857954341298647`*^9, 
   3.685795435123474*^9}, {3.685802815696329*^9, 3.685802827726595*^9}}],

Cell["\<\
The connection is very general: any Lean expression can be represented in the \
Wolfram Language, and any WL expression using certain syntax can be \
translated to Lean.

The basic procedure:\
\>", "Text",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
   3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685450210637455*^9, 
   3.685450247412859*^9}, {3.685450309300322*^9, 3.68545037572335*^9}, {
   3.685450463674415*^9, 3.685450472433951*^9}, {3.685451254512006*^9, 
   3.685451273519739*^9}, 3.685451506780798*^9, {3.685637125584827*^9, 
   3.6856371307927723`*^9}, {3.685795452602202*^9, 3.685795457840067*^9}, {
   3.6858020977391644`*^9, 3.6858021042866287`*^9}, {3.685802634607312*^9, 
   3.685802644273219*^9}}],

Cell[CellGroupData[{

Cell["\<\
Reflect a Lean expression into the WL, using a faithful representation of the \
Lean expression constructors.\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.6856372443468733`*^9}, 
   3.685637459404862*^9, {3.6857954377014437`*^9, 3.685795462361165*^9}}],

Cell["\<\
Transform this reflection into a WL expression with the appropriate semantics.\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637461497473*^9}, {3.6857954427300386`*^9, 
  3.685795467420932*^9}}],

Cell["Manipulate this WL expression in Mathematica as needed.", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637482007537*^9}, {3.68579546948566*^9, 
  3.685795474938609*^9}}],

Cell["\<\
Translate this expression back into Lean, using pre-defined translation rules \
and \[OpenCurlyDoubleQuote]un-reflection\[CloseCurlyDoubleQuote]\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.6856375465484753`*^9}}],

Cell["\<\
Verify in Lean that the new expression has the intended properties.\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637559107512*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Connecting Lean and Mathematica: an example", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}, {3.685378510345797*^9, 
   3.6853785146734753`*^9}, {3.685450120222732*^9, 3.68545012511847*^9}, {
   3.685637607067103*^9, 3.6856376082829742`*^9}}],

Cell[TextData[{
 "We start with the Lean expression ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "-", 
    RowBox[{"2", "x"}], "+", "1"}], TraditionalForm]]],
 ". Reflected into the Wolfram Language, we get"
}], "Text",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
   3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685450210637455*^9, 
   3.685450247412859*^9}, {3.685450309300322*^9, 3.68545037572335*^9}, {
   3.685450463674415*^9, 3.685450472433951*^9}, {3.685451254512006*^9, 
   3.685451273519739*^9}, 3.685451506780798*^9, {3.685637125584827*^9, 
   3.6856371307927723`*^9}, {3.685637597787334*^9, 3.685637602731112*^9}, {
   3.6856385932230663`*^9, 3.6856385989989433`*^9}, {3.685638631358734*^9, 
   3.6856386434784613`*^9}, {3.685795484907716*^9, 3.6857954902646503`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"poly", " ", "=", 
   RowBox[{"LeanApp", "[", 
    RowBox[{
     RowBox[{"LeanApp", "[", 
      RowBox[{
       RowBox[{"LeanApp", "[", 
        RowBox[{
         RowBox[{"LeanApp", "[", 
          RowBox[{
           RowBox[{"LeanConst", "[", 
            RowBox[{"\"\<add\>\"", ",", 
             RowBox[{"{", 
              RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], "}"}]}], 
            "]"}], ",", 
           RowBox[{"LeanConst", "[", 
            RowBox[{"\"\<nat\>\"", ",", 
             RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"LeanConst", "[", 
          RowBox[{"\"\<nat_has_add\>\"", ",", 
           RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"LeanApp", "[", 
        RowBox[{
         RowBox[{"LeanApp", "[", 
          RowBox[{
           RowBox[{"LeanApp", "[", 
            RowBox[{
             RowBox[{"LeanApp", "[", 
              RowBox[{
               RowBox[{"LeanConst", "[", 
                RowBox[{"\"\<sub\>\"", ",", 
                 RowBox[{"{", 
                  RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], 
                  "}"}]}], "]"}], ",", 
               RowBox[{"LeanConst", "[", 
                RowBox[{"\"\<nat\>\"", ",", 
                 RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
             RowBox[{"LeanConst", "[", 
              RowBox[{"\"\<nat.nat_has_sub\>\"", ",", 
               RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
           RowBox[{"LeanApp", "[", 
            RowBox[{
             RowBox[{"LeanApp", "[", 
              RowBox[{
               RowBox[{"LeanApp", "[", 
                RowBox[{
                 RowBox[{"LeanApp", "[", 
                  RowBox[{
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<mul\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], 
                    "}"}]}], "]"}], ",", 
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<nat\>\"", ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
                 RowBox[{"LeanConst", "[", 
                  RowBox[{"\"\<nat.nat_has_mul\>\"", ",", 
                   RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
               RowBox[{"LeanLocal", "[", "\"\<mv0\>\"", "]"}]}], "]"}], ",", 
             RowBox[{"LeanLocal", "[", "\"\<mv0\>\"", "]"}]}], "]"}]}], "]"}],
          ",", 
         RowBox[{"LeanApp", "[", 
          RowBox[{
           RowBox[{"LeanApp", "[", 
            RowBox[{
             RowBox[{"LeanApp", "[", 
              RowBox[{
               RowBox[{"LeanApp", "[", 
                RowBox[{
                 RowBox[{"LeanConst", "[", 
                  RowBox[{"\"\<mul\>\"", ",", 
                   RowBox[{"{", 
                    RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], 
                    "}"}]}], "]"}], ",", 
                 RowBox[{"LeanConst", "[", 
                  RowBox[{"\"\<nat\>\"", ",", 
                   RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
               RowBox[{"LeanConst", "[", 
                RowBox[{"\"\<nat.nat_has_mul\>\"", ",", 
                 RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
             RowBox[{"LeanApp", "[", 
              RowBox[{
               RowBox[{"LeanApp", "[", 
                RowBox[{
                 RowBox[{"LeanApp", "[", 
                  RowBox[{
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<bit0\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], 
                    "}"}]}], "]"}], ",", 
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<nat\>\"", ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
                 RowBox[{"LeanConst", "[", 
                  RowBox[{"\"\<nat_has_add\>\"", ",", 
                   RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
               RowBox[{"LeanApp", "[", 
                RowBox[{
                 RowBox[{"LeanApp", "[", 
                  RowBox[{
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<one\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], 
                    "}"}]}], "]"}], ",", 
                   RowBox[{"LeanConst", "[", 
                    RowBox[{"\"\<nat\>\"", ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
                 RowBox[{"LeanConst", "[", 
                  RowBox[{"\"\<nat_has_one\>\"", ",", 
                   RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
           ",", 
           RowBox[{"LeanLocal", "[", "\"\<mv0\>\"", "]"}]}], "]"}]}], "]"}]}],
       "]"}], ",", 
     RowBox[{"LeanApp", "[", 
      RowBox[{
       RowBox[{"LeanApp", "[", 
        RowBox[{
         RowBox[{"LeanConst", "[", 
          RowBox[{"\"\<one\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"LeanLevelSucc", "[", "LeanZeroLevel", "]"}], "}"}]}], 
          "]"}], ",", 
         RowBox[{"LeanConst", "[", 
          RowBox[{"\"\<nat\>\"", ",", 
           RowBox[{"{", "}"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"LeanConst", "[", 
        RowBox[{"\"\<nat_has_one\>\"", ",", 
         RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.685637135086567*^9, 3.6856372443468733`*^9}, 
   3.685637459404862*^9, {3.685637948880333*^9, 3.68563797495735*^9}, {
   3.685638057767075*^9, 3.685638063482808*^9}, {3.685638164991115*^9, 
   3.685638170622161*^9}, {3.685810009298667*^9, 3.685810018301063*^9}}],

Cell["and use our list of predefined reduction rules", "Text",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637461497473*^9}, {3.685638194244067*^9, 
  3.685638210747908*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Lean", "[", "Plus", "]"}], ":=", "LeanAdd"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Lean", "[", "Times", "]"}], ":=", "LeanMul"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Lean", "[", "And", "]"}], ":=", "LeanAnd"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Lean", "[", "Or", "]"}], ":=", "LeanOr"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LeftOperatorQ", "[", "Plus", "]"}], ":=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LeftOperatorQ", "[", "Times", "]"}], ":=", "True"}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"LeftOperatorQ", "[", "And", "]"}], ":=", "True"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"LeftOperatorQ", "[", "Or", "]"}], ":=", "True"}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ArithSimp", "[", 
    RowBox[{
     RowBox[{"op_", "?", "LeftOperatorQ"}], "[", 
     RowBox[{"x__", ",", "y_"}], "]"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Lean", "[", "op", "]"}], "[", 
    RowBox[{
     RowBox[{"ArithSimp", "[", 
      RowBox[{"op", "[", "x", "]"}], "]"}], ",", 
     RowBox[{"ArithSimp", "[", "y", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ArithSimp", "[", 
    RowBox[{
     RowBox[{"op_", "?", "RightOperatorQ"}], "[", 
     RowBox[{"x_", ",", "y__"}], "]"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Lean", "[", "op", "]"}], "[", 
    RowBox[{
     RowBox[{"ArithSimp", "[", "x", "]"}], ",", 
     RowBox[{"ArithSimp", "[", 
      RowBox[{"op", "[", "y", "]"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ArithSimp", "[", 
    RowBox[{"f_", "[", "args__", "]"}], "]"}], ":=", 
   RowBox[{"Apply", "[", 
    RowBox[{"f", ",", 
     RowBox[{"Map", "[", 
      RowBox[{"arithsimp", ",", 
       RowBox[{"{", "args", "}"}]}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ArithSimp", "[", "x_", "]"}], ":=", "x"}], ";", 
  "\"\<\>\""}]}], "Input",
 CellChangeTimes->{{3.685961150356106*^9, 3.685961150886647*^9}}],

Cell[BoxData["\<\"\"\>"], "Output",
 CellChangeTimes->{3.685961152017487*^9, 3.6859624600536203`*^9}]
}, {2}]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ltrules", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanApp", "[", 
             RowBox[{
              RowBox[{"LeanConst", "[", 
               RowBox[{"\"\<add\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
            ",", "_"}], "]"}], ",", "x_"}], "]"}], ",", "y_"}], "]"}], 
      "\[Rule]", 
      RowBox[{
       RowBox[{"Inactive", "[", "Plus", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanApp", "[", 
             RowBox[{
              RowBox[{"LeanConst", "[", 
               RowBox[{"\"\<mul\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
            ",", "_"}], "]"}], ",", "x_"}], "]"}], ",", "y_"}], "]"}], 
      "\[Rule]", 
      RowBox[{
       RowBox[{"Inactive", "[", "Times", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanApp", "[", 
             RowBox[{
              RowBox[{"LeanConst", "[", 
               RowBox[{"\"\<div\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
            ",", "_"}], "]"}], ",", "x_"}], "]"}], ",", "y_"}], "]"}], 
      "\[Rule]", 
      RowBox[{
       RowBox[{"Inactive", "[", "Divide", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanApp", "[", 
             RowBox[{
              RowBox[{"LeanConst", "[", 
               RowBox[{"\"\<sub\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
            ",", "_"}], "]"}], ",", "x_"}], "]"}], ",", "y_"}], "]"}], 
      "\[Rule]", 
      RowBox[{
       RowBox[{"Inactive", "[", "Subtract", "]"}], "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanConst", "[", 
           RowBox[{"\"\<one\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], ",", 
        "_"}], "]"}], "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanConst", "[", 
           RowBox[{"\"\<zero\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], ",", 
        "_"}], "]"}], "\[Rule]", "0"}], ",", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanConst", "[", 
             RowBox[{"\"\<bit0\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
          ",", "_"}], "]"}], ",", "t_"}], "]"}], "\[Rule]", 
      RowBox[{"2", "*", "t"}]}], ",", 
     RowBox[{
      RowBox[{"LeanApp", "[", 
       RowBox[{
        RowBox[{"LeanApp", "[", 
         RowBox[{
          RowBox[{"LeanApp", "[", 
           RowBox[{
            RowBox[{"LeanApp", "[", 
             RowBox[{
              RowBox[{"LeanConst", "[", 
               RowBox[{"\"\<bit1\>\"", ",", "_"}], "]"}], ",", "_"}], "]"}], 
            ",", "_"}], "]"}], ",", "_"}], "]"}], ",", "t_"}], "]"}], 
      "\[Rule]", 
      RowBox[{
       RowBox[{"2", "*", "t"}], "+", "1"}]}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LeanConvert", "[", "expr_", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{"expr", "//.", "ltrules"}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.6859593877897*^9, 3.685959390998754*^9}, {
  3.685959536050406*^9, 3.685959624361277*^9}, {3.68595976027917*^9, 
  3.685959790570176*^9}}],

Cell["to reduce this to", "Text",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.6856375465484753`*^9}, {3.685638390809704*^9, 
  3.685638393603243*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", " ", "=", " ", 
  RowBox[{"LeanConvert", "[", "poly", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
   3.685637453125062*^9, 3.685637559107512*^9}, {3.6856384084813757`*^9, 
   3.68563844772129*^9}, {3.685638481721023*^9, 3.6856385047763653`*^9}, 
   3.6856385380884123`*^9, {3.685810029909061*^9, 3.6858100543598547`*^9}, {
   3.685810373824902*^9, 3.685810391604171*^9}, {3.685813071628599*^9, 
   3.685813099295547*^9}, {3.68588034695112*^9, 3.685880388249929*^9}, {
   3.6859598136917973`*^9, 3.6859598265391617`*^9}, {3.685959861194955*^9, 
   3.685959865792672*^9}, {3.6859612057498493`*^9, 3.685961209470294*^9}, 
   3.685962441105384*^9}],

Cell[BoxData[
 RowBox[{"LeanConvert", "[", "poly", "]"}]], "Output",
 CellChangeTimes->{
  3.685641883349123*^9, 3.685796282280403*^9, 3.6858096474513474`*^9, {
   3.685810032876543*^9, 3.6858100548735523`*^9}, {3.685810375812687*^9, 
   3.685810391906466*^9}, {3.685813072295459*^9, 3.685813099710531*^9}, {
   3.685880350354457*^9, 3.685880388611092*^9}, {3.685959814497055*^9, 
   3.6859598269881077`*^9}, 3.685959866090794*^9, {3.685961206297225*^9, 
   3.685961209744708*^9}, 3.685962442215617*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.685880375783712*^9, 3.6858803768706617`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Connecting Lean and Mathematica: an example", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}, {3.685378510345797*^9, 
   3.6853785146734753`*^9}, {3.685450120222732*^9, 3.68545012511847*^9}, {
   3.685638714965496*^9, 3.685638716509467*^9}, {3.685796395313159*^9, 
   3.685796401908133*^9}}],

Cell["\<\
The back-translation is implemented in C++. Some basic preprocessing makes it \
simpler:\
\>", "Text",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
   3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685450210637455*^9, 
   3.685450247412859*^9}, {3.685450309300322*^9, 3.68545037572335*^9}, {
   3.685450463674415*^9, 3.685450472433951*^9}, {3.685451254512006*^9, 
   3.685451273519739*^9}, 3.685451506780798*^9, {3.685637125584827*^9, 
   3.6856371307927723`*^9}, {3.685638720325485*^9, 3.685638745909163*^9}, {
   3.685796453825473*^9, 3.6857964640410624`*^9}, {3.685796545357761*^9, 
   3.6857965973056107`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"s", " ", "//", " ", "ArithSimp"}]], "Input",
 CellChangeTimes->{{3.685796600576579*^9, 3.6857966083595333`*^9}, {
  3.685899013608753*^9, 3.685899015349798*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{"Power", "[", 
    RowBox[{
     RowBox[{"LeanAdd", "[", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"LeanLocal", "[", "\"\<mv0\>\"", "]"}]}], "]"}], ",", "2"}], 
    "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 CellChangeTimes->{
  3.685810412171914*^9, 3.6858131230539*^9, 3.685880426027034*^9, {
   3.685959851238158*^9, 3.685959868708775*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The link contains a predefined list of head symbols and their Lean \
correspondents.\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.6856372443468733`*^9}, 
   3.685637459404862*^9, {3.6856387505571938`*^9, 3.685638757365041*^9}, {
   3.685796721339903*^9, 3.685796736316979*^9}, 3.685796809690978*^9}],

Cell["\<\
Other WL symbols can be translated by first transforming the expression back \
into a \[OpenCurlyDoubleQuote]reflection\[CloseCurlyDoubleQuote] format \
(using LeanApp, LeanConst, etc).\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637461497473*^9}, {3.6856387619890127`*^9, 
  3.685638769140842*^9}, {3.6857967414729223`*^9, 3.6857968117822638`*^9}}],

Cell["\<\
The imported term in Lean corresponds to an input-level \
\[OpenCurlyDoubleQuote]pre-expression\[CloseCurlyDoubleQuote] rather than a \
fully elaborated expression. That is, it is missing type information, \
implicit arguments, etc. But in most cases, Lean\[CloseCurlyQuote]s \
elaborator will be able to fill in this information.\
\>", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637482007537*^9}, {3.6856387720769053`*^9, 
  3.685638782548922*^9}, {3.685796815876471*^9, 3.6857968948244963`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Applications", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.6852914109446497`*^9, 3.685291411664599*^9}, {3.685292005561236*^9, 
   3.685292028768859*^9}, {3.685293119827566*^9, 3.685293120851603*^9}, {
   3.685297913849321*^9, 3.685297917065226*^9}, {3.685378510345797*^9, 
   3.6853785146734753`*^9}, {3.685450120222732*^9, 3.68545012511847*^9}, {
   3.685638714965496*^9, 3.685638716509467*^9}}],

Cell["\<\
There are many kinds of computations that can be verified using this \
technique:\
\>", "Text",
 CellChangeTimes->{{3.685378598888042*^9, 3.685378633842869*^9}, {
   3.6853848097518673`*^9, 3.685384809752285*^9}, {3.685450210637455*^9, 
   3.685450247412859*^9}, {3.685450309300322*^9, 3.68545037572335*^9}, {
   3.685450463674415*^9, 3.685450472433951*^9}, {3.685451254512006*^9, 
   3.685451273519739*^9}, 3.685451506780798*^9, {3.685637125584827*^9, 
   3.6856371307927723`*^9}, {3.685638720325485*^9, 3.685638745909163*^9}}],

Cell[CellGroupData[{

Cell["Factorization of integers, polynomials, and matrices", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.6856372443468733`*^9}, 
   3.685637459404862*^9, {3.6856387505571938`*^9, 3.685638757365041*^9}}],

Cell["(Un)satisfiability of linear inequality systems", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637461497473*^9}, {3.6856387619890127`*^9, 
  3.685638769140842*^9}, {3.685899572401082*^9, 3.685899573521657*^9}}],

Cell["(Un)satisfiability of polynomial systems", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.685637482007537*^9}, {3.6856387720769053`*^9, 
  3.685638782548922*^9}, {3.6858995758859587`*^9, 3.6858995789404297`*^9}}],

Cell["Integration/antiderivation on certain classes of functions", "Item",
 CellChangeTimes->{{3.685637135086567*^9, 3.68563728291089*^9}, {
  3.685637453125062*^9, 3.6856375465484753`*^9}, {3.685638785940933*^9, 
  3.685638796212614*^9}}]
}, Open  ]],

Cell["\<\
A caveat: Lean is still under development, so this link \
won\[CloseCurlyQuote]t be stable until the newest version of Lean is \
released. The certificate-checking step of the link depends on feaures of \
this new version.\
\>", "Text",
 CellChangeTimes->{{3.685638840013442*^9, 3.685638875523494*^9}, {
  3.685810633051346*^9, 3.6858106706113987`*^9}}],

Cell["\<\

The same translation procedure can be used to take Lean theorem statements or \
proofs and convert them to the Wolfram Language.\
\>", "Text",
 CellChangeTimes->{{3.685797979183226*^9, 3.6857980391147203`*^9}, 
   3.685810674058405*^9}],

Cell[CellGroupData[{

Cell["\<\
Need the right reduction rules to make sense of the translation. Finding the \
right rules isn\[CloseCurlyQuote]t always easy!\
\>", "Item",
 CellChangeTimes->{{3.685798043019998*^9, 3.6857980862415524`*^9}, {
  3.685798122220639*^9, 3.685798122221094*^9}}],

Cell["\<\
If you had a good target syntax and the right reduction rules, you could \
access the whole Lean library using the WL.\
\>", "Item",
 CellChangeTimes->{{3.685798043019998*^9, 3.6857980862415524`*^9}, {
  3.685798125312645*^9, 3.685798212987212*^9}}],

Cell["\<\
James Mulnix and Ian Ford will talk about developing this target syntax.\
\>", "Item",
 CellChangeTimes->{{3.685798043019998*^9, 3.6857980862415524`*^9}, {
  3.685798125312645*^9, 3.6857982424640923`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{969, 716},
WindowMargins->{{84, Automatic}, {4, Automatic}},
TaggingRules->{"SlideShow" -> True},
FrontEndVersion->"11.0 for Linux x86 (64-bit) (July 4, 2016)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"]], 
      Cell[
       StyleData[All, "Presentation"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Condensed"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "SlideShow"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
       StyleData["Notebook"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.739193, 0.750317, 0.747173]}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], ShowCellBracket -> Automatic, ShowGroupOpener -> 
          False, CellMargins -> {{100, 100}, {14, 50}}, 
          CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
          CellFrameMargins -> {{20, 20}, {20, 20}}, DefaultNewInlineCellStyle -> 
          "None", InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LineSpacing -> {1, 0}, 
          LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Title",
           CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
          "Arial", FontSize -> 45, FontWeight -> "Bold", FontSlant -> "Plain",
           FontTracking -> "Plain", 
          FontVariations -> {
           "Outline" -> False, "Shadow" -> False, "StrikeThrough" -> False, 
            "Underline" -> False}, FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765], 
          Background -> None, FontVariations -> {"Masked" -> False}], 
         Cell[
          StyleData["Title", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{55, 3}, {14, 125}}, LineSpacing -> {1, 5}, 
          FontSize -> 48], 
         Cell[
          StyleData[
          "Title", "SlideShow", StyleDefinitions -> 
           StyleData["Title", "Presentation"]], 
          CellMargins -> {{100, 100}, {52, 105}}, FontColor -> GrayLevel[1]], 
         
         Cell[
          StyleData["Title", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 20}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subtitle"], ShowCellBracket -> Automatic, 
          CellMargins -> {{0, 0}, {0, 5}}, 
          CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False,
           DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "Subtitle", 
          CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Arial", 
          FontSize -> 27, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4], Background -> None], 
         Cell[
          StyleData["Subtitle", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{58, 0}, {0, 5}}, FontSize -> 36], 
         Cell[
          StyleData[
          "Subtitle", "SlideShow", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {0, 5}}, FontSize -> 27, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subtitle", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 5}}, FontSize -> 18, Background -> 
          GrayLevel[1]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubtitle", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {30, 5}}, FontSize -> 24, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubtitle", "Presentation"], FontSize -> 24], 
         Cell[
          StyleData[
          "Subsubtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubtitle"]], CellMargins -> {{0, 0}, {10, 5}}, 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subsubtitle", "Printout"], FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0.2, 0}}, 
          ShowGroupOpener -> False, CellMargins -> {{60, 50}, {7, 25}}, 
          FontSize -> 36, FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765]], 
         Cell[
          StyleData["Section", "Presentation"], 
          CellFrame -> {{0, 0}, {0.2, 0}}, 
          CellMargins -> {{58, 50}, {7, 35}}], 
         Cell[
          StyleData[
          "Section", "SlideShow", StyleDefinitions -> 
           StyleData["Section", "Presentation"]], 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData["Section", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {4, 22}}, FontSize -> 20]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsection", 
          CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
          "Helvetica", FontSize -> 24, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsection", "Presentation"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "SlideShow"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {8, 12}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 17}}, FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsubsection", FontFamily -> "Helvetica", 
          FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubsection", "Presentation"], ShowGroupOpener -> True,
           WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}], 
         Cell[
          StyleData[
          "Subsubsection", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubsection", "Presentation"]]], 
         Cell[
          StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 22}}, FontSize -> 14]}, Closed]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Body Text", "Section"], 
      Cell[
       CellGroupData[{
         Cell["Standard", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, CounterIncrements -> "Text",
              FontFamily -> "Helvetica", FontSize -> 12], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{60, 50}, {10, 10}}, FontSize -> 17], 
            Cell[
             StyleData[
             "Text", "SlideShow", StyleDefinitions -> 
              StyleData["Text", "Presentation"]]], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
           Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Display", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> 
             Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
             ShowGroupOpener -> False, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "Item"], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Item", "SlideShow", StyleDefinitions -> 
              StyleData["Item", "Presentation"]]], 
            Cell[
             StyleData["Item", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem", StyleDefinitions -> StyleData["Item"]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "Subitem"], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "Subitem", "SlideShow", StyleDefinitions -> 
              StyleData["Subitem", "Presentation"]]], 
            Cell[
             StyleData["Subitem", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered", StyleDefinitions -> StyleData["Text"]],
              CellDingbat -> Cell[
               TextData[{
                 CounterBox["ItemNumbered"], "."}]], ShowGroupOpener -> False,
              CellMargins -> {{84, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
             CounterIncrements -> "ItemNumbered"], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["ItemNumbered", "Presentation"]]], 
            Cell[
             StyleData["ItemNumbered", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemNumbered", StyleDefinitions -> 
              StyleData["ItemNumbered"]], CellDingbat -> Cell[
               TextData[{
                 CounterBox["SubitemNumbered", CounterFunction :> (Part[
                    CharacterRange["a", "z"], #]& )], "."}]], 
             CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True,
              CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
             CounterIncrements -> "SubitemNumbered"], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{146, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "SubitemNumbered", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemNumbered", "Presentation"]]], 
            Cell[
             StyleData["SubitemNumbered", "Printout"], 
             CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "ItemParagraph", StyleDefinitions -> StyleData["Item"]], 
             CellDingbat -> None, CellMargins -> {{84, 10}, {7, 7}}, 
             ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
             CounterIncrements -> "ItemParagraph"], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{124, 10}, {7, 7}}], 
            Cell[
             StyleData[
             "ItemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["ItemParagraph", "Presentation"]]], 
            Cell[
             StyleData["ItemParagraph", "Printout"], 
             CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "SubitemParagraph", StyleDefinitions -> StyleData["Subitem"]], 
             CellDingbat -> None, ReturnCreatesNewCell -> True, 
             CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
             CounterIncrements -> "SubitemParagraph"], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"]], 
            Cell[
             StyleData[
             "SubitemParagraph", "SlideShow", StyleDefinitions -> 
              StyleData["SubitemParagraph", "Presentation"]]], 
            Cell[
             StyleData["SubitemParagraph", "Printout"]]}, Closed]]}, Open]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Formulas and Programming", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"]], 
         Cell[
          StyleData["DisplayFormula", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormula", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormula", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
          10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}]]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered"], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormulaNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormulaNumbered", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Inline Formatting", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InlineFormula"]], 
         Cell[
          StyleData["InlineFormula", "Presentation"], FontSize -> 17], 
         Cell[
          StyleData[
          "InlineFormula", "SlideShow", StyleDefinitions -> 
           StyleData["InlineFormula", "Presentation"]]], 
         Cell[
          StyleData["InlineFormula", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {5, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
          DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", FontWeight -> "Bold"], 
         Cell[
          StyleData["Input", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Input", "SlideShow", StyleDefinitions -> 
           StyleData["Input", "Presentation"]]], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {7, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", MenuSortingValue -> 1550, FontWeight -> 
          "Bold"], 
         Cell[
          StyleData["InputOnly", "Presentation"], 
          CellMargins -> {{110, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "InputOnly", "SlideShow", StyleDefinitions -> 
           StyleData["InputOnly", "Presentation"]]], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], ShowCellBracket -> True, 
          CellMargins -> {{103, 10}, {7, 5}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, 
          CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping", 
          CellHorizontalScrolling -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, DefaultFormatType -> 
          DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
          True, HyphenationOptions -> {
           "HyphenationCharacter" -> "\[Continuation]"}, 
          AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
          InputForm, CounterIncrements -> "Output"], 
         Cell[
          StyleData["Output", "Presentation"], 
          CellMargins -> {{110, 50}, {10, 8}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Output", "SlideShow", StyleDefinitions -> 
           StyleData["Output", "Presentation"]]], 
         Cell[
          StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
          FontSize -> 9]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"], CellMargins -> {{103, 10}, {5, 10}}], 
         Cell[
          StyleData["Code", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Code", "SlideShow", StyleDefinitions -> 
           StyleData["Code", "Presentation"]]], 
         Cell[
          StyleData["Code", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], 
          CellMargins -> {{103, Inherited}, {Inherited, Inherited}}, FontSize -> 
          14], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{70, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17, Magnification -> Inherited 1.5], 
         Cell[
          StyleData[
          "Print", "SlideShow", StyleDefinitions -> 
           StyleData["Print", "Presentation"]]], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaShortInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{98, 10}, {5, 7}}, EvaluationMode -> 
          "WolframAlphaShort", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "Equal"]]], 
              CellBaseline -> Baseline], None}, {None, None}}, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaShortInput", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaShortInput", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaShortInput", "Presentation"]]], 
         Cell[
          StyleData["WolframAlphaShortInput", "Printout"], 
          CellFrameLabelMargins -> 3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaLong", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{100, 10}, {5, 7}}, 
          StyleKeyMapping -> {
           "=" -> "Input", "Backspace" -> "WolframAlphaShort"}, 
          EvaluationMode -> "WolframAlphaLong", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "SpikeyEqual"]]]], 
             None}, {None, None}}, DefaultFormatType -> TextForm, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaLong", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaLong", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaLong", "Presentation"]], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData["WolframAlphaLong", "Printout"], CellFrameLabelMargins -> 
          3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Program"], CellMargins -> {{60, 4}, {6, 8}}], 
         Cell[
          StyleData["Program", "Presentation"], 
          CellMargins -> {{60, 50}, {8, 10}}, LineSpacing -> {1, 0}, FontSize -> 
          17], 
         Cell[
          StyleData[
          "Program", "SlideShow", StyleDefinitions -> 
           StyleData["Program", "Presentation"]]], 
         Cell[
          StyleData["Program", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"]], 
         Cell[
          StyleData["CellLabel", "Presentation"], FontSize -> 12], 
         Cell[
          StyleData[
          "CellLabel", "SlideShow", StyleDefinitions -> 
           StyleData["CellLabel", "Presentation"]]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ManipulateLabel"]], 
         Cell[
          StyleData["ManipulateLabel", "Presentation"], FontSize -> 15], 
         Cell[
          StyleData[
          "ManipulateLabel", "SlideShow", StyleDefinitions -> 
           StyleData["ManipulateLabel", "Presentation"]]], 
         Cell[
          StyleData["ManipulateLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GraphicsLabel"]], 
         Cell[
          StyleData["GraphicsLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "GraphicsLabel", "SlideShow", StyleDefinitions -> 
           StyleData["GraphicsLabel", "Presentation"]]], 
         Cell[
          StyleData["GraphicsLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics3DLabel"]], 
         Cell[
          StyleData["Graphics3DLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "Graphics3DLabel", "SlideShow", StyleDefinitions -> 
           StyleData["Graphics3DLabel", "Presentation"]]], 
         Cell[
          StyleData["Graphics3DLabel", "Printout"], FontSize -> 8]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for SlideShow", "Section", 
       CellChangeTimes -> {{3.514665148412793*^9, 3.5146651505550737`*^9}}], 
      Cell[
       StyleData["slideshowheader"], ShowCellBracket -> False, 
       CellMargins -> {{0, 0}, {0, -2}}, Evaluatable -> False, 
       CellHorizontalScrolling -> False, PageBreakBelow -> False, 
       CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1], CellPadding -> 0, CellFramePadding -> 0], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["hidefromslideshowgraphic"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
          None, CellPadding -> 0], 
         Cell[
          StyleData["hidefromslideshowgraphic", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> False], 
         Cell[
          StyleData["hidefromslideshowgraphic", "Printout"], Magnification -> 
          0.6]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["slideshowheader2"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}, 
          Magnification -> 1, Background -> GrayLevel[1]], 
         Cell[
          StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> True], 
         Cell[
          StyleData["slideshowheader", "Printout"], FontSize -> 8, 
          Magnification -> 0.75]}, Closed]], 
      Cell[
       StyleData[
       "ConferenceGraphicCellSlideShowOnly", StyleDefinitions -> 
        StyleData["ConferenceCellGraphic"]], ShowCellBracket -> False, 
       CellMargins -> 0, 
       CellElementSpacings -> {
        "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 
         0}, CellOpen -> False], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SlideShowNavigationBar"], Editable -> True, Selectable -> 
          False, CellFrame -> 0, ShowGroupOpener -> False, 
          CellMargins -> {{0, 0}, {3, 3}}, CellOpen -> True, CellFrameMargins -> 
          0, CellFrameColor -> None, Background -> None], 
         Cell[
          StyleData["SlideShowNavigationBar", "Printout"], PageBreakAbove -> 
          Automatic]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Slide Show Environment Documents", "Section", 
       CellChangeTimes -> {{3.559592561220532*^9, 3.559592575768806*^9}, 
         3.559652073182283*^9}], 
      Cell[
       StyleData["FirstSlide"], 
       PrivateCellOptions -> {
        "PagewiseNotebookBaseStyle" -> {
          FrontEnd`BackgroundAppearance -> FrontEnd`CurrentValue[
             FrontEnd`EvaluationNotebook[], {
             FrontEnd`UnknownOptions, presentertemplt`firstslideimage}]}}]}, 
     Closed]]}, Visible -> False, FrontEndVersion -> 
  "11.0 for Linux x86 (64-bit) (July 4, 2016)", StyleDefinitions -> 
  "PrivateStylesheetFormatting.nb"],
presentertemplt`firstslideimage -> Image[CompressedData["
1:eJzt3UmudOtVreFDUqBIF5BL0AKqFKkaIcq2MBYVI9lIiF7QEMDkeZ7n0CNz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  "], "Byte", ColorSpace -> "RGB", Interleaving -> 
  True]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[580, 22, 78, 1, 0, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[6454, 145, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[7725, 186, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11989, 300, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[19676, 497, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[25230, 624, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[31513, 777, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[35996, 882, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[41200, 1003, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[45202, 1093, 64, 1, 50, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[60581, 1500, 64, 1, 50, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[63987, 1589, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 122947, 2813}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 78, 1, 0, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[661, 25, 406, 7, 290, "Title"],
Cell[1070, 34, 574, 7, 40, "Subtitle"],
Cell[1647, 43, 4770, 97, 394, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6454, 145, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[6543, 150, 169, 3, 101, "Section"],
Cell[6715, 155, 296, 4, 43, "Text"],
Cell[CellGroupData[{
Cell[7036, 163, 190, 4, 37, "Item"],
Cell[7229, 169, 174, 2, 37, "Item"],
Cell[7406, 173, 258, 6, 65, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7725, 186, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[7814, 191, 239, 4, 101, "Section"],
Cell[8056, 197, 650, 13, 43, "Text"],
Cell[CellGroupData[{
Cell[8731, 214, 186, 2, 37, "Item"],
Cell[8920, 218, 264, 3, 37, "Item"],
Cell[9187, 223, 282, 3, 37, "Item"]
}, Open  ]],
Cell[9484, 229, 275, 6, 43, "Text"],
Cell[CellGroupData[{
Cell[9784, 239, 209, 7, 37, "Item"],
Cell[9996, 248, 213, 2, 37, "Item"]
}, Open  ]],
Cell[10224, 253, 266, 5, 43, "Text"],
Cell[CellGroupData[{
Cell[10515, 262, 229, 4, 37, "Item"],
Cell[10747, 268, 245, 5, 37, "Item"],
Cell[10995, 275, 259, 3, 37, "Item"]
}, Open  ]],
Cell[11269, 281, 671, 13, 127, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11989, 300, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[12078, 305, 285, 4, 101, "Section"],
Cell[12366, 311, 471, 8, 43, "Text"],
Cell[CellGroupData[{
Cell[12862, 323, 463, 11, 37, "Item"],
Cell[13328, 336, 743, 18, 37, "Item"],
Cell[14074, 356, 524, 12, 37, "Item"],
Cell[14601, 370, 523, 12, 37, "Item"],
Cell[15127, 384, 538, 12, 37, "Item"],
Cell[15668, 398, 523, 12, 37, "Item"],
Cell[16194, 412, 608, 12, 37, "Item"]
}, Open  ]],
Cell[16817, 427, 382, 5, 43, "Text"],
Cell[CellGroupData[{
Cell[17224, 436, 656, 13, 37, "Item"],
Cell[17883, 451, 738, 16, 37, "Item"],
Cell[18624, 469, 712, 14, 65, "Item"]
}, Open  ]],
Cell[19351, 486, 276, 5, 71, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19676, 497, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[19765, 502, 319, 5, 101, "Section"],
Cell[20087, 509, 567, 9, 43, "Text"],
Cell[CellGroupData[{
Cell[20679, 522, 477, 8, 37, "Item"],
Cell[21159, 532, 634, 10, 65, "Item"],
Cell[21796, 544, 586, 9, 37, "Item"],
Cell[22385, 555, 895, 18, 93, "Item"],
Cell[23283, 575, 679, 10, 65, "Subitem"]
}, Open  ]],
Cell[23977, 588, 231, 3, 43, "Text"],
Cell[CellGroupData[{
Cell[24233, 595, 156, 3, 37, "Item"],
Cell[24392, 600, 125, 1, 37, "Item"],
Cell[24520, 603, 259, 5, 37, "Item"],
Cell[24782, 610, 387, 7, 65, "Subitem"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[25230, 624, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[25319, 629, 327, 5, 101, "Section"],
Cell[25649, 636, 482, 8, 43, "Text"],
Cell[CellGroupData[{
Cell[26156, 648, 354, 7, 37, "Item"],
Cell[26513, 657, 971, 22, 37, "Item"],
Cell[27487, 681, 969, 21, 65, "Item"]
}, Open  ]],
Cell[28471, 705, 218, 4, 43, "Text"],
Cell[CellGroupData[{
Cell[28714, 713, 331, 6, 37, "Item"],
Cell[CellGroupData[{
Cell[29070, 723, 330, 6, 37, "Subitem"],
Cell[29403, 731, 375, 7, 37, "Subitem"],
Cell[29781, 740, 387, 5, 37, "Subitem"]
}, Open  ]],
Cell[30183, 748, 344, 5, 37, "Item"],
Cell[30530, 755, 563, 8, 65, "Item"]
}, Open  ]],
Cell[31108, 766, 356, 5, 43, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31513, 777, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[31602, 782, 330, 5, 101, "Section"],
Cell[31935, 789, 1787, 34, 217, "Text"],
Cell[CellGroupData[{
Cell[33747, 827, 419, 7, 65, "Item"],
Cell[34169, 836, 351, 8, 65, "Item"],
Cell[34523, 846, 263, 5, 65, "Item"],
Cell[34789, 853, 572, 9, 93, "Item"],
Cell[35364, 864, 571, 11, 93, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35996, 882, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[36085, 887, 383, 6, 101, "Section"],
Cell[36471, 895, 1236, 21, 43, "Text"],
Cell[CellGroupData[{
Cell[37732, 920, 243, 3, 37, "Item"],
Cell[CellGroupData[{
Cell[38000, 927, 316, 5, 37, "Subitem"],
Cell[38319, 934, 518, 10, 37, "Subitem"]
}, Open  ]],
Cell[38852, 947, 280, 6, 37, "Item"],
Cell[39135, 955, 324, 6, 37, "Item"],
Cell[39462, 963, 614, 12, 37, "Item"],
Cell[40079, 977, 257, 3, 37, "Item"],
Cell[40339, 982, 310, 4, 37, "Item"]
}, Open  ]],
Cell[40664, 989, 487, 8, 71, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41200, 1003, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[41289, 1008, 436, 6, 101, "Section"],
Cell[41728, 1016, 1357, 20, 71, "Text"],
Cell[43088, 1038, 752, 14, 127, "Text"],
Cell[CellGroupData[{
Cell[43865, 1056, 275, 5, 37, "Item"],
Cell[44143, 1063, 267, 5, 37, "Item"],
Cell[44413, 1070, 233, 3, 37, "Item"],
Cell[44649, 1075, 284, 5, 37, "Item"],
Cell[44936, 1082, 205, 4, 31, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45202, 1093, 64, 1, 50, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[45291, 1098, 500, 7, 80, "Section"],
Cell[45794, 1107, 832, 16, 32, "Text"],
Cell[46629, 1125, 5718, 135, 414, "Input"],
Cell[52350, 1262, 225, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[52600, 1269, 2111, 67, 432, "Input"],
Cell[54714, 1338, 101, 1, 27, "Output"]
}, {2}]],
Cell[54827, 1342, 4146, 118, 283, "Input"],
Cell[58976, 1462, 198, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[59199, 1469, 718, 11, 29, "Input"],
Cell[59920, 1482, 503, 8, 29, "Output"]
}, Open  ]],
Cell[60438, 1493, 94, 1, 27, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[60581, 1500, 64, 1, 50, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[60670, 1505, 548, 8, 80, "Section"],
Cell[61221, 1515, 649, 11, 30, "Text"],
Cell[CellGroupData[{
Cell[61895, 1530, 185, 3, 29, "Input"],
Cell[62083, 1535, 487, 16, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62607, 1556, 322, 6, 31, "Item"],
Cell[62932, 1564, 424, 7, 31, "Item"],
Cell[63359, 1573, 567, 9, 49, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[63987, 1589, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[64076, 1594, 467, 7, 80, "Section"],
Cell[64546, 1603, 538, 9, 30, "Text"],
Cell[CellGroupData[{
Cell[65109, 1616, 210, 2, 31, "Item"],
Cell[65322, 1620, 274, 3, 31, "Item"],
Cell[65599, 1625, 271, 3, 31, "Item"],
Cell[65873, 1630, 239, 3, 31, "Item"]
}, Open  ]],
Cell[66127, 1636, 363, 7, 49, "Text"],
Cell[66493, 1645, 247, 6, 49, "Text"],
Cell[CellGroupData[{
Cell[66765, 1655, 267, 5, 31, "Item"],
Cell[67035, 1662, 259, 5, 31, "Item"],
Cell[67297, 1669, 215, 4, 31, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

